commit 410dc8077dd576c5cdf986a279b009161cf41356
Author: Hampa Hug <hampa@hampa.ch>
Date:   2023-07-05 16:55:06 +0200

    pfi/a2r: Support reading A2R version 3

commit e0140c4b5d81a3529d3ec7cb37da4c583cd5b094
Author: Hampa Hug <hampa@hampa.ch>
Date:   2023-07-05 16:55:05 +0200

    pri: Support MOOF version 1.0 files
    
    Flux captures are not supported.

commit 2474265eaa8f0463661418ac54fa2b1b407d2604
Author: Hampa Hug <hampa@hampa.ch>
Date:   2023-07-04 16:39:39 +0200

    pri/text: Output mac gcr rotation counts as positive and negative values

commit 693f8468347d9f28c81cf25c79736faae5f4c741
Author: Hampa Hug <hampa@hampa.ch>
Date:   2023-07-04 16:39:38 +0200

    pri/text: Support bit counts for fill value in mac gcr mode

commit 395916e691347234a486c3ffeea6881ee69693fb
Author: Hampa Hug <hampa@hampa.ch>
Date:   2023-07-04 16:39:37 +0200

    pri/text: Use the new generic text parser

commit 18f54e920ce2a1339fb8fe2f88ffdf4b6c98665f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2023-07-04 16:39:36 +0200

    pfi/text: Use the new generic text parser

commit f734500c4b4d5f740e917c3bcd77092606bb773c
Author: Hampa Hug <hampa@hampa.ch>
Date:   2023-07-04 16:39:35 +0200

    pti/txt: Use the new text parser

commit 4353110b7773e89509d81b74729668047741a6b0
Author: Hampa Hug <hampa@hampa.ch>
Date:   2023-07-04 16:39:34 +0200

    lib/text: Add a generic text parser

commit ae3eb54ca4fa480f0388e6bd066250d8ca10cbd5
Author: Hampa Hug <hampa@hampa.ch>
Date:   2023-07-03 14:00:39 +0200

    pri/text: Support aligning decoded Mac tracks

commit 9353360d0cc8feff16eca9e24d3079a414d7c06b
Author: Hampa Hug <hampa@hampa.ch>
Date:   2023-06-12 08:43:30 +0200

    mac/sony: Only force disk size to 400K/800K if a format is specified

commit 455f96363c418304de04d718e708cf6015f63e14
Author: Hampa Hug <hampa@hampa.ch>
Date:   2023-06-12 08:27:40 +0200

    mac/iwm: Make support of PWM speed control a config file option
    
    With a config file option, PWM speed control can be enabled for
    all drives, not just single sided ones.

commit 97d7597473c7fb0e3c664b84f15230ac4651a0cf
Author: Hampa Hug <hampa@hampa.ch>
Date:   2023-06-12 08:20:34 +0200

    psi: Fix sector position handling on 64 bit systems

commit 0e556933103712bdf05efeb915dd9dc0341d78a3
Author: Hampa Hug <hampa@hampa.ch>
Date:   2023-06-12 08:15:40 +0200

    video/cga: Make the unused status register bits configurable

commit b52ee9002f1ecc54759e3c005172e663de78997a
Author: Hampa Hug <hampa@hampa.ch>
Date:   2023-06-12 08:12:43 +0200

    pti/wav: Improve square wave output

commit 371414f8f41ae02e9ce36004ba7b076fdd3abe63
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-09-25 21:25:23 +0200

    mac: Add a more gas friendly output format to the 'u' command

commit 3226595844e00c313ea9918bf5d226660ffe0306
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-09-25 21:14:45 +0200

    pri: Add new operation 'mac-align'

commit adc2e2453a1928ba7fdf9edf12fd2865c71954cc
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-09-25 20:52:56 +0200

    pti/tap: Support loading TAP version 2 files

commit 559640d8c30dc73ea838b9933ae2fbede4db409c
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-09-25 20:52:55 +0200

    pti/wav: Optimize sine wave calculation slightly

commit a3f7a8bcc698ff22755937868a2f564d3133d1d6
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-09-25 20:43:33 +0200

    sdl2: Make the scale quality a config file option

commit a7b9d47a885a20fd49fdcffa16e16b8ea9cfae60
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-09-25 20:43:32 +0200

    sdl2: Ignore event SDL_KEYMAPCHANGED

commit 23596d9ee0be1a96ad13bdec1e79d2917d88c6c6
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-09-25 02:24:58 +0200

    pri/text: Support arbitrarily long sequences of weak bits

commit f933ceca50eb152bc36e5fa4654e38c9df8643c4
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-09-25 02:24:57 +0200

    pri/text: Add Macintosh GCR commands EOTG and EOTS
    
    EOTG is a synonym for 'FILL TRACK SYNC GROUP' and fills to the
    end of the track using sync groups.
    
    EOTS is a synonym for 'FILL TRACK SYNC' and fills to the end of
    the track using syncs.

commit bb90db2713325ec7b147dfc1d2a0809834754263
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-09-24 07:27:53 +0200

    pfi: Fix encoding of pri files

commit cf0f267b58d601959025dadf067457d6c8e3237f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-09-24 07:27:52 +0200

    pfi: Fix track scaling
    
    Zero length pulses should not be added to the new track.

commit 991c55d9c1fdc2584556321f045b87191cd66e46
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-02-20 14:25:37 +0100

    video/cga: Check if vertical sync is less than vertical displayed

commit 1c53906adcf6fa24cdb0bb1619434f8fdf1ebb61
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-02-20 14:25:36 +0100

    6845: Add function e6845_get_vsl() to get the vertical sync position in scan lines

commit 620413a5886df79f0ef9756b33e793b6b86567e3
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-02-18 13:35:21 +0100

    pfi: Use the new CIFF implementation

commit 7e891b92135487c6f10ed4f32ff491831150dad0
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-02-18 13:35:20 +0100

    pti: Use the new CIFF implementation

commit 84abc6a62c39c7601048556944d047f1308ee767
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-02-18 13:35:19 +0100

    lib/ciff: Add a generic implementation of the CIFF file format

commit 62a74149aa0772f8fb21b56339acdc5e2c42cc49
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-02-17 12:23:44 +0100

    lib/endian: Move endian functions to lib/endian

commit 122e629346dca1a4ffb9e6ae5a20a3de6bd46185
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-02-17 12:23:43 +0100

    pti: Change the comment buffer to (void *)

commit 735321c6f175f466b4072576ac6b153046cbdbb3
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-02-12 16:37:41 +0100

    lib/log: Remove log level MSG

commit ba4969f2661fcacc0778319fa7e8d6c82b7f3a0e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-02-12 16:32:28 +0100

    lib/log: Add functions pce_log_inf() and pce_log_err()

commit 0baae4ce25d0eb49e4f335bf69e11c1fc93cdb99
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-02-12 12:36:25 +0100

    pti: Fix an off-by-one error when removing silence

commit bc9e707cbbbf46bc58664a01f608500783ba7fb7
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-01-20 16:19:38 +0100

    pri/text: Properly free the decoding context

commit 9c3abecea827bcabc8155a757015a678fa480d5b
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-01-20 14:07:52 +0100

    ibmpc: Update the pcex binary

commit 3a6db66ba72ae89f5cf0741e01631f309c98c55f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-01-20 14:06:21 +0100

    ibmpc/pcex: Remove old hook symbolic constants

commit 4b2b4cd8df663e505531b63a5d76932e3533ab62
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-01-20 14:06:20 +0100

    ibmpc/pcex: Use a new hook function for interrupts

commit 1a123b94e2dbae4f4a495f72222907994a80bb6e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-01-20 14:06:19 +0100

    ibmpc/pcex: Use a new hook function to get BIOS time

commit f8d398daff82b4994212d9e7586baa9db65ab944
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-01-20 14:06:18 +0100

    ibmpc/pcex: Use a new hook function to get COM and LPT port addresses

commit c9ba52a1d3bec5b0d2b3da160e82e3b5f6da6ae7
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-01-20 14:06:17 +0100

    ibmpc/pcex: Use a hook function to get the PC model

commit c73a05cf8ef6cdf17d13eb39b997c28afb600553
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-01-20 14:06:16 +0100

    ibmpc/pcex: Refactor the RAM size check

commit f1be3bc2948ff35aed31a2e77ef5f0e2c7f8ad0c
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-01-20 14:06:15 +0100

    ibmpc/pcex: Remove unused strings

commit 7eaa20991805c86fdff1115e757916923627a14a
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-01-20 14:06:14 +0100

    ibmpc/pcex: Don't set up the hard disk count at 0040:0075

commit 78769e4d8eb4d5c324e4c8a5e19cc0a470a30ccc
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-01-20 14:06:13 +0100

    ibmpc/pcex: Clear the first 32K of RAM

commit bf2b21aa83d583dc36654f7d0ebab7132be3a6c1
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-01-20 14:06:12 +0100

    ibmpc/pcex: Set up DS once

commit 81020e1353c8ef6e78a70687726e287036b2b1c0
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-01-20 14:06:11 +0100

    ibmpc/pcex: Move the inital stack to 0040:1000

commit 51c39eda28469f11a4b5577be221cdda4e925304
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-01-20 14:06:10 +0100

    ibmpc/pcex: Check if we are running under pce

commit 4e8a3d34eabdb1388c918318d99ceedd023f4bb2
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-01-20 14:06:09 +0100

    ibmpc: Patch the int 0x19 handler even if the BIOS startup was patched

commit f65c183570d10236440306b67d91a1a79a955681
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-01-20 14:06:08 +0100

    ibmpc: Add new hook to get BIOS time from the host

commit 92ea257055053a794cccbde169eb4501e3975b34
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-01-20 14:06:07 +0100

    lib: Recognize the .ROM extension as binary

commit fa52687aa5f339e32df16ab5c7223f0297795110
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-01-15 17:12:30 +0100

    Update the copyright year

commit c067b1104327d2199d31cb80b74f03e58638f251
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-01-15 17:12:29 +0100

    ibmpc: Add more hooks

commit 2f0f1a2a22365d04e645ddfdeac2f871d313240e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-01-15 17:12:28 +0100

    vic20: Enable undefined CPU instructions

commit 46b90d76ff013f4ee328ae1d363c9e33741ae007
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-01-15 17:12:27 +0100

    6502: Implement some undefined opcodes

commit 7098314656105c6b54dc094cc2a97aff17a3033d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-01-15 15:16:10 +0100

    ibmpc: Add a config file option to make disk drives single sided

commit 29c246ebb1e8c30c5f78ec638989dc791bed6d1c
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-01-15 15:16:09 +0100

    8272: Support single sided drives

commit da0f6022e68a26b47be743a594e9f466c9cdac3e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-01-15 15:16:08 +0100

    8272: Improve debugging output

commit ae17836c9a6e5a3d5fd1bb91dd53e2e318646d3d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-01-15 15:16:07 +0100

    8272: Make sure that the step rate is never zero in accurate mode

commit 4ee71eac8befdbbe5fd140ccaa2f5da103970863
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-01-15 15:16:06 +0100

    pfi: Accept symbolic clock rates "a2r", "kryoflux" and "scp"

commit a4d48e5bd691484a83571b116c010a685158e889
Author: Hampa Hug <hampa@hampa.ch>
Date:   2022-01-15 15:16:05 +0100

    pri/text: Reset the rotation value at the start of a track

commit d5fce6c4ddec33a4bad6707b7fe2a0a3668073b8
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-12-04 14:25:40 +0100

    pfi: Specify slack space in miliseconds

commit 153c0e4e316f299a7504675308cc9b3f804c0017
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-11-21 10:05:13 +0100

    ega: Fix split text cursor display

commit ad8d69254c81ad2771f5ef94778ea09cc807d565
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-11-21 10:05:12 +0100

    pfi: Rename "rectify" to "quantize"

commit 09abd2e3ed00cd1256be2b560cfaad10faa80705
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-11-08 04:17:32 +0100

    cga: Fix memory wrap-around in graphics modes

commit d5bb71496e11447ecd6e922987101e7e315fca5e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-09-27 18:23:42 +0200

    cpm80: Fix the return value of the listst bios function

commit e73625f352c37bbb5658e056a5a051a0fa9ecaed
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-09-27 18:23:41 +0200

    cpm80: Support loading a RAM image during reset

commit 0ae60b3968f09d47dcda13eedf4224986146925c
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-08-29 13:36:27 +0200

    psi: Rename the sector attribute "fm-dd" to "fm-sd"
    
    There is no double density FM.

commit 7ccc23b6853f406e569bb854fbe1d72c249ef1a0
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-08-29 13:32:31 +0200

    monitor: Support line comments in commands

commit 8b2261ec8c629d5e12b00434de5c5894379bd5d5
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-08-29 13:32:30 +0200

    cpm80: Restrict debugging output

commit 5af71c0aa0007246f3d584c2af21d0f4a2155152
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-08-29 13:32:29 +0200

    cpm80: Redefine the pce disk types

commit eb80266613847726b0d723b40b0406667cf15681
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-08-29 13:32:28 +0200

    cpm80: Add double density 500K disk type

commit 49683446f77a6220bc9ba9c6aafd268178b7afdd
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-08-29 13:32:27 +0200

    cpm80: Use the sector size to determine the CP/M disk type

commit a44e8472290fa5c5043e5dab5b9b73baca8ff11d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-08-22 08:04:23 +0200

    8086: Remove the reset_flags field from the context
    
    It's a useless feature.

commit ae54908a6a26ded84e2931fb90b08813ec207018
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-08-22 08:04:22 +0200

    rc759: Add exponential decay to the speaker output

commit 7b5ea75d7d6f1ac52418e9133e06039902148c35
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-08-22 08:04:21 +0200

    rc759: Move the port access functions to a new source file

commit 6b92bbbf2f1bd635373cb2f1466b78167a5acd21
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-08-22 08:04:20 +0200

    Support dynamic CPU speed
    
    If "system.speed" is set to 0, the CPU speed is now dynamically
    adjusted to the maximum that the host system will support.

commit f2efe2d4c606e0d586ea124ce5dc0ff5cce4a8d2
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-08-22 08:04:19 +0200

    rc759: Support higher CPU clock speeds
    
    A new config file option "system.model" defines a 6 or 8 MHz
    model. This option also defines the supported ram sizes,
    replacing the old "system.alt_mem_size" option.
    
    Higher CPU clock rates can be set by the new config file option
    "system.speed".

commit e51018abb4e53315727aeaa5f3b0e0c1e5208760
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-08-22 08:04:18 +0200

    rc759: Fix fastboot by patching the ROM

commit 6d28770d3ef5b5afe4d7aae44c52978fc9ecbb4f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-08-22 08:04:17 +0200

    rc759: Add a config file option to stop the RTC

commit 844878c3c437c5316925aff4cc6069e768482c4f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-08-22 08:04:16 +0200

    rc759: Add a config file option to disable RTC access to real time

commit d329f289694b0b67bc70b678bcb47bcd45492dc4
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-08-22 08:04:15 +0200

    rc759: Add functions to set the RTC time and date

commit 781c7c4a474a06a64ac9c01b4b48b6ca5f39126c
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-08-22 08:04:14 +0200

    rc759: Fix RTC initialization

commit 2cd88bb75daddd71a7784c255a80e42ae079cb6b
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-08-22 08:04:13 +0200

    8086: Don't do a delayed reset by default
    
    A delayed reset is only useful if e86_reset() is called by
    a callback function while an 8086 instruction is executed.
    
    There is now a new function e86_reset_callback() for this
    purpose and e86_reset() does a simple reset.

commit 7b83084a36e4a5f9515849dd4ae729a3ce0da91f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-08-19 08:50:25 +0200

    vic20: Fix an off-by-one array index

commit 71b71557a8b97162eb44ed06899c86e9af6e5715
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-08-19 08:50:24 +0200

    pri: Set the correct sector encoding when decoding HD disks to PSI

commit 24e1ec46a64b5f8f3b462961f79520a5ee4e6a7c
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-08-13 14:37:35 +0200

    rc759: Adjust the CPU clock rate in 2 MHz increments

commit c248750555e3459ef6c927d92f49aeb620205da9
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-08-13 14:37:34 +0200

    rc759: Clean up NVM checksum calculation

commit e83da35ae9b2cee8b923a6c9c799c3c25aa258e2
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-08-13 14:37:33 +0200

    rc759: Assert IRQ when there is a valid key available
    
    This prevents the keyboard from getting stuck with
    a valid key available but with IRQ deasserted.

commit 386210c6174b72cc5b06616aeb4d7a522a5c303c
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-08-13 14:37:32 +0200

    rc759: Fix encoding of high density disk images

commit fbac57d56645dddeacdeda1d1230836c2531d01e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-08-13 14:37:31 +0200

    wd179x: Clear the write buffer when starting to write
    
    The last bit in the write buffer is used to determine the first
    clock bit written when a new write starts. Since these two
    writes are unrelated it is better to set the write buffer to 0.

commit 9fc9d766a00155db8b3cf1255a492f269ca312d4
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-08-13 14:37:30 +0200

    wd179x: Delay forced interrupt near the end of write operations
    
    This is a hack to handle the situation where a forced interrupt
    command is issued during a write sector command after the DMA
    terminal count but before the last data byte, CRC and gap 3 have
    been written to disk.

commit 21d38214c896e2623f3b45219ef1005e16e489aa
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-06-18 15:11:35 +0200

    pri/text: Support negative rotation counts

commit 5caa5dfa8700b8644ea000c4baeaf98b82524559
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-06-18 15:11:34 +0200

    pri: Update the copyright

commit c77d394e4c8fa6c26827ba4262d8babcb9a1205a
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-06-18 15:11:33 +0200

    mac/iwm: Rearrange the IWM status line

commit 307cfa0cac8b49e3a59f94edceb7943574327dc1
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-06-18 15:11:32 +0200

    pfi: Add new operation 'fold' to automatically adjust index positions

commit 0c72aedceafe8c739a57948b3dc2a53c2be966c1
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-06-18 15:11:31 +0200

    pfi: Show slack data before the first and after the last index

commit e3b421957862911e433464b77862bf76aff218ac
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-06-18 15:11:30 +0200

    pfi: Update the copyright

commit 6e0c1867fb772fed7764c9660b83cbbc2cd86403
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-06-18 15:11:29 +0200

    cassette: Fix a typo in a message name

commit 16d1dc729cb90eb044b45612e596078332cfade8
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-05-26 06:13:36 +0200

    psi: Allow opening of zero length files as empty images

commit 0ea530727f3cab9ae9dc725251bff4c29bb3b9f6
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-05-26 06:13:35 +0200

    psi: Fix a compiler warning

commit a9e92f33a9f0266e37a54a1c59d83a10497e2385
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-05-26 06:13:34 +0200

    68000: Fix indentation

commit c3832243bbade789655eb42b8d53f281ac4d7a8e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-05-26 06:13:33 +0200

    pri/text: Align Mac GCR sync fills to the end of the track

commit 1d5753187dd41bea05662165877ed58e7fd29128
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-05-26 06:13:32 +0200

    pri/text: Use a single newline between tracks

commit 012dc0011574d6f7f8ab28e6646e4a51ba7410eb
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-05-26 06:13:31 +0200

    pri/text: Add keyword ROTATE to rotate tracks

commit ee301853b8809a8cb2cefecbad7aa990b2ce668f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-05-26 06:13:30 +0200

    pri/gcr: Use only SYNCs for inter-sector gaps

commit 56e92654c82b70af1d3f11476e65c98695e0fb3a
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-05-09 01:34:14 +0200

    lib/load: Open binary files in binary mode

commit 422856bed229049d234089b8da0a46f9f6f069a8
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-05-09 01:34:13 +0200

    lib/thex: Fix checking of 16 bit addresses

commit 3520924c68b0cca9e39ea471871051fd5f190283
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-05-06 17:35:01 +0200

    ibmpc: Update the preassembled pcex bios extension

commit bfa3b3cf02d82746c277bf53f286e4d3f52c780a
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-05-06 17:32:08 +0200

    8250: Deassert IRQ on reset

commit 69a8d0b029edd5e8e2a3c29d210c4d6468a0d5f4
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-05-06 17:32:07 +0200

    8250: Only force a TBE interrupt when actually enabling the interrupt

commit dfcd9de7ac5d44bed86756c69c2e6ee7214d56f5
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-05-06 17:32:06 +0200

    8086: Allow interrupts only if IF was set before and after the instruction
    
    This ensures that instructions like popf or sti that set the interrupt
    flag are not immediately followed by an interrupt.

commit 6ec0321d00506c2dcc1843c2d5dd4f838c92d0d0
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-05-06 17:32:05 +0200

    ibmpc: Add new config file option "cga40" to start up in CGA 40 column mode

commit 7d35534f49bc2c26b84d42161a5bcb43ee6596f4
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-05-06 17:32:04 +0200

    ibmpc/pcex: Remove unused interrupt handlers

commit 97ac439b7f3e952964640c1694cd1c2792ef5009
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-05-06 17:32:03 +0200

    ibmpc/pcex: Unmask DMA channel 0

commit 651040f0973b1319a3d9f6c50796732573db5590
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-05-06 17:32:02 +0200

    ibmpc/pcex: Correctly initialize CGA 40 column mode

commit 334ba60d99e3c18903e76eda99dd8ba020e92750
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-04-28 10:03:07 +0200

    Update configure.ac and rebuild configure with autoconf 2.71

commit b0fea7568ce7efdb86f37adb32cf6ce2ad2e3831
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-04-28 10:02:08 +0200

    Rename configure.in to configure.ac

commit b0ed18f872a6f133c91a4871e0d84e7417fade15
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-04-08 23:20:44 +0200

    pri: Include track number in error messages

commit 528017e91a474f380f8a77480884e38ea435a4d3
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-04-08 23:20:43 +0200

    psi: Add more file sizes to geometry mappings

commit 7d3287213ea29297893f819780e7b0a94d148006
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-04-08 23:20:42 +0200

    cpm80: Update the copyright

commit 08936d77cc3f32794656bfbefb8fc4268ffaf877
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-04-08 23:20:41 +0200

    cpm80: Support an initial disk drive other than A:

commit 10eddea0bb3578f754baf05df7063d2a7f3e20aa
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-04-08 23:20:40 +0200

    cpm80: Clean up disk type handling

commit e72a925ac274a5b03346c42ed51e45666cbf6072
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-04-08 23:20:39 +0200

    cpm80: Load CP/M externally instead of from a floppy disk image

commit 06ad2ccfaf186d9d1a762ad954d80acd8aebaef9
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-04-08 23:20:38 +0200

    cpm80: Fix Altair SIO and 2SIO support

commit 539bd51cfacc1dfa24a8e486fc2b97c1f28d66a2
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-04-08 23:20:37 +0200

    cpm80: Add config file option to set the altair front panel switches

commit da487e0ea1f703df891679d14d9fa1fe7cf52a31
Author: Hampa Hug <hampa@hampa.ch>
Date:   2021-04-08 23:20:36 +0200

    cpm80: Simplify emulator speed setting

commit 8e645c2a890a4f7f9f46e3cd94b834058f11689f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-12-02 10:22:51 +0100

    cpm80: Support redirecting con and aux to and from files

commit fce8cc40668ec953b3ef9c83cd60039e2a13db0a
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-12-02 10:22:50 +0100

    z80: Add a dummy "ld a, r" instruction

commit 789c042379eadab63baac2e1534505ddb969d335
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-12-01 16:24:22 +0100

    Add support for loading and saving thex files

commit 3c1b5b6616c28e431a11cf2fa76987ee403b4a13
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-11-25 07:52:19 +0100

    cpm80: Add a message to set the cpu model

commit 62c2a4ed6907eb52760b3bd99bef457105dcfda3
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-11-25 07:52:18 +0100

    char-stdio: Add option 'append'

commit 4b23329173e88e54ee1e1fe961a5df40f9de02ca
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-11-25 07:52:17 +0100

    char-stdio: Support reading from an input file

commit 4941463fa462b23fe0f428e128a7a6bb1717075d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-11-25 07:52:16 +0100

    char: Suppport appending to the log and capture files

commit 7926620b08a5466e1763e1eaf3bb7498a2423bca
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-11-06 23:37:16 +0100

    cpm80: Modify speed settings

commit cd3dc85e4ad69e071f9ed28bf809c0f42b9c6c11
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-11-06 23:37:15 +0100

    lib: Ignore extensions of directory names

commit ef2613f134a4e4ab783c21781419db32fba149d7
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-11-06 23:37:14 +0100

    lib: Clean up lib/load.c

commit 77e365f8e06a44806466970f01a85f626d3f60c6
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-11-06 23:37:13 +0100

    lib: Only log memory loads during startup

commit 8b40f82e05ccf6d5923312f2079aeb4050553158
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-10-30 11:03:51 +0100

    mac: Add function mac_stop()

commit cb912e2fc61db4e9c52f823b884bd4156d775703
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-10-30 11:03:50 +0100

    68000: Add a new trap hook function

commit ac7115e4ad0b3dbc6a9d7c152ef10b48a9f5b287
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-10-30 11:03:49 +0100

    68000: Recognize symbols "iw0" and "iw1" in e68_get_reg()

commit 9e1c09ea8ec24c0351bcf155fa83bf61c0e3c9ca
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-10-30 11:03:48 +0100

    68000: Add macro e68_get_sp()

commit 6367ce1ab82eab2d7bafa847c412adf19bf2a38f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-10-30 11:03:47 +0100

    terminal: Set the terminal size before opening the terminal

commit 85c21acaa4c5cb6a51db453bdab9bbeb87524a03
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-10-20 13:17:11 +0200

    psi: Support loading images from stdin and saving images to stdout

commit 5e1a221e2484be74c4406ea70b2f39804e237a84
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-10-20 13:17:10 +0200

    psi: Add the "-t" option to select tracks

commit 04e10b0acba03016e06645d224df15a84449bfa0
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-10-20 13:17:09 +0200

    ibmpc: Add new hotkey ESC+b to toggle cursor blinking

commit 34cadd8f420964c81251308c3915373161e6f648
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-10-20 13:17:08 +0200

    video: Make "emu.video.blink" a generic video message

commit a8fd43c89e6289b8a2c9c411b4840f9db39f1995
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-10-18 19:58:45 +0200

    pcutils: Reject illegal video modes in pcem24

commit a77f65a14285a1bf8269301df1947c9d6925f6ca
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-10-14 21:59:51 +0200

    ini: Add new directive 'rinclude'
    
    There are now two keywords to include a file that differ
    if the specified file name is not absolute:
    
    include: File names are relative to the current working
    directory.
    
    rinclude: File names are relative to the parent directory of
    the file in which the rinclude keyword appears. This is how
    include behaved before this patch.

commit c71d0a8e8677ce392e2b99489d1edb5ada01ebac
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-10-14 21:59:50 +0200

    ega: Set the monitor color to gray in mono mode

commit 193856172f9769329138dbbbd0c6586f17802800
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-10-14 21:59:49 +0200

    hgc: Fix color handling and update the default screen colors

commit 810be88e3c1b85d5fe619ffb1255e4573232e0e4
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-10-14 21:59:48 +0200

    mda: Fix color handling and update the default screen colors

commit ac286643fe7aa0e0413618e9c19ea964fd1bedaa
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-10-14 21:59:47 +0200

    video: Move named color conversion from mda.c/hgc.c to video.c

commit 5ea380ee0150df56991093cb4dd3c6bb8e0df122
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-10-14 21:59:46 +0200

    hgc: Fix text attributes

commit 7320b4d059e06bfef21bed99e0de0d8dbfe9c946
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-10-14 21:59:45 +0200

    mda: Fix text attributes

commit 7cd00f63d74444eeb854462dceb305044a4a7e67
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-10-06 07:15:54 +0200

    mac: Clock the SCC more frequently

commit 006a70fabaedd691267852491cc03965425b1db0
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-10-06 07:15:53 +0200

    8530: Implement interrupt on next rx char

commit ba1b16e1735064619d4b14927955470369ecce38
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-10-06 07:15:52 +0200

    8530: Don't count stop bits twice in rate calculation

commit b9ed54d092bf22a5037088ed9ec2fca07133a055
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-10-06 07:15:51 +0200

    8530: Don't receive characters when the receiver is disabled

commit f82b8642d6635347e42a87067a8c2654e256a1cc
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-10-04 01:56:02 +0200

    pri: Add parameter "text-align" to align with the first address mark

commit 275bc4013db3c4f463fc490a49942c5af0115c75
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-10-04 01:56:01 +0200

    ibmpc: If the drive geometry is unknown return 0 tracks in int 13 function 08

commit afd50fb4162817e19a1211af61ad5dcea00d569d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-10-04 01:56:00 +0200

    sdl: Set the terminal size when it is opened

commit 698603e2044f8f56b24c87840ffb8a0c1e986d4a
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-09-14 15:33:19 +0200

    cassette: Enable loopback mode when the cassette motor is off
    
    This fixes a 131 error in the IBM PC BIOS.

commit 0e4dbbcffabd47dfc4916a463e3ef852d0893d80
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-09-14 15:33:18 +0200

    atari: Support 16 bit read access to PSG

commit 6f6d0894db73d9c9f59ea27941291246613202fb
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-08-30 13:45:28 +0200

    cassette: Don't mark a newly created file as modified

commit 3317000f6febdd739f21fd5215ddacd84fdafd36
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-08-30 13:45:27 +0200

    vic20: Fix a typedef

commit 2e83044eb78399bb72913eff3b4cc14af6fbfcaa
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-05-20 18:40:22 +0200

    vic20: Increase framedrop during cassette access

commit a22c05085f7103568744bdac1c17083c0a0fc1d3
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-05-20 18:40:21 +0200

    vic20: Avoid illegal joystick positions

commit 3f5e6ff508485ea38668d107a0abdf728e2938e5
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-05-20 18:40:20 +0200

    cassette: Delay turning off the motor

commit 10dd2dd89d84ee227a97e2ef0a17d7f2e18629e5
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-05-16 22:29:00 +0200

    pti: Add a flags word to the pti header

commit 1dfed8265eae64fc2296c3b10207f91be83ff7a3
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-05-16 22:28:59 +0200

    pti: Add double pulses to the pti format specification

commit 86252d9b0288327eef326b3b1faab4fbbe66c62a
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-05-15 14:31:53 +0200

    pti/wav: Support saving pulses as sine waves

commit b08328e75726cabdcdbdeb03c83b30e0ce65c1a2
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-05-15 14:31:52 +0200

    mac: Fix the sign of samples used to fill the sound buffer

commit 51c16796ed4b2d89f44d6424bb0239a0cda8bbbd
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-05-15 14:31:51 +0200

    monitor: Fix a compiler warning

commit f9ebfc33107a10436506861601b162df98ca743e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-05-15 14:31:50 +0200

    68000: Add a missing extern declaration

commit cd747d1d1d732673162a216798a79db13961ca1f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-05-12 02:04:23 +0200

    sim6502: Remove sim6502

commit 55592c88844164838c7073b407021d25f72b3aeb
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-05-12 02:04:22 +0200

    vic20: Add a VIC 20 emulator

commit cbf8bd5bad223cc8b81173a08829cf8fae328435
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-05-12 02:04:21 +0200

    Add emulation of the MOS 6560 VIC
    
    This is not yet cycle accurate. Complex raster effects will
    not work.

commit a5178af17a3497883a25e49d2b6b2b0cc2449c4d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-05-12 02:04:20 +0200

    Add missing files to 'make dist'

commit cd23142b54565843a9cf8cdbd285bd7388943ad9
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-05-09 18:38:48 +0200

    ibmpc: Use the new cassette device

commit 087c28011a9bf5d393765d13ebc10463f0c6fd73
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-05-09 18:38:47 +0200

    Add a generic cassette device

commit 3c12edcd489098ca77cc4e6f371a6024ac2e21fc
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-05-09 18:38:46 +0200

    pti: Add a new utility to handle pti files

commit 6f7e09a0a9c56336e815f54c656676d30b86d0b6
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-05-09 18:38:45 +0200

    pti: Add a driver for cassette tapes

commit 6e8bb3abb0b79a4834f32a3309a7c30f94666a29
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-05-09 18:38:44 +0200

    6522 VIA: Add one clock cycle when counter 1 is reloaded

commit 1296e7e468e3de32306afa8fd2df02d3b17ea114
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-05-06 22:13:14 +0200

    lib: Add a missing function to convert doubles

commit fbf77c876cd3ed1360999062d387c08444d1b3c8
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-05-06 22:13:13 +0200

    6502: Fix the brk hook

commit 8ad51d9d2521663f3a920fbbdb8f5b9e3c18689e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-05-04 23:00:38 +0200

    mac: Support interrupting the CPU from the host

commit 9f2b729c762e562117d273ceb47e9ad3cb9f4a02
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-05-04 23:00:37 +0200

    ibmpc: Add messages to set the parallel port output files

commit 5691c181305774430377ff48da90c2b90f1458e3
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-05-04 13:35:23 +0200

    libini: Treat undefined symbols as either 0 or ""

commit 86ebd84485fd98ae39e2eb9529f57f1575955238
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-05-04 13:35:22 +0200

    monitor: Support writing to ROM areas

commit 1e2a4d678f01bca5eccfbf97690328b8722139bf
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-05-04 13:35:21 +0200

    sdl2: Include the key name when reporting keys

commit c6bea41bbd45e5bbdf458e8a49ed4d01092d9cab
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-05-04 13:35:20 +0200

    Update the copyright

commit 9775ed5b2b7efac1b00acde04453baa3538f28e3
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-05-03 02:55:53 +0200

    6522 VIA: Implement handshaking for port A

commit 514eaa976f1a8e386ed78e2dcc31df517a25f4aa
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-05-03 02:55:52 +0200

    6522 VIA: Implement CA2

commit 178d5d1ab616a9b49df1d26008828d05009da76d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-05-02 22:04:25 +0200

    6502: Use macros to make the memory mapping more flexible

commit 5ea44d2c66957f21efbdd6ab1d481ed9b178b595
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-05-02 22:04:24 +0200

    6502: Change the cycle and instruction counts from long long to long

commit d7eb08cb63e8fa30d6462fc7cce4670c54e6b02a
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-05-02 22:04:23 +0200

    Add MOS hex file load and save support

commit 63b49fd10833c83d3d8c13881843783ab3d5de7a
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-05-02 22:04:22 +0200

    atari: Bind left super to the joystick fire button

commit 6cb0044b886a7de630c4c8e93a5fba835b59d31d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-04-29 16:52:52 +0200

    mac: Update the sample config file

commit 7cf0cf1dd1eb6c80b4da662e72aeb99539e9e27b
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-04-29 16:52:51 +0200

    mac: Get the IWM disk locked status from the disk image

commit e8737a88a720b1db07d4811c244ab94bf9a74562
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-04-29 16:52:50 +0200

    mac: Allow a sony disk to be formatted to a different format

commit dd46290840853da229895c04e39698d73d27f255
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-04-29 16:52:49 +0200

    mac: Reset sony variables when a disk is inserted

commit 13f5a334a61bf11f532953a26724ead5918f198b
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-04-29 16:52:48 +0200

    mac: More verbose error messages from the sony driver

commit e762338e6609c18f34f583c4b6872000996501dc
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-04-29 16:52:47 +0200

    doc: Add the missing full screen key combination

commit 45d3486a6371600736fecffc0f4c244c1e7ecafb
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-04-20 15:40:01 +0200

    psi: Add more disk types to operation 'regular'

commit 437c9268be08f8691649cecb0947544c8492bbfc
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-04-20 15:40:00 +0200

    psi: Interleave new mac images

commit f6f092bea2c521d8b6dfc3be0cad56c5c7d7d827
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-04-20 15:39:59 +0200

    pri/text: Add WEAK RUN command

commit c9644a4ccc8845ce6b59d1c9e4188456c640730b
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-04-20 15:39:58 +0200

    pri/text: Add OFFSET command

commit 91c5139de4ee2db2bad3eb88f42598b04affbd4e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-04-20 15:39:57 +0200

    pri: Fix encoding of weak bits from psi

commit 2aad6d1a2e042dbb1016e37613f2683876f64388
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-04-20 15:39:56 +0200

    pri: Make operation mac-align more verbose

commit 13acfee48210b4918acfa44ade01c049bc81abf7
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-04-12 21:36:04 +0200

    pceutils: Add new utility 'pcemnt'

commit aa0e3dcb14a305b524edf5ad9cba91729938bab9
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-04-12 21:36:03 +0200

    pceutils: Print usage information when pcemsg is run without parameters

commit 837a3f73f924bb43b32d249932cd6890232f8677
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-04-12 21:36:02 +0200

    pceutils: Add library function pce_parse_opt

commit aa3d538e9acc2761ff672dee20dd0c8c6d6e1240
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-04-12 21:36:01 +0200

    doc: Update the PSI specification

commit 059073488c5fa54e07fad9144da7f4b20c1480ce
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-03-27 05:00:38 +0100

    doc: Update the PRI description

commit cc6e240110d80db2d31141c08020f41310edd6ff
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-03-27 05:00:37 +0100

    pfi/text: Fix parsing of unsigned integers

commit a5104a7dee0b261fa9e63b9b3a69d16d2babd9a7
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-03-27 05:00:36 +0100

    macplus: Add debugging function sim_stop()

commit c742dae299306fd75915ee8f0c78c22e01deb854
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-03-27 05:00:35 +0100

    68000: Fix the rotation count for the ROR.W instruction

commit 8901ccd432a18d9e092fde38757e7783bd51dad6
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-02-13 10:59:55 +0100

    pri/text: Fix the mac-gcr FILL operation

commit a781931fe84b15ca3711279e4bfbca159a7e054c
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-02-13 10:59:54 +0100

    lib: Add function pce_getoptarg()

commit ff8ad239b20f90d2e159b26faf7ece80e6870986
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-01-16 17:11:03 +0100

    pri/text/mac: Fix the REP command with nibbles and non-8bit values

commit b0b9cce5abf9992a91f74d1697da624cf43aeca9
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-01-16 17:11:02 +0100

    pri/text/mac: Add new syntax to specify non-8bit values

commit 826f339e510aa44d68a59c3aa8b6109cbdc13ffc
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-01-16 17:11:01 +0100

    pri/text/mac: Improve support for nibbles
    
    Any hex value between "<" and ">" is now encoded as nibble.

commit 59fbfb8137e3da8bda7899a2bf1f23183a2cfa02
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-01-16 17:11:00 +0100

    pri/text: Add command COMM to set the image comment

commit 63e1b0e4cc7aa2d6c306fa213700e6b667ca6444
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-01-16 17:10:59 +0100

    pri/text: Improve detection of mac-gcr

commit 5bc70a78b082bc0f4421da62eebc61fa1407ee08
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-01-16 17:10:58 +0100

    pri/text: Correctly initialize the decoding context

commit e8fb494afec26eee4e4f1b02612f6eb91cb4b44d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2020-01-16 17:10:57 +0100

    pri: Add parameter mac-no-slip to the help text

commit 3418d188192634eb505d1f2aff600d0a1da32000
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-12-08 04:59:07 +0100

    video/sdl2: Fix handling of middle mouse button

commit f9ea962351eb6506349113d5adb1bdd7215ade86
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-12-08 04:59:06 +0100

    video/sdl1: Fix handling of middle mouse button

commit ea613fa8a3d3011827cab6c8507296bc9aa7d127
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-12-08 04:59:05 +0100

    video/x11: Fix handling of middle mouse button

commit 75aeb0d92bb660284895e66e14492efc276e2bc9
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-11-30 16:25:22 +0100

    pfi: Add new operation shift-index-us

commit 783acecc885f4e75f6ea6b8f4c6a19cc4c6cf020
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-11-30 16:25:21 +0100

    pfi: Add new operation rotate-angle

commit 213b16338c53ede5a378346107d22ec73ace7a3e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-11-30 16:25:20 +0100

    pri/text: Add new keyword EOT

commit 6b156acf4fac7a76e3db6ee1005df18087f11080
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-11-30 16:25:19 +0100

    pri/text: Add new keyword IAM to IBM-FM

commit 829d53e7bf72953e7dece3ca9e43e850324a3ec1
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-11-30 16:25:18 +0100

    pri/text: Add new keywords IDAM and DAM to IBM-FM and IBM-MFM

commit 6a3635444a44b9cb5b77932b13bcfb53ba98b5bc
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-11-30 16:25:17 +0100

    pri/text: Add new keyword GAP to IBM-FM and IBM-MFM

commit 5c4804b6b46f01b397a276f50701174d57a81708
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-10-17 03:00:18 +0200

    block: Add support for uncompressed version 5 CHD images

commit a18b3b01fbd4820fce1fe426b547b95b34b354a4
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-10-17 03:00:17 +0200

    atari: Add a missing pointer initialization

commit e261363da5a632d87ef5eb2d64a387a9198cc1c8
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-10-06 21:42:46 +0200

    8272: Fix reading and writing of sectors with size 128

commit 9671f5d70e5509c0b0ceaa0e888bd919a5e87a45
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-10-06 21:42:45 +0200

    monitor: Add the 'di' (disk insert) command to all emulators

commit 1668117f1df374c2d8fa6920c2c6a3e36b643d59
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-09-25 15:52:58 +0200

    pri/text: Support bad data and ID checksums when encoding mac-gcr from psi

commit 661b97a9a48568543348dab154b44c66c1aaa057
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-09-25 15:52:57 +0200

    pri/text: Small formatting change when decoding mac-gcr

commit 77dfd003a45f4fd9c0964b089705c20b732208ba
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-09-14 16:03:40 +0200

    pri: Add new operations "mac-align-sector" and "mac-align-sync"

commit 0aec5a64cd63319784983acd88e80721fa8598fa
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-09-14 16:03:39 +0200

    pri: Warn about bad nibbles when decoding mac-gcr

commit 5e3f5ca6c7a7fe3a075786a7676734217b3788d7
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-09-14 16:03:38 +0200

    pri/text: Improve decoding of mac-gcr sectors with bad nibbles

commit 14734af17d8ee57ec2e716e853babd5140c889c4
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-09-14 16:03:37 +0200

    pri/text: Fix matches that end at the index

commit d3b49b850f471951058a1c759b08711c60c386ec
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-09-14 16:03:36 +0200

    pri/text: Add the IAM command in ibm-mfm

commit e3c8e8f0cedff8782b8f8bf699e72c5066fd8e69
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-08-05 01:18:16 +0200

    ibmpc: Implement variable cassette sample rates

commit c8568c32228dd29460ffae32663bb5a353165b44
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-08-05 01:18:15 +0200

    ibmpc: Simplify cassette PCM filtering
    
    For PCM output, remove filtering completely. A simple
    square wave is now written.
    
    For PCM input, use a very crude FIR filter instead of
    a second order IIR low-pass filter.

commit 7b6c9794b0ab346783859eea55e89a4ae14cb75d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-08-05 01:18:14 +0200

    ibmpc: Remove the message "emu.tape.filter"

commit ccb6c11a0b47989da6530d8f6f5d835f29100e7f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-08-05 01:18:13 +0200

    ibmpc: Make some function parameters const

commit 82e731a3b8d05f0191e1f69c43bf3323d0ec5bb1
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-08-02 05:12:24 +0200

    pri: Fix setting of mac-no-slip parameter when decoding to text in auto mode

commit a929b1fdc37362090d14e2a652d6f36107aa872f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-08-02 05:12:23 +0200

    pri: Add the new pri context fields to the info output

commit 6cb64a3c144a481cd9dc8d626dc3107fe2959f0d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-08-02 05:12:22 +0200

    pri: Add new WOZ related image attributes

commit 81cd97360f702357c0683690cb9bb4cd4b28dd70
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-08-02 05:12:21 +0200

    pri: Add WOZ related extra fields to the image context

commit 6f9a9d79fe122a437d83af144cdb224f3aa75227
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-08-02 05:12:20 +0200

    pri: Add a readonly attribute to the pri image context

commit 50ef3971bbcb953e8e3e78e91f1a995b869bde55
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-07-25 18:10:25 +0200

    pri: Improve decoding of mac-gcr sector end markers

commit ca6f1663c6d03f8a1146ecfc43bda8116d1c37e0
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-07-25 18:10:24 +0200

    pri: Add parameter "mac-no-slip"

commit 89945586ab89e2e12552bfbab8233bacbb7919a8
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-07-25 18:10:23 +0200

    pri: Add operation "weak-expand"

commit 925d8445228ee9f1dba24414008e22c3f285505d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-07-25 18:10:22 +0200

    pri: Add operation "weak-open"

commit 636c83b8a61902180312429a4219eda67d5927e0
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-07-25 18:10:21 +0200

    pri: Add operation "weak-close"

commit a4be42c355ca0ee146986c19187222e81a0b17a6
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-07-25 18:10:20 +0200

    pfi: Support combining pulses using the '+' operator when encoding text

commit 20b5e62a7cb7dfce342b242b5e745aa816a096a7
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-07-25 18:10:19 +0200

    pfi: Add function pfi_trk_inc_pulse() to increment the last added pulse

commit d6a6d81787d8a96809616000f78ed858f00f9e4b
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-07-25 18:10:18 +0200

    pfi: Fix new index positions in the rectify operation

commit 962386585542473e63e0446bde5f465085e78fda
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-07-14 23:28:30 +0200

    pfi: Add operation "rectify"

commit a002958cc82dfc911ee6dc38112538ec28acd864
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-07-14 23:28:29 +0200

    pfi: Add option "-x" to invert the selection

commit fa9de70fbce088a73fd6eadf43100bb5edcb5309
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-07-14 23:28:28 +0200

    pfi: Fix a wrong error message

commit 49b2853f57e5b919e1774fc5d15036bc1777db8a
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-07-14 23:28:27 +0200

    pfi: Add a2r write support to the man page

commit 1f58d50dd0e2c7504d2d5aab01c5d610e1a8897d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-07-14 23:28:26 +0200

    char: Disable reopen for stdout

commit ba6df5884691edb2257fb7fe7d73b3818175e15d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-07-02 23:36:11 +0200

    pfi: Support hexadecimal numbers when encoding text

commit 02c0d33bb4c4b2ce69256389aed7dcbf3e57107e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-07-02 23:36:10 +0200

    pfi: Cosmetic changes to the output when decoding to text

commit 9ebf06d43f9b83194ce1526d75acf0a8f84d4fb6
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-07-02 23:36:09 +0200

    pfi: Add a2r write support

commit 1eac5985bf798ea69b90c473efba55e1d6f1d6ae
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-07-02 23:36:08 +0200

    pfi: Don't add an index if one already exists at the same position

commit e8acb2eb9d6d225f08357ae8a1281fba86f7153f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-07-02 23:36:07 +0200

    mac: Handle short runs of weak bits differently
    
    For runs of two or three weak bits, make sure that exactly one
    bit is set randomly.

commit c6692ac9c560bb4e94f1ed02107aaae35b0ab272
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-07-02 23:36:06 +0200

    rc759: Add config option "fastboot" to skip the POST

commit 5a2a1256eb220baf931a0f6e72710504ae5caab9
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-07-02 23:36:05 +0200

    8086: Add field reset_flags to the cpu context

commit 3e822f69bb7da487f6839a3e064d1a2c2eaf95ab
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-28 03:41:28 +0200

    pfi: Add new operation "wpcom"

commit 358f2e4cbb0416cd7bc3cb89ba174f88f6f071bc
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-28 03:41:27 +0200

    pfi: Check all numerical arguments for errors

commit 5f32afb2d7e951a468ce49675fe90535e4a4ca01
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-28 03:41:26 +0200

    pri: Clean up Mac GCR checksum calculation

commit 2f72353401159ebcd0e05f7e721a5e711a7372eb
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-28 03:41:25 +0200

    pri: Fix two incorrect error return values

commit b6c6de726e8dbf0bee552abcd7f3de5fbb41449f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-25 14:17:51 +0200

    pfi Rename the export and import operations to decode text and import text

commit fb2cfda25e504b1df8afb8cccc78716a7e4e0218
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-25 14:17:50 +0200

    pfi: Add new operations "set-rpm-mac-490" and "set-rpm-mac-500"

commit abf36b9416db19f12a8c59d061f63ea125134473
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-25 14:17:49 +0200

    pfi: Add new decode types "pri-mac-490" and "pri-mac-500"

commit d5346b7e93b2ffdd8cde1e6ae2e2bcb09b5f5ac9
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-25 14:17:48 +0200

    mac, pri, pfi: Make all Macintosh GCR track lengths consistent

commit fad5e76e2fea4c35dbb52c58fe0555e41f5cb5d0
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-25 14:17:47 +0200

    Replace uses of <inttypes.h> by <stdint.h>

commit 6d9fb526f9d16c2189f3dc49a4383900657060b2
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-25 14:17:46 +0200

    pri: Update the pri help text and man page

commit 5e215297674ae4641efa6b894e9f46c045c83ea9
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-25 14:17:45 +0200

    pfi: Update the pfi help text and man page

commit 7f9bdef6d54aff0375855f8cb8cacf7c505ca78b
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-24 04:27:34 +0200

    mac: The "-b" option now simply specifies the boot drive

commit 3651d94ff6ff390045c6e2b20e2c44e4feedec78
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-24 04:27:33 +0200

    mac: Update the IWM track change status message

commit 59ff111df8abf8eff2152a7c5604e084f627781d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-24 04:27:32 +0200

    mac: Add IWM weak bit support

commit 038e766474ad9c53339c54bc68ce94979190694c
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-24 03:34:02 +0200

    pri/text: Fix decoding of invalid mac-gcr nibbles

commit 068d00e80d7dbc06221c9058596149e1cd47db88
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-24 03:34:01 +0200

    pri/text: Add functions to save and restore the current track position

commit fb24c96483b55e8e77cb77ff4445b93f37f24b56
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-24 03:27:00 +0200

    pfi: Modify fold position representation

commit a2f3b31fac3374b8799cb32aabded64fdbc44595
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-24 03:26:59 +0200

    pfi: Add new parameter fold-window to set the fold window size

commit c8b06e56fa6d30452f99c9af4691bee12d55ca19
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-24 03:26:58 +0200

    pri: Add support for Applesauce WOZ files

commit bd99628f96c3637379e4ec90ff3499545c57021e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-24 03:26:57 +0200

    pfi: Add read support for Applesauce A2R files

commit e94ca333e679e45167469e338d99e69b0815195c
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-24 03:26:56 +0200

    pfi: Change the internal pulse representation to a simple array of uint32_t

commit 6553728feb93ba09ff154e928fa48e5ebd12cdb8
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-24 02:21:22 +0200

    rc759: Use the pri block device to load pri images

commit 890d43a5ead5f2efb1f3fa25253fb4feb2288091
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-24 02:21:21 +0200

    mac: Use the pri block device to load pri images

commit 66e5c7b337976a7633cb1ab2444c3cde6c1b0d44
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-24 02:21:20 +0200

    atari: Use the pri block device to load pri images

commit ae4c020984af0bc20670688392d8cf174697cfab
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-24 02:21:19 +0200

    block: Add new block device type "pri"
    
    A pri block device is just a container to pass pri images around.
    They don't actually implement reading and writing.

commit 40b8bf2b513dce9617a5b2b359c384841c89176f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-24 02:21:18 +0200

    rc759: Use generic disk messages

commit 0ea0c8e9b06ea187b6fd80233ba99e69062de97d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-24 02:21:17 +0200

    mac: Use generic disk messages

commit d28325784fe4755263ba40fbde7ec4ef286057da
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-24 02:21:16 +0200

    ibmpc: Use generic disk messages

commit 8b5e6fbde7d3001b1282c7d8e975edd144803e7b
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-24 02:21:15 +0200

    atari: Use generic disk messages

commit 527d66cf5f8654cf055d5cc3714e5673bb0cfc6a
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-24 02:21:14 +0200

    lib: Move generic disk messages to lib/msgdsk.c

commit d8a38bbe9c20c033f2fbaf32a9f1ff11c95fa679
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-24 02:21:13 +0200

    lib/console: Change the I/O function declarations to match those in stdio

commit c7999068ec2d1dfa81dafe5a701cf0ba20c14724
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-24 02:21:12 +0200

    pfi: Fix allocation of new cylinders and tracks

commit 9e884fb19e9406f4b96ce78dc153c2a205e7af49
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-23 04:14:03 +0200

    block: Use the filename stored in disk_t instead of in blkpsi_t

commit 8e2ebad94f10696dffc1937a0012a092cad482cd
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-23 04:14:02 +0200

    block: Free dsk->fname after calling dsk->del()

commit 4d1e6fb18d7b5f6f8f8ee7516debefc8186827f7
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-22 21:59:18 +0200

    pri: Add functions pri_probe() and pri_guess_type() to determine the file type

commit 6ca6d5284416d54ffbe718a09f6d14032091b334
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-22 21:59:17 +0200

    pri/text: Nibble-encode bytes if they are surrounded by "<" and ">" in mac-gcr

commit 8ddda465215019cfc4a5e73055daa824d0fd72fb
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-22 21:59:16 +0200

    pri/text: Fix event decoding for mac-gcr

commit f6da6944449835c76abadd62448a81ea2ce99999
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-22 21:59:15 +0200

    pri/text: Cosmetic changes to the mac-gcr sector id decode output

commit 606118df1faf0f73f9cb806e1808f0ee30a79ce5
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-22 21:59:14 +0200

    pri/text: Check the track size before decoding mac-gcr

commit 92dc810fd1f6fc73e7ffe7d19299fb972d7a6dff
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-22 02:19:21 +0200

    pri: Add function pri_set_ofs()

commit 8f7e84bf201fd73361b07a86adfa4aa76a397863
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-22 02:19:20 +0200

    pri: Add function pri_img_get_track_const()

commit 4af5e0320c4a6e98c1e582a60fb30e337ae1a8fa
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-22 02:19:19 +0200

    pri: Print a warning when a Mac GCR sector is missing its DAM

commit 977b86dc240541c29a81cd51771aab1ac715ea75
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-21 05:43:51 +0200

    psi: Sector numbers are 0 based on Macintosh disks

commit 8f8975660ede4bd7376f1837bc1c33b441faa966
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-21 05:43:50 +0200

    atari: Use a 32 bit LFSR for PSG noise

commit 62792bc46593f05c45c60ce86aea48c31aec2d26
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-20 16:41:53 +0200

    pri: Update the help text

commit 651c23c145b94ee13a04a1864ad5bc1141f1d074
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-20 16:41:52 +0200

    pri: Fix decoding of GCR sectors that start at or near the index
    
    If a sector starts right after the index but the sync bytes preceding
    it are before the index, there might not yet be byte synchronization
    and the sector will be missed.
    
    With this patch the track is scanned from the first index past the
    second index to the position of the first decoded sector.

commit ed07a2b339b2d1c735b3d9fe06fbf68d05ab1f55
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-20 16:41:51 +0200

    pfi: Reset the index count in pfi_trk_reset()

commit c6366476f26ee13e0eb92978c25ba5b150455778
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-18 20:06:08 +0200

    mac: Add the port configuration to the SCC status output

commit bdc52780b572a3346db360e7325e893171991aed
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-18 19:58:28 +0200

    ibmpc: Add config option system.force_keyboard_enable
    
    If this option is set, the keyboard is always enabled. This
    can solve keyboard problems with some clone ROMs.

commit adbdf943490d815da316ef94a94b96d273a4ce8a
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-18 19:58:27 +0200

    ibmpc: Return 0 when reading port 0x64

commit 0d3019049945ced67d19b8a5512e26d67301e7c9
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-18 19:52:16 +0200

    Add int 0x21 function 0x5b - create file

commit a538c62446e1e2b1116648303874a2f50eb18214
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-18 19:52:15 +0200

    dos: Add int 0x21 function 0x06 - direct console output

commit b137303332e700db117c80aa335e8cd7bae52ab5
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-18 19:44:28 +0200

    simarm: Handle signals sigint, sigterm and sigsegv

commit 8deac45462deea20bc3ef9ef84b43b9606fe1d48
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-18 19:44:27 +0200

    simarm: Use the new option parser

commit db582b5282a246bf50a84379dafe252c5d29e44b
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-18 19:41:26 +0200

    atari: Release the mouse grab when the middle mouse button is pressed

commit 2f0c63c51481fb5af07de9f98ee24fb1edc4c1ee
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-18 19:41:26 +0200

    mac: Release the mouse grab when the middle mouse button is pressed

commit a7239dffbb9f128482932dfb48a2baffef5b5b23
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-18 19:41:26 +0200

    ibmpc: Release the mouse grab when the middle mouse button is pressed

commit 83e2be796f5398cdb80e3391e98c3d78f694bfeb
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-18 19:41:26 +0200

    mac: Fix volume size detection in the sony driver

commit e9245dcb466ac2010e990ae51c01d36998dd71ea
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-18 19:41:26 +0200

    mac: Add config option rtc.appletalk to disable appletalk

commit da55d1cea40af59dabb5b6e9a741364cc83c3b78
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-18 19:41:26 +0200

    mac: Move the memtest config file option to system.memtest

commit 45d75fea9dda7ec6fd9834b440d1f61073eee376
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-18 19:41:26 +0200

    mac: Recognize system models mac-128k and mac-512k

commit 9e6b0ee4b9aad5df71407d3e7f1f46c6b3af3850
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-15 16:19:36 +0200

    8086: Add a new hook to implement trap handlers
    
    The pc->trap() callback function is called just before a
    software interrupt is executed. If the function returns
    non-zero, the interrupt is executed normally. Otherwise
    it is treated as a no-op.

commit 3123b7a2531177b2bb6a02b439b1ff43186e5f9c
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-15 16:13:46 +0200

    char-stdio: Add option "reopen" to the stdio character driver
    
    When reopen is set to true, the output file is reopened when
    it disappears.

commit b292a2a5f5d3c0248d692c719951ac66c4cb194d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-15 16:13:45 +0200

    char-mouse: Stop microsoft mouse input when DTR or RTS are low

commit 025a8312e49124a1566110b4ead3b4160ac06223
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-15 16:13:44 +0200

    sdl2: Report focus gaining mouse clicks to the emulator

commit 033e0a40babd462e79ff23c2f263765674a9db8b
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-06-15 16:07:18 +0200

    ibmpc: Add support for a Covox DAC and Disney Sound Source

commit 9af59ed37c6d0523d7328a81c402b63c8cc1bec2
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-05-28 09:40:31 +0200

    mac: Add the "hm" command to list available messages

commit 4e66e911637d26574d9aeee26f54f6a396da8c36
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-05-28 09:40:30 +0200

    mac: Clean up serial port messages

commit 5560bbc088836b08bcfefc788a8f848fafa8b314
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-05-28 09:40:29 +0200

    mac: Rename message "mac.insert" to "emu.mac.insert"

commit 1374dc589f5d7cb21b056d8a94c7e9a6c44f74ca
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-05-28 09:40:28 +0200

    mac: Fix a compiler warning

commit b345bf8628c744415a636febb73879493ad04bed
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-05-28 09:40:27 +0200

    mac: Initialize the RTC PRAM to all zero

commit d47acac115c63477f8963090eeae80bb9b65195d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-05-16 18:57:53 +0200

    atari: Exclude system command and system realtime messages from smf files

commit 2eb0754563903d246e6bbfd3e0f153852704e031
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-05-16 18:57:52 +0200

    psi: List the weak bits and alternate sectors attributes in the short list format

commit 62a8ad06481820c0ac89a33543321647deecce90
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-05-16 18:57:51 +0200

    pri: Fix decoding of weak bits when sectors cross the index

commit 9223dbcf45ee7f55a8d840ff6cb5d14327702406
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-03-28 15:22:01 +0100

    pri: Add whitespace between tracks when decoding to text

commit 81f10ddd9e50aefd5e92ae054c73cae4331a2492
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-03-27 00:14:12 +0100

    atari: Fix a small inaccuracy in real time sync

commit bbb39c0006b57d6ec616607734b6b2bd425b4700
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-03-27 00:14:11 +0100

    pfi: Add new parameter "slack" to set "slack1" and "slack2" simultaneously

commit 3fac19d435a7c58566b9bbe64955a5d5cab98a50
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-03-04 15:33:33 +0100

    lib: Check if va_copy is defined

commit fdea88b3507dfb00a031f9ef76b9b4535fa52520
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-03-04 15:33:32 +0100

    doc: Document Atari ST specific key combinations

commit ac1e6c9ece3ef7e02831de7d17f3f4c127c12808
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-03-04 15:33:31 +0100

    atari: Open the terminal when starting up in viking mode

commit b8ff09f98aec964bc487d32b0c94ea641d5b7680
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-01-06 19:16:28 +0100

    8530: Add functions e8530_new() and e8530_del()

commit 453246234093bcd4ff763734f64d2ddfffbf4355
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-01-06 19:14:32 +0100

    Move pce_load_config() to lib/cfg.c
    
    The function pce_load_config() appears in src/arch/*/main.c. This
    patch moves it to its own file in lib/cfg.c.
    
    Bug reported by Peter Naszvadi.

commit dc1352a46991e00bb5059f948085105f85345255
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-01-06 05:57:10 +0100

    simppc: Add pceutils-powerpc

commit f3a90834fe96b18c98912f035b47453fd269bbf5
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-01-06 05:57:09 +0100

    simppc: Add a new hook mechanism to access host functions

commit b647ad80b9741cc982f069e0d3cc3d89f19e358f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-01-06 05:56:00 +0100

    ibmpc: Add support for the Atari PC1

commit 4248cecc795ea815f98796af3e78950470a7bb3d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2019-01-06 05:55:59 +0100

    mc146818a: Add MC146818A RTC emulation

commit 72d41e80ddd575373277888751cb25542eb12c10
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-12-30 14:34:07 +0100

    simppc: Use the IR bit instead of the DR bit when translating instruction adressses

commit e9183e12d325082ef6762fc925b5e5f6c3b451b3
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-12-30 14:34:06 +0100

    simppc: Don't sync the serial clock to real time

commit 2a0655110296446d7c53bad956f393a05cb6fae4
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-12-30 14:34:05 +0100

    simppc: Support not syncing the time base to real time

commit b924c5f88936643b32f99dc652b1fa4920b10e3e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-12-30 14:34:04 +0100

    simppc: Add new monitor command "s time" to print time status

commit 15acb55c2c1001250980f400d32fe8b8644deaa8
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-12-30 14:34:03 +0100

    simppc: Reset clock synchronisation when restarting the emulation

commit 5e3f27a09b243cb6ae8196c6b83962e006ce7ae7
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-12-30 14:34:02 +0100

    simppc: Log more information for exceptions

commit 7fa940fccbb05bb329e3be086baa05465937c079
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-12-30 14:34:01 +0100

    powerpc: Record the used registers when disassembling an instruction

commit d8d9b092a29d60329a369b9275e7bb7540612b80
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-12-30 14:34:00 +0100

    powerpc: Avoid sprintf when disassembling register and immediate arguments

commit 7d0124a23cb229800dcdbb6c2eda5afcf0091f4a
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-12-30 14:33:59 +0100

    powerpc: Make the new ESR and DEAR available to the exception callback

commit 02ee2a76c4ef7121811a36dbd9fb0025976bdde9
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-12-30 14:33:58 +0100

    powerpc: Optimize checking for external interrupts

commit 1a1a6ca6d081f703fbac893eb67b479e5194e719
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-12-30 14:33:57 +0100

    powerpc: Keep the MCI bit during program exceptions

commit 1115dc6fb8f274c187de8ac1a4cccc9c86d56931
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-12-30 14:33:56 +0100

    powerpc: Clear more MSR bits during exceptions
    
    So far these extra bits are never set, so this is more of
    a cosmetic change.

commit bafbd1c507ad44bb99d4e1ac28360f2ad332e20f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-12-30 14:33:55 +0100

    powerpc: Don't lose clock cycles when the pit is autoreloaded

commit 25b9c3e370c1efd20ed18d28e462fedcf7ce3768
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-12-30 14:33:54 +0100

    powerpc: Implement the fixed interval timer

commit 1d67ee59fc15982c244ef0309192baedfe29819e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-12-30 14:33:53 +0100

    powerpc: Fix handling of last register written for LSW
    
    This only affects illegal forms of the instruction, so should
    not have real world implications.

commit 14eadc6b3e5155f85b84f66f40a352c5b6296921
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-12-30 14:33:52 +0100

    powerpc: Clean up TLB searching

commit c68f2d2ec6586012a79228c1178c12ba377f0c0f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-12-30 14:33:51 +0100

    powerpc: Clear the internal TLB cache when writing to ZPR

commit 24476bb1082a98743331b176684abb1c0d199f35
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-12-30 14:33:50 +0100

    powerpc: Fix a typo

commit 5ff2e599f14b8d13aa8d6210116bac3f85f80d58
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-12-24 21:03:58 +0100

    simppc: Add new message "emu.ser.clock"

commit 7c8c72f5ec937b1d0c0232387209eabba5e4a420
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-12-24 21:03:57 +0100

    simppc: Add new message "emu.ser.clock"

commit 8a2619d10a1fdb1342f563a83805add38aa1dfa6
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-12-24 21:03:56 +0100

    simppc: Move message handling to new source file "msg.c"

commit fb3fbe46b9b291f6035d621f4a129afdb59d277e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-12-24 21:03:55 +0100

    simppc: Print more information when listing TLB entries

commit 5997af6523458844f202a9307601aa2fae0d8b4e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-12-24 21:03:54 +0100

    powerpc: Use new callback "trap" to log all traps

commit 7eebb7c6e678190f78a9a6245bcc307858754e37
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-12-24 21:03:53 +0100

    powerpc: Clean up exception calling
    
    This patch moves code from p405_exception_* to p405_exception(). There
    is no functional change.

commit bfc7f4497d8329217f6f79f0ce99d8d861dc9bc7
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-12-24 21:03:52 +0100

    ata: Add more debugging output

commit aadd439c26fa7f3e08c503776f4eb61e0678c31a
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-12-24 21:03:51 +0100

    char: Add option "cap" to all drivers
    
    The cap option sets a capture file to which all output is written.

commit e6a7ff9d06a8f8c8d13af6dddf815c3b9a6b9857
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-12-20 15:37:29 +0100

    mac: Fix how the RTC keeps time
    
    The mac rtc is now kept as an offset from host time. This way the guest
    can set its own time but the host can still use real time to advance the
    rtc.

commit fa0e1cb946076d785d5808f0c05b25831e0e328a
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-12-20 15:37:28 +0100

    ibmpc: Clean up handling of ini string parameters

commit 1387974f36cf79361d33f3c5084398510e422bcc
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-12-20 15:37:27 +0100

    8272: The fdc now knows which drives are valid

commit d75cff438174a82e6b619eeb3ed5b70567f4e81e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-12-20 15:37:26 +0100

    block: Sanity check the sector and head values when guessing the disk geometry from a partition table entry

commit e1adca9cfdaea9c55242d3922b34005267ca6263
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-12-20 15:37:25 +0100

    pfi: Add new operation "slack"
    
    The "slack" operation trims slack data before the first and after
    the last index on a track.

commit 1c104d1d4bfee0a9583375fcb4f0f2f00461d5f1
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-12-20 15:37:24 +0100

    pfi: Load kryoflux raw indices in a separate pass
    
    The index OOB packets can be anywhere in the stream and they
    do not necessarily appear before the index position that they
    refer to. It is therefore necessary to make two passes over
    the raw stream, one to find the index positions and one to
    read the actual data.

commit ce91fe0fd38e043a1e043216fbb672a7f260a025
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-12-20 15:37:23 +0100

    simppc: Add configuration option clock_mul to the serial ports

commit 087456b73a4f7c0f40f5dd9478c99cb8ed2447a6
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-12-20 15:18:41 +0100

    powerpc: Optimize execution of opcode 0x1f
    
    Opcode 0x1f is very common. This warrants special treatment to avoid
    a double indirect function call.

commit e65abb8ea3f5ec9df66dce2ffb3461c8cf347085
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-12-20 15:18:40 +0100

    powerpc: Change the op counter from unsigned long long to unsigned long

commit 7b04d60fb20b058d81ddac4c5958ecfb9983f0c2
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-12-20 15:18:39 +0100

    powerpc: Implement p405_br32() as a function instead of a macro
    
    The old macro evaluated its parameter four times, which is problematic.

commit 82197949e935b3d7fa68192eb559e5543f03ac56
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-12-20 15:18:38 +0100

    powerpc: Clean up disassembler opcode tables

commit c7925d46639d4d8b6c89cb7bd9a0da1493d78344
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-12-20 15:18:37 +0100

    powerpc: Clean up opcode tables
    
    Instead of large and sparse tables for opcodes 0x13 and 0x1f a list
    is now used. The same tables as before are set up during runtime.

commit 6139a702c4872950d3ff829357d7388da4c1d5ac
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-12-20 15:18:36 +0100

    powerpc: Implement reading the TCR SPR

commit 906a58a5f081a1ab9a8f0ce97be2cabb6a0a5809
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-12-20 15:18:35 +0100

    powerpc: Fix the tlbre instruction
    
    The low 4 bits of tlbhi are set to zero. This probably didn't cause
    any problems.

commit 3cc45f4c9fe4a240ad05df35215a585e48127089
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-12-20 15:18:34 +0100

    powerpc: Cosmetic changes

commit 0475f8c6826810d2c3ad550978e6517e19a44b24
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-12-20 15:18:33 +0100

    e8250: Support a clock multiplier

commit 940ffeaa722b3bc4d1f1198cec0c12fae420e2d8
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-11-10 22:15:05 +0100

    Add a script to regenerate Makefile.dep
    
    The new mkdep script generates Makefile.dep using
    'makedepend' instead of gcc.

commit 216d3fcbf39358b99eae1bc7f9813822a386d1e9
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-11-10 22:07:53 +0100

    Rename the default 68K compiler from m68k-linux-gcc to m68k-elf-gcc

commit a0ba61e40f23304c3489c7ec09827ee6a8956897
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-11-10 22:07:52 +0100

    atari: Don't cause a bus error for accesses beyond the end of RAM

commit b34c123aaff9b0234b149c7ed1d98caac69bb554
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-11-10 22:07:51 +0100

    mac: Support default IWM drive settings in the "iwm" section

commit 8cd060e1f9ae4b3edc5e364662c5df4c24a3cef0
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-11-10 22:07:50 +0100

    ibmpc: Fix the output value when the speaker is off

commit 68dd07cac7f08bed7da9017c9311bb72ac24e246
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-11-10 22:07:49 +0100

    pbi: Support creating flat pbi files
    
    Flat pbi files have the entire image preallocated contiguously
    right after the header with the L2 and L1 tables at the end of
    the file.
    
    To create flat pbi files the new '-F' option of 'pce-img create'
    and 'pce-img convert' can be used.

commit abae6db5f6002e0748b761aabd7e3eea688e4c4c
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-11-10 22:07:48 +0100

    pfi: Implement new track fold mode 'maxrun'
    
    The track fold mode can now be selected from the command
    line by using the '-s fold-mode' option.
    
    The new default is the 'maxrun' mode, the old default is
    now called 'mindiff'.

commit 73da124d48218992b334b89cffca942fa73ca21c
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-11-10 22:07:47 +0100

    pri: Add parameter 'mfm-nopos' to ignore sector positions during encoding

commit 43b519440d8f8979c5265a85d4065d510ebc3bcf
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-11-10 22:07:46 +0100

    pri: Better error messages

commit 6c4a72a5a793a9869e9ddbc00d25dfddd2d20874
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-11-10 22:07:45 +0100

    pri: Rename the encode and decode types for consistency

commit 4bf0fe5e65271e3d70cae56098d78f3ea41d5176
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-11-10 22:07:44 +0100

    pri: Complete overhaul of encoding/decoding from/to text

commit 23a7b1c1bd114ec5150572acf34383599ab32b00
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-11-10 22:07:43 +0100

    psi: Mark duplicate sectors when listing sectors or tracks

commit ed044cf4b9bdec2302c4fcb4e929f48be4f28a83
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-11-10 22:07:42 +0100

    video/cga: Fix the default hue in CGA composite mode

commit 4f1709fd6d70d48e5a49b7333dc42213b98f5e18
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-11-10 22:07:41 +0100

    8086: Execute a trace interrupt if the trap flag was set before an instruction

commit 3f91fa12934a1e78fb3bcab3633584d666dc25c0
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-07-22 07:24:41 +0200

    Update the copyright year

commit cdaa82a3d448286dcef2ec54a2eba7c352949c2b
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-07-22 07:24:40 +0200

    Fix a compiler warning

commit a96709dfaf322e5996799e207de8bd9e0f047bb4
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-07-22 07:24:39 +0200

    pri: Fix handling of weak bit events
    
    Weak bit events were renamed from "fuzzy" to "weak" a while ago, except
    in the pri command line, which still expected the "fuzzy" name.

commit 3c00a3b0123b4ebae2e9b44e96bd1a9ab364639b
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-07-22 07:24:38 +0200

    atari: Reset centronics busy when there is no parport driver set

commit cba1a406934bca0413077f67b1dd178218a3cc5a
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-07-22 07:24:37 +0200

    atari: Support sending key codes for mouse buttons

commit 739e9a545cda15aea7b473ca51ada4ddb097deb3
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-04-04 23:18:25 +0200

    video: Add support for SDL2

commit 8cbf91508ceef5347198ac435b7ec1ddf694d042
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-04-04 16:06:04 +0200

    dos: Support setting the environment from the command line
    
    The new command line option '-e' of pce-dos can be used to add
    strings to the environment.
    
    If no environment is set from the command line, a default
    environment is created because some DOS programs get confused
    when there is a completely empty environment.

commit ad0dcdbb5fb6bb76c7d82b2907c91151759b1760
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-04-04 16:06:03 +0200

    pfi: Modify the track folding algorithm
    
    The new track folding algorithm finds the exact index position by
    bitwise comparing parts of two consecutive revolutions and moving
    the index position by +/- 16 bits. The position with the minimal
    difference is chosen as the index position.

commit 06cff8d659adddef616a9516c1f4700d08b2a488
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-04-01 20:36:10 +0200

    pce-img: Add the 'info' subcommand

commit 910a2d4fb469f20eb9df268189c823e2f8a01e8e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-04-01 20:36:09 +0200

    pce-img: Use PBI as the default COW format

commit c6d02e5348cfbeb5ff8e6b8f0d3f4058ae31f4b1
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-04-01 20:36:08 +0200

    pce-img: Handle converting to PBI as a special case

commit 31a5bfd89432708103360f8943b3bd6c728ff06b
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-04-01 20:36:07 +0200

    block: Add the PBI block image format

commit 6bba587daa13e174b0405136d257dd660c1280da
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-04-01 20:36:06 +0200

    Update Makefile.dep

commit 184b521a49e930297cb552c855d3953cd3b59741
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-03-23 13:18:39 +0100

    8272: Don't match IDs if the sector sizes don't match
    
    Attempting to read or write a sector when the sector sizes in
    the command and on disk don't match should return a
    'record not found' error. The emulator did this only if the
    sector size on disk was smaller than the size in the command.

commit a575fc98dc5e1c4e6905c84afa95fe52f7c0d241
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-03-23 13:18:38 +0100

    mac: Fix clock discontinuities when the emulation is restarted
    
    This patch adds missing calls to mac_clock_discontinuity() before
    the 'p', 't' and 'rte' commands.

commit 4a9e05dab5f9421d773cc63a8692d565c2f16101
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-03-10 16:20:02 +0100

    pce-img: Check numerical parameters for validity
    
    The argument to the '-c', '-h', '-s', '-f', '-g' and '-C' options
    are now checked for validity instead of ignoring illegal numbers
    silently.

commit c92bad0f542bb71b47b53dfeaa3d3aaef9d03ce5
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-03-10 16:20:01 +0100

    pce-img: Support size suffixes when specifying the image size
    
    The image size specified with '-n' can now have a suffix of
    'B', 'K', 'M', 'G', or 'T' to specify bytes, KiB, MiB, GiB
    or TiB, respectively. No suffix still means 512 byte blocks.
    
    This patch also removes the now obsolete option '-m' to
    specify the image size in MiB.

commit 663faeabbd4f24759dee96cf24ed4e718383e347
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-03-10 16:20:00 +0100

    pce-img: Add missing --version option to all subcommands

commit 63bfb8daa7dbda9c4f43fab6a18db6d84f20f8ff
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-03-10 16:19:59 +0100

    mac: Add new message emu.iwm.insert
    
    The IWM can use either regular disk images or PRI images that are
    known only to it. Those PRI images could not be changed at runtime.

commit 0f60bc8269692b6a7dca01b0f16fa7366893283c
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-02-23 02:07:59 +0100

    wd179x: Set the spin-up status bit after seeks

commit 97ec4a1ba9341b2ab5c6d80b4dc657a21d488da6
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-02-23 02:07:58 +0100

    wd179x: Fiddle with the read track algorithm
    
    This should improve address mark detection, but it's still
    not completely correct.

commit 23a7456e5643e9828f22e1faa1eca8b242047074
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-02-23 02:07:57 +0100

    atari: Add the "uw" monitor command
    
    The "uw" command disassembles memory to constant words with
    the mnemonics as comments. The output can be used as assembler
    source to reproduce the exact binary.

commit 26a675bea918b7c9051f5f5041bad67fcf0af361
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-02-23 02:07:56 +0100

    atari: Memory accesses beyond the end of RAM cause a bus error

commit 1d5afe4dd4ddae3cb658b43b4756d294d6ac413f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-02-23 00:55:47 +0100

    ibmpc: Add new messages emu.tape.read and emu.tape.write
    
    These new messages are just shorthands. A message like
    
        emu.tape.write <filename>
    
    is equivalent to
    
        emu.tape.file <filename>
        emu.tape.save 0
    
    and a message like
    
        emu.tape.read <filename>
    
    is equivalent to
        emu.tape.file <filename>
        emu.tape.load 0

commit ab5ff19bdd5ff7fc2fde2eada123b22be5ae1d61
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-02-23 00:55:46 +0100

    68000: Improve the bus error stack data
    
    The data pushed on the stack during a bus error is more accurate
    now, but still far from perfect.

commit b99b6278bfbd078f0f59b7523ade67ccbc051e2f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-02-18 01:38:04 +0100

    mac: Increase the maximum number of Sony drives to 8

commit a835c71d1f596715e5f001c77ad606f942b0bd7d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-02-18 01:36:50 +0100

    8272: Accept format and read id commands with the MT bit set

commit 23b6918fd741a57f86c8e7de205d88aded0b82f6
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-02-17 15:56:43 +0100

    configure: Use 8 characters of revision hash in the version string

commit 891cfd355ef563f2ab5c96ac0bd4c655431c06ff
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-02-17 15:56:05 +0100

    configure: Remove version extraction from a Subversion checkout

commit 0802e1c86afc23507bd2509df90be94aa8fa5721
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-02-17 15:55:21 +0100

    configure: Update config.guess and config.sub

commit a6708b918d32ccfaa4f4df4128640771dc434ded
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-02-16 20:12:59 +0100

    pri: Fix Macintosh GCR track lengths
    
    This is a minor adjustment of the track lengths to produce
    round RPM values.

commit e6d993965ef4dd8c5ff06463373975cb561e1081
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-02-16 20:12:33 +0100

    pri: Add command "weak-clean" to clean up weak bit events
    
    The 32 bit weak bit masks in weak bit events can overlap. The new
    command "weak-clean" cleans up the events by converting the whole
    track to a weak bit mask and then back to event form. This generates
    the minimal number of non-overlapping events.

commit da43445bdb03625528b4dfe9a45c27e699df7996
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-02-16 20:12:10 +0100

    pri: Improve decoding of weak bit masks

commit c5f5c464261194f265c5cbc1c5cda665cb6dc3ab
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-02-11 01:45:48 +0100

    pri: Add commands to handle weak bit masks

commit 81353ad9c81e08b5aa4f5642144c76414b2c4e47
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-02-11 01:45:12 +0100

    pri: Add functions to get and set the track weak bit mask
    
    These functions convert the internal event representation to/from
    bit masks of the same size as the track data.

commit c12b3b0d826532e209e8ea14abe5f71d7ca2d7e3
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-02-11 01:44:50 +0100

    pri: Handle sector read times when decoding to IBM MFM

commit 3013aeb77df81a7056475812063ad90e0b699288
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-02-06 20:52:10 +0100

    pri: Rename the weak bit mask chunk from FUZZ to WEAK
    
    The old name is still recognized as a synonym, so pri files written
    by older versions will continue to work, but pri files written after
    this commit will not work with older versions if they contain weak
    bit masks.

commit 05be80768aaea999bd2e03753dd8cb87e17dc5de
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-02-06 20:49:21 +0100

    pri: Rename the weak bit mask event from FUZZY to WEAK

commit 5a99a6d6c8b6dcd4f3ab486f809b79a7575f7e5f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-02-06 20:48:56 +0100

    pri: Add function pri_evt_get_clock()

commit 51b3ed9e42c00904a427e171c559e154565bd200
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-02-06 20:48:31 +0100

    pri: Add function pri_evt_next() to get the next event

commit c52b61ff008782e3486589a43ccf6b7a947264bc
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-02-06 20:48:06 +0100

    psi: Add operation "regular" to regularize an image

commit edcfcc7b9c1836f0aa41cd54ef3d63b1cb56a8ac
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-02-06 20:47:10 +0100

    pfi/scp: Fix loading last track of an SCP file
    
    Due to an off-by-one error the last track of an SCP file was
    not loaded.

commit bdf7a91c37cdd55862e2c5a43cce0e5408d6d134
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-01-27 22:49:09 +0100

    pce-img: Add command 'rebase'

commit 66dfdf047e43fd5adb28b6a902296ac421ed8203
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-01-27 22:48:34 +0100

    pce-img: Support creating COW files whose size differs from the base

commit 9053b91fa92945c9a29859800ebce6df183b52d7
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-01-27 22:48:10 +0100

    pce-img: Reinitialize the disk geometry parameters when a COW file is opened

commit ce46453ccc75e68b8346ea2b45110181162b1f62
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-01-27 22:47:49 +0100

    block/qed: Take the disk geometry and size from the COW image, not the base image

commit e7817137e8a4ce867906ec32f9d662b5bcbf8a3a
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-01-27 22:47:24 +0100

    block: Add function dsk_read_lbaz() to read with zero fill

commit 78f7c46fb29187ad5c3080e8e992e65655b2bde7
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-01-27 22:46:44 +0100

    pce-img: Allocate the buffer at run time instead of on the stack

commit bd7d7ad1dca4e70331e54945b0ac7f5d06971b68
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-01-27 22:46:19 +0100

    video: Remove some debugging messages

commit d2f3967a3dc607fa48d5adb1586bd803f6ee1dcb
Author: Hampa Hug <hampa@hampa.ch>
Date:   2018-01-11 14:55:30 +0100

    video/hgc: Fix addressing in HGC graphics mode

commit 3d8a53e7133e8839f8b9572eae492a5ba39a4ff7
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-12-20 05:16:46 +0100

    pfi: Add the pfi utility to handle PCE Flux Images

commit 323a5176397616e17c8f1f6c5fcfb3d6ba57586f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-12-20 05:15:40 +0100

    atarist: Check if the viking has been set up before switching to it

commit a0c1112c94d9ea4d8c7332216a4a84797e88fa45
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-12-20 05:15:18 +0100

    atarist: Add the ikbd 'set mouse keycode mode' command as a stub

commit db84e7c9142998bad9780db70470335a893e0978
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-12-20 05:14:53 +0100

    wd179x: Fix the force interrupt command

commit 623e72e3e9e633e793191ba241851e9740ab3e2e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-12-20 05:14:01 +0100

    atarist: Support 16 bit accesses to the shifter mode register

commit 5617f05c1154cc74136dc1156eb407df7e3f89ef
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-12-18 02:32:53 +0100

    lib: Fix vararg handling in pce_log_va()
    
    If there is more than one log output the va_list in pce_log_va()
    is illegally reused. We need to make a separate copy for each
    pass over the arguments.

commit 9043abed4bc71ea807ddf9ebcb816ed3b5a51b54
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-12-17 01:19:52 +0100

    video/hgc: Fix memory accesses to the second page
    
    The memory address mask is wrong, preventing guest accesses to the
    second page.

commit bcb37b6a051f0f26f896ed12522af308511b8833
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-12-17 01:19:21 +0100

    atarist: Save the memory configuration register

commit 635d68210a201db6830c9844117eac32da63cf4b
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-12-03 14:24:19 +0100

    8086: Fix a typo that prevented an interrupt from leaving the HALT state

commit 4c256b05b2d93b2c408e57ac1534463df56ca8eb
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-11-12 10:46:02 +0100

    pri: Fix the track format when encoding Mac GCR
    
    The track layout is now closer to what MacOS writes.

commit df3cf34778320526feda3f95e785e428b187c8dd
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-11-12 10:45:35 +0100

    pri: Record sector position when decoding to PSI

commit bf410384c45aa5a155892324c077c2c624c8fe3c
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-11-12 10:44:52 +0100

    pri: Fix decoding of Mac GCR
    
    If an index occurred during the first three bytes of a sector ID,
    the sector was skipped.

commit 8be61a0f7cd4e69737d0684c741f53e2334e6423
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-10-08 03:28:15 +0200

    doc: Update video message documentation

commit be42b02aafac803032f6f55898bd705de827289f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-10-08 03:27:45 +0200

    video: Update the CGA emulation to use the new 6845 CRTC

commit 6aeb3d95de0d180e9ec88efe2a81a60d20fa9438
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-10-08 03:27:11 +0200

    video: Update the WYSE-700 emulation to use the new 6845 CRTC

commit a40029c42dc6d3e6ce7bad9fb1ea93b972db0df0
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-10-08 03:26:35 +0200

    video: Update the Plantronics Colorplus emulation to use the new 6845 CRTC

commit 855fd170192d65cf5c515f10e78b458111f8c003
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-10-08 03:26:05 +0200

    video: Update the Olivetti M24 emulation to use the new 6845 CRTC

commit d96492231f479649cae6a7ddd6c5c4be4bf2832b
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-10-08 03:25:28 +0200

    video: Update the HGC emulation to use the new 6845 CRTC

commit b2a71ecc51efdf24337d1ca44b3e6cb0b481b889
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-10-08 03:24:59 +0200

    video: Update the MDA emulation to use the new 6845 CRTC

commit 6391ce676aab70f18a5d464fa7b1fa145b50c98c
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-10-08 03:24:24 +0200

    6845: Add 6845 CRTC emulation

commit 415793fe83d0d7c8d03fe994ceaa4f3dbfe8f383
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-10-08 03:23:19 +0200

    video: Move the CGA font to a .c file instead of a .h file

commit 6e8814d82a16054bb342b8123638c0fae297b4fe
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-10-08 03:22:42 +0200

    video: Add buffer allocation to the basic video structure

commit 7dec52f7ad10d1be6be48d86255eb45413b2a995
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-10-08 03:22:17 +0200

    ibmpc: Add function pc_set_key() instead of sending terminal keys to the keyboard directly

commit f17a4ac3c904b0e0ec6cc631c1d1992ea3fd6b26
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-10-05 17:43:00 +0200

    Eliminate the use of archives in the build process

commit 06b24749004765c514d4074a6f1417d0a14bc95d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-10-05 03:17:53 +0200

    8253: Major refactoring of the PIT emulation
    
    This is a complete overhaul of the 8253 emulation.
    
    This patch fixes the interrupt frequency in mode 3 which was
    off by one clock cycle.
    
    This patch also implements the missing counting modes 1, 4 and 5.
    These are untested.

commit 728071be0166dad2a114e26238a78888bcb592b6
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-10-05 03:16:52 +0200

    dos: Fix resetting the CPU

commit 16c525575acabd9d6ac89b9fdc2bea96e8b8fa56
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-10-03 23:23:23 +0200

    dos: Add a few more unimplemented int 0x21 functions

commit 7317cecae32f56f0f65cec467285fb4fffb09a90
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-10-03 23:22:55 +0200

    ibmpc: Add a DOS TSR BIOS extension for Olivetti graphic modes
    
    After loading this TSR the Olivetti high resolution modes
    (modes 0x40 and 0x48) can be used on machines without the
    Olivetti BIOS.

commit ebb8d778c1c48362510e183f3f699bddffacce4c
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-10-03 23:22:17 +0200

    ibmpc: Add a DOS device driver for the host clock

commit 111d5f7c473c0afbb822a76b879f0973ad1b998f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-10-03 23:21:37 +0200

    ibmpc: Update pceutils to use the new hook mechanism

commit 0b1f41db8683f8e6021fa111c429514526a5c50b
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-10-03 23:20:45 +0200

    ibmpc: Use the new 8086 hook mechanism

commit 9639474fca457defb943ed94836d5be7c82525ba
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-10-03 23:20:13 +0200

    8086: Add a new hook mechanism
    
    The new hook mechansim uses an AAD instruction with parameter 0
    (0xd5, 0x00) as a trigger. Values are passed in registers. This
    has the advantage that the hook can be executed safely whether
    running under emulation or not.

commit 062486d62aa5d53fca9bf458d8f336ef30491997
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-10-03 23:19:41 +0200

    8086: Fix resetting the CPU while it is running
    
    If e86_reset() is called from a callback function (e.g. e86_undefined()),
    the CPU state may be modified after the reset but before the next instruction
    is executed.
    
    We now remember that e86_reset() was called and then call it again before
    executing the next instruction.

commit 14a7c828c41b3f205e55b0b03890e506ff7b3d53
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-10-03 23:19:10 +0200

    8086: Add missing opcode 0xd5 (AAD) to the disassembler

commit e0662af9126f639ba4c37302cc97a47e38cbfecd
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-09-28 23:12:16 +0200

    dos: Fix reading from a tty (int 0x21/0x3f)

commit abf2f13f44cf9d9c1f0800fab0399eb6c31ba7da
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-09-28 23:07:09 +0200

    dos: Add the read line function (int 0x21/0x0a)

commit 7cbbfc30d009ceef5879e9402ff07abec50b5a8c
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-09-28 23:06:21 +0200

    dos: Fix error return values of int 0x21/0x3d

commit d83b50e637e117bbbdc5997915f91114f1c6ce3f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-09-28 23:05:38 +0200

    ibmpc: Fix year handling of the M24 RTC

commit bf591756fdbe8bbe2aabf06bae7f473b721e9809
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-09-28 23:05:11 +0200

    ibmpc: Add debugging output for the M24 RTC

commit 62f085d4e6ac4cf84b706c1c96024bd20cd3b9f6
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-09-10 16:40:55 +0200

    ibmpc: Fix build dependencies

commit 530e52d2a47d1c9749db0bf4e171196bbd9197f6
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-09-09 11:52:43 +0200

    ibmpc: Add a keyboard timeout
    
    After a timeout new keys will overwrite old but unread keys. This
    prevents the keyboard from getting stuck when a keyboard interrupt
    is missed for some reason.

commit d38277b1a95a4f790601b2713fdaab1f0d840378
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-09-09 11:52:20 +0200

    ibmpc: Terminate immediately on second sigterm

commit 91392d6ba9af97fcc78723a12bebe917e92199ca
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-08-06 17:31:35 +0200

    video/wyse: Support native gray scale modes
    
    This adds support for the following native gray scale modes:
    
    320*400*4
    640*400*4
    640*800*4

commit eadf59ac0b4d51d187c498ffa74d3ad85126203b
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-07-28 02:30:53 +0200

    video/wyse: Improve Wyse 700 emulation

commit 15dc2ca7a6292ada5cd1f818fcb348d663be1d50
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-07-22 02:30:53 +0200

    atari: Allow more models to be configured
    
    This patch allows the machine model to be set to "mega" and "ste"
    in addition to "st" in the config file.
    
    Most STE specific features are not actually implemented yet.

commit 169ea61a1ebec6ebd6df6eaac04f05ef21853894
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-07-21 01:55:05 +0200

    pri: Add operation "half-rate" to remove all odd numbered bits

commit 6dbedeef7fd99561e0553912becabbc3fee49f8f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-07-21 01:54:40 +0200

    psi: Add operation "weak-clear" to clear the weak bit mask

commit d8b564e9a26bf4473836a1191ee630a7fef5173a
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-07-21 01:54:17 +0200

    atari: Support word accesses to the ACIAs

commit 9982fc2b0febea2591fab4db7c01ea103ca178d4
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-07-21 01:53:56 +0200

    atari: Fix a compiler warning

commit 8348291395692285b2198029f090234ced87eea6
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-07-21 01:53:23 +0200

    pri: Add function pri_trk_evt_rmv() to  remove events from tracks

commit ec0c0d3e1f334b72b20b5714f3d84d55d318cef6
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-04-30 23:33:50 +0200

    sound: Fix use after free bug in snd_close()
    
    Bug reported by Philippe Elie

commit cb20dfdf7832dcd88f2baf39cb4ed4027fce6fbe
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-04-30 23:33:03 +0200

    psi: Use the correct pointer type for realloc()
    
    Patch by Philippe Elie

commit 113f001ff141e6ea32bcf542f7ae64df9e0c7d47
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-04-30 23:32:33 +0200

    ibmpc: Fix allocation of EMB handle map
    
    The allocated size was wrong. This patch also adds a check for a NULL
    pointer return.
    
    Bug reported by Philippe Elie

commit cbab09196bf7ba7bc72045fe505836a03d92aa58
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-04-30 23:28:30 +0200

    68901: Fix a typo that prevented recv_fct() from being called
    
    Patch by Philippe Elie

commit 16849b361c01d16caa2e2a88e611dffb4cd681ea
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-04-25 18:37:47 +0200

    psi: Add new command 'weak-auto' to convert alternate sectors to weak bit masks

commit f2373dc9eafadc1dc1343da1493d180898f044ac
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-04-20 22:28:38 +0200

    psi: Support weak bit masks

commit 8fc0d18e905a0889f7378ea217cb6284c638c704
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-04-20 22:28:06 +0200

    pri: Ignore the PSI position hints if all sectors don't fit on a track

commit 5ac3ef3b223fedfe745ba76378ab27f706af0b74
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-04-20 22:27:39 +0200

    8086: Reinitializing the prefetch queue now takes 10 clock cycles
    
    Filling the prefetch queue should take some time. 10 clock cycles is
    a rather arbitrary value, but it's better than 0.

commit dd1fe16d4824f44a6e4d266429fafdf42e2d3095
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-02-11 13:43:21 +0100

    mac: Support the right windows key on the ADB keyboard

commit 95eec596be6af5ca8376821c5ee2936b98676999
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-02-11 13:42:52 +0100

    video: Allocate 12 ports for HGC
    
    The HGC needs these ports because its config register is located there.
    
    This partially reverts commit 010691d5ac138d24b6dda5165329752d5d330c68

commit df19414e2e58b24c9b8e3dbbdbda4956cef5536f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-02-08 11:57:30 +0100

    pri/text: Fix a segfault on malformed input

commit 79ce16192b23548407a3a293633f22284dfdaa8a
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-02-08 11:55:07 +0100

    8255: Switch port a to input if mode 2 is selected

commit 113a603c11fb2426172710170a4bb481d18eb4dc
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-02-08 11:54:32 +0100

    ibmpc: Support overriding of switch settings
    
    Normally the configuration switches are set automatically
    depending # on the configuration. With the new config file
    options system.switches_1_val and # system.switches_1_msk
    individual switches can be forced off or on.

commit 010691d5ac138d24b6dda5165329752d5d330c68
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-02-08 11:54:04 +0100

    video: Allocate only 8 I/O ports for MDA and HGC
    
    This allows a parallel port to be configured seperately at 0x03bc.

commit f7b07aa99e98d8e380babe5bc6b96b6724381019
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-02-08 11:53:41 +0100

    8272: Limit the data size to the size requested for 'read track'

commit e783772db6e600a406765db8468381e2a6284637
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-02-08 11:53:19 +0100

    8272: Skip sectors that have no DAM during 'read track'

commit 958fde68d00533a360bdfb9ccd20a0e6481d6ab2
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-01-14 17:49:28 +0100

    terminal: Report magic keys when they are released instead of depressed

commit 2267acd9bcb01c086099133f1787b12a83f67253
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-01-14 17:48:44 +0100

    ibmpc: Add the "trace" command
    
    If trace is turned on, the "t", "p" and "gb" commands will print
    a one line trace message before each instruction executed.

commit 921ac87ef8dd0f946cf22f1d544fab0ce9111f19
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-01-14 17:48:13 +0100

    ibmpc: Rearrange the cpu status output

commit f8f82024cc1a2c3b742ec0ab78af1e7006225c81
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-01-14 17:47:35 +0100

    8086: Change the operation counter from unsigned long long to unsigned int
    
    Extreme precision is not necessary, the operation counter will wrap
    around eventually anyway.

commit ffcb62076ead86b65f083178d5a50cc15a32339f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-01-14 17:47:01 +0100

    ibmpc: Main loop optimization

commit 9a3565c6aef5ab89d5006a646cac614c63151773
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-01-14 17:46:31 +0100

    ibmpc: Cosmetics, fixed indentation

commit bb358d8e20a88b363fcc2241e5ccb7daaddd9a0f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-01-14 17:45:58 +0100

    ibmpc: Fix reporting of disk types in int 13 emulator
    
    The disk type return by int 13/08 was wrong for 360K disks.
    
    This patch also adds support for 2880K disks.

commit 23f60b9d6460f26c2cc0303851961294555a3f00
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-01-02 19:41:19 +0100

    8086: Fix setting of overflow and carry flags for IMUL
    
    Bug reported by Bill Lewis

commit 66a4371f8def63c5c13b9f8aaafe03b5552ca161
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-01-02 19:40:45 +0100

    aym: Add option -t to set a delay threshold
    
    Delays shorter than the threshold are merged together.

commit 572107c9b53bb321ed0b8db53a26e4b1d70b61f5
Author: Hampa Hug <hampa@hampa.ch>
Date:   2017-01-02 19:40:09 +0100

    video/x11: Fix an infinite loop on 8 bit displays
    
    The display is still completely wrong on 8 bit displays, but at
    least there's no more infinite loop.

commit c5c83f3af2d695d9c13d3f1154686ddb28cda313
Author: Hampa Hug <hampa@hampa.ch>
Date:   2016-12-03 21:41:12 +0100

    video/plantronics: Fix alternate plane access
    
    Based on patch by John Elliott

commit 896b3c5058f59564e0b2c22d3ce6445197bef1bb
Author: Hampa Hug <hampa@hampa.ch>
Date:   2016-12-03 21:40:37 +0100

    psi/cp2: Fix array size
    
    Bug report by Alexander Ageev

commit 5b2fa4e6d4a9afa10f2a47897822414bebf55443
Author: Hampa Hug <hampa@hampa.ch>
Date:   2016-12-03 21:40:04 +0100

    atari/midi: Write a tempo event to midi files
    
    The default tempo of 120 beats per minute is now explicitly set
    in midi files.

commit 3bfcf04be29feb2bb4b47fcad1927e10ac57ea43
Author: Hampa Hug <hampa@hampa.ch>
Date:   2016-12-03 21:39:34 +0100

    atari/midi: Don't automatically open new midi files after delays

commit 5aab70e4b70da75c0120ee4408a67eed9bed8e4b
Author: Hampa Hug <hampa@hampa.ch>
Date:   2016-12-03 21:39:06 +0100

    atari/midi: Add a message to set a new midi output file

commit 3a3e347e05e1021663eaf557d869521e02d88b99
Author: Hampa Hug <hampa@hampa.ch>
Date:   2016-12-03 21:38:29 +0100

    atari/midi: Create a type 0 midi file instead of a type 1

commit c9206688ad44e41010a84a4f6665b81c5933081a
Author: Hampa Hug <hampa@hampa.ch>
Date:   2016-10-19 17:24:57 +0200

    Add the aym utility
    
    The aym utility encodes, decodes and plays AYM sound files.

commit e5f2624b3ed84a94d2c49985da0d5fd3dc288c3d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2016-10-18 11:59:26 +0200

    psi: Add a few more known raw disk geometries

commit 968dd85dfd3d6ec34007b7987fd76a9ac8d1ddf6
Author: Hampa Hug <hampa@hampa.ch>
Date:   2016-10-18 11:58:56 +0200

    psi: Suppport loading and saving raw images in HCS mode

commit 6da73de309ab231e8c20d3aea345f028daef6914
Author: Hampa Hug <hampa@hampa.ch>
Date:   2016-10-18 11:58:24 +0200

    ibmpc: Add function sim_stop()

commit f6bc4d8840cbfdce1e21bb32802348cfe327728f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2016-10-18 11:57:55 +0200

    8086: Modify single-step interrupt checking
    
    Only execute a single-step interrupt if the trap flag is set before
    and after an instruction.
    
    This partially reverts commit 0b2ea1e9440d5cdc1d6928d31546aaa85e5c3525

commit cccd67f949bfebb32ebceb1f1607705788986d81
Author: Hampa Hug <hampa@hampa.ch>
Date:   2016-10-18 11:57:32 +0200

    8272: Implement the read deleted data command

commit 75472c6ec721572f785fffc9cf42be9c44bc8dfe
Author: Hampa Hug <hampa@hampa.ch>
Date:   2016-08-03 23:50:23 +0200

    pri/text: Support the INDEX keyword to set the index position

commit 0ca85efeed103412f957aa05d6ff08fd46f8b23f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2016-08-03 23:44:30 +0200

    cpm80: Add a CP/M-80 emulator

commit d42e72f702fd9efd9319055b070fe3fd070abad4
Author: Hampa Hug <hampa@hampa.ch>
Date:   2016-08-03 23:43:16 +0200

    char: Support registering and unregistering character drivers at runtime

commit dc2f783a50d5bd81e1b141d28456283726fd5753
Author: Hampa Hug <hampa@hampa.ch>
Date:   2016-06-11 22:35:03 +0200

    ibmpc: Fix switch settings for RAM sizes smaller than 64K

commit 0610121edaa757ca782e9c2833b69e4dbfef4235
Author: Hampa Hug <hampa@hampa.ch>
Date:   2016-05-08 14:58:14 +0200

    8086: Implement the SALC instruction
    
    Patch by Yeong Uk Jo

commit 045f0ec5d2d8f93476b42d97fa5c0dae791f7b05
Author: Hampa Hug <hampa@hampa.ch>
Date:   2016-05-08 14:57:38 +0200

    rc759: Set the wd179x default track size

commit 04883bb5708a9c3a27824e2d60658817f477da49
Author: Hampa Hug <hampa@hampa.ch>
Date:   2016-05-08 14:57:07 +0200

    rc759: Flush the track buffer before loading a new image
    
    This fixes a segfault when switching disk images.

commit 7f6d0d0f76a93e5f7604437029c484c93f326129
Author: Hampa Hug <hampa@hampa.ch>
Date:   2016-05-08 14:56:39 +0200

    wd179x: Initialize non-existing tracks to a default size

commit 2efa486429f9690f05916691136325c3468b373f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2016-03-09 11:24:23 +0100

    Don't install ROMs from contrib/rom, even if they exist

commit 72f1e101b41b0c34b3ee161214a43ea3c20a44b2
Author: Hampa Hug <hampa@hampa.ch>
Date:   2016-03-08 12:50:02 +0100

    pri: Better byte alignment for the output of "decode text"
    
    Instead of starting the track with byte alignment, work back from
    the first address mark. This is just a cosmetic change, the track
    represented by the output remains the same.

commit 5d63b2fb7c22c90b6a97a483d130b78e3c79b09e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2016-03-08 12:49:36 +0100

    pri: Add the command "mfm-align-am" to align the track with address marks

commit f6c99f176bbddb6e43c7894f16659244dbffe79b
Author: Hampa Hug <hampa@hampa.ch>
Date:   2016-03-08 12:49:10 +0100

    sound/oss: Set the default device to /dev/dsp

commit 88f3e8bedb031064ade8c76ca7d7317cecb78fc1
Author: Hampa Hug <hampa@hampa.ch>
Date:   2016-03-08 12:48:37 +0100

    sound/oss: Support the NONBLOCK option

commit f1325ef64affcc5e65950f548fad7f35a0114a8d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2016-03-08 12:48:03 +0100

    sound: Add new functions snd_set_opts()
    
    The new function snd_set_opts() can be used to enable or disable
    driver options.

commit 2d13241bae11f47553952cf4d592ad251d4063f4
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-10-20 05:04:44 +0200

    Atari: Add support for the viking monochrome graphics card

commit c086f5a3e38287936cbdfee8afeb9f75bd8d8798
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-10-20 05:04:04 +0200

    atari: Better handle magic keys

commit b448f8399cefc9b61742551e8e6a70b4ad196fa2
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-10-20 05:03:40 +0200

    atari: Fix a typo that slightly affected clocking

commit 17e50f0d60ca67f42a5793b849fc57757d3919cf
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-10-01 13:25:07 +0200

    sim405: Update the default config file

commit 4d2032e67f2271d55f41d4d0b7be7dbd709448bf
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-10-01 13:24:42 +0200

    sim405: Don't stop the emulation on an illegal opcode

commit cfda91b35489d16a58f4098a3cdaeabefa4a7bfe
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-10-01 13:24:08 +0200

    sim405: Fix the timer and serial clocks

commit e12816197a245e96c95f2a18836f9b011e53ce4f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-10-01 13:23:31 +0200

    ppc405 uic: Allow the polarity of an IRQ input to be forced
    
    This is just a work-around for operting systems that do the wrong thing.

commit 706d3d3307c73efd6928111c3d5e6ec39ed8e369
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-10-01 13:23:05 +0200

    sim405: Add printing of the UART status

commit a5305be7045af78a141570598717d0dc33727a12
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-10-01 13:22:39 +0200

    sim405: Shuffle around include files

commit 50740b40073c35700049fec2861cf680d81a2f11
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-10-01 13:21:55 +0200

    sim405: Use the new command line argument parsing

commit 6c1f89ba8ba6d287a07f9736eec23aa4259e00f5
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-10-01 13:14:52 +0200

    ppc405: Support the usermode SPRs TBL and TBU
    
    TBL and TBU each have two SPR numbers, one accessible read-only from
    user mode and one accessible read/write from supervisor mode. This
    patch adds the user mode SPRNs.

commit efaf9b65a6e68f817c0fc628912f84b853027fbe
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-09-13 05:20:42 +0200

    ppc405: Generate an illegal opcode exception for floating point instructions

commit f0eeea37644a3a791927c49b9644d9c375f6e51a
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-09-13 05:20:16 +0200

    ds1743: Fix register updates when the R and W flags are set/reset

commit a76be9d1b712abdb829d27f074afc70d92e8d1ad
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-09-02 16:22:42 +0200

    atari: Support write protecting disks

commit 0f51e882ef1898234ede91756a8717f7de5ca5d3
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-09-02 16:22:20 +0200

    wd17xx: Support write protecting disks

commit 03ed00080e7e37bd9f89a714d6fe40d0496db2bd
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-09-02 16:21:56 +0200

    wd17xx: Limit the sector size to 1024

commit 71d95d98fbd477e6ad17604f5376d91fd01e4f92
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-09-02 16:21:34 +0200

    wd17xx: Implement the force interrupt on every index command

commit aaf201bd52a7398f1c8d32db4900efa526a62499
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-07-25 12:56:28 +0200

    pri: Support negative rotation counts

commit 5999ff97ad129ba4343ac372e5646f7f88d8a04e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-07-25 12:56:01 +0200

    pri/text: Add the FILL command

commit db489fbce4019320c44bb89a5204536ce8a7583c
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-07-25 12:55:34 +0200

    wd1797: Write one byte of gap 3 during write sector commands

commit 6ebf92f92c71558589376cadf9112e82bc14ede8
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-07-25 12:55:07 +0200

    plantronics: Fix the bit order in 320*200*16 mode

commit b7a0298b3359f75dd5316649448d7060e000ff9f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-05-27 22:14:51 +0200

    atari: Add YM2149 SSG sound support

commit 564cd8e8aa6ed0c56ee0f1f2fbec7cb17f3cb3f5
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-05-27 22:13:52 +0200

    rc759: Add function sim_stop()

commit 1220a384802576195fe68689e60b0e17ebe68f40
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-05-22 10:32:51 +0200

    atari: Avoid keyboard buffer overflows caused by mouse movement

commit 2195286737777a33dd9e101595273ff92f823ab3
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-05-22 10:21:25 +0200

    pce-dos: Add a DOS command line emulator

commit eecb452c8f5693dda8b884b154a2587132f7a73f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-05-19 10:09:44 +0200

    pri: Add operations to handle events

commit f6626c5506ed6ac9bbcf125819b0efe24f9196f7
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-05-19 10:09:03 +0200

    pri: Add functions pri_evt_new() and pri_evt_del()

commit 9519608b0ee6faf4894426f1bd5399fbf64ab002
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-05-19 10:08:38 +0200

    pri: Automate printing the operations help text

commit c8e9912387f384eb8438e740e78827f74e37691d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-05-19 10:08:04 +0200

    video: Handle basic messages in null terminal to avoid warnings

commit be701f9f5c432fc03d363665188297a9294d590b
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-04-12 23:33:40 +0200

    wd179x: Don't cancel an asserted irq during a force interrupt command

commit c265f8d8960fd7b6cdc11f682b76a87301f7610c
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-04-12 23:33:17 +0200

    wd179x: Fix the step-in and step-out commands

commit 52c06b49aec48882dc47af75ff405546d6f4bf6c
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-04-12 23:32:47 +0200

    psi: Add new image type "mac" for raw Macintosh double density disks
    
    Even though these are just raw disk images, they need special handling
    due to their peculiar disk geometry.
    
    This fixes the long standing bug that the Macintosh emulator couldn't
    load raw 400K/800K floppy disk images.

commit 5ba9b75df1798214f696e99191efcc7ed8966593
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-04-08 01:51:28 +0200

    pri: Specify an event type in pri_trk_evt_del_all()

commit 0abc4a3316b7752917c8c3a46f72b4d394afa924
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-04-08 01:51:00 +0200

    pri: Add new functions pri_trk_evt_get_* to get events

commit 9a21e34d046c563f702d40e820a9986492d116a0
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-04-08 01:50:31 +0200

    pri: Return the new event in pri_trk_evt_add()

commit 864dab3a791b2847944ab1c91b404657f5a22d26
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-04-08 01:49:52 +0200

    wd179x: Improve the error message for read CRC errors

commit 54321c74241194cf0d49c56e8cfd60fe1037c045
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-04-08 01:49:26 +0200

    atari: Support joystick interrogation modes

commit fb25b595baf05c31917caede544c4949c704e914
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-04-08 01:48:50 +0200

    atari: Simplify resuming keyboard transmission after a pause

commit 9ea9f53604b4eb70d3716f254e0a2dec1356e916
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-04-08 01:48:21 +0200

    68901: Clear pending interrupts when an interrupt is disabled

commit f185e5dad50d573c11eef6359eb3cbb1deb713db
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-04-06 02:47:48 +0200

    sysdep: Add function pce_srand() to seed the random number generator

commit 8fefb72cc39bd16bfc7850701a560f687639423f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-04-06 02:47:18 +0200

    wd179x: Don't abort a command if a new command is sent during execution

commit cee13b018c5d6c1d33d9d033a21693cc0fee7596
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-03-28 14:45:40 +0100

    Fix a typo that prevented doc/pri-format.txt from being included in releases

commit 0ae941f4bb700f40f5c6f005ca78856a3fe69080
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-03-27 22:30:33 +0100

    pri: Fix calculation of track size when encoding PSI files
    
    When the specified track size is too short and the track needs to be
    extended, the GAP 3 size is ignored, causing the track to still be
    too short. In some cases this can cause the last sector on the track
    to be truncated.

commit b27eeb2d8c49c1671f507bbe192ed23ef5e637c0
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-03-15 22:59:40 +0100

    pri: Add new command "half-step" to duplicate all cylinders

commit 2c3a9972640aab182e9bed81265c057f5b95b567
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-03-15 22:59:05 +0100

    ibmpc: Fix the output level when the speaker is off
    
    When the speaker output is masked, the output level should be
    the same as when the output is low. This affects programs that
    use speaker masking to modulate a square wave from the PIT, for
    example the background sound in Digger.

commit 01678af70d5c2747d6f6f13a001f8f78071148b1
Author: Hampa Hug <hampa@hampa.ch>
Date:   2015-03-06 20:35:30 +0100

    char: Add a windows COM port character driver

commit 60c6844f2f5855ecde567d6d677dbf63716ad965
Author: Hampa Hug <hampa@hampa.ch>
Date:   2014-12-30 17:29:36 +0100

    wd179x: Support fuzzy bits and alternate bit clocks

commit c7d5d665f7f64bf8a261babc3b3b036ead7cba5f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2014-12-30 17:28:54 +0100

    pri: Support encoding and decoding tracks to a human readable text format

commit aca933fb2efa302d6b0a57d57e770bbc995aab26
Author: Hampa Hug <hampa@hampa.ch>
Date:   2014-12-30 17:28:16 +0100

    pri: Support fuzzy bits and alternate bit clocks

commit 4be67c79035febe2e239c3def4cf92bdef906bc3
Author: Hampa Hug <hampa@hampa.ch>
Date:   2014-12-30 17:27:44 +0100

    pri: Rename some files for consistency

commit fe650cc678bb6dfed4aafd2cdf81fa9c9787dfa4
Author: Hampa Hug <hampa@hampa.ch>
Date:   2014-12-30 17:27:06 +0100

    pri: Support FM encoding and decoding

commit 28221397cd39ceebd60cbfd6eb50a4f1d126c2ba
Author: Hampa Hug <hampa@hampa.ch>
Date:   2014-11-07 22:02:51 +0100

    pri: Support loading from stdin and saving to stdout

commit 409d749cabe23f88ac3cf60ecb964720cdaf7126
Author: Hampa Hug <hampa@hampa.ch>
Date:   2014-11-07 22:02:26 +0100

    pri: Add options -x and -z to invert and clear the selection

commit 23a7aa4e0e316e511ef24b8c56e3b33d6fc3a657
Author: Hampa Hug <hampa@hampa.ch>
Date:   2014-11-07 22:01:51 +0100

    psi: Fix the semantics of the -x option and add the -z option
    
    The -x option inverts the entire selection. Individual parts of
    the selection can no longer be inverted.
    
    The new -z option clears the selection.

commit 3c249da3a473cc877cdbe6fa4f6e3bd01172dc23
Author: Hampa Hug <hampa@hampa.ch>
Date:   2014-11-07 22:01:26 +0100

    68000: Support double exceptions

commit 6f8e1ceb0fc4ec2ecb254c45ccae5de556243bbd
Author: Hampa Hug <hampa@hampa.ch>
Date:   2014-11-07 22:01:03 +0100

    ibmpc: Skip interrupts when using the "p" monitor command

commit 84933987b7220534758dfa923a167a582726d03b
Author: Hampa Hug <hampa@hampa.ch>
Date:   2014-08-24 16:14:02 +0200

    pce-img commit: Support specifying multiple COW files

commit 844e24b9edba8383ef8b4f2081b6f6f062e4f918
Author: Hampa Hug <hampa@hampa.ch>
Date:   2014-08-24 16:13:37 +0200

    pce-img: Add options -I and -O to specify the file types

commit 3b5a3d019447265120de66b79d3bcc4b72f4478d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2014-07-23 19:01:54 +0200

    pce-img: Allow multiple COW files

commit 07883557d3dbed0d99010d03922b98d8f838c85a
Author: Hampa Hug <hampa@hampa.ch>
Date:   2014-07-23 19:01:18 +0200

    pce-img: Fix the help messages

commit 4b05f0ced1e0af373403f08a6034930a6f1d55d8
Author: Hampa Hug <hampa@hampa.ch>
Date:   2014-02-22 12:49:00 +0100

    pri: Add highly experimental TC write support

commit 0b2ea1e9440d5cdc1d6928d31546aaa85e5c3525
Author: Hampa Hug <hampa@hampa.ch>
Date:   2014-02-22 12:48:00 +0100

    8086: Disable interrupts after an iret
    
    This is probably not entirely correct. The point is to disable
    the trace interrupt after an iret, so that if iret sets the trap
    flag, one instruction is executed before the next trace interrupt.

commit f6c19ead78fc62d99218d9767f15053866534b74
Author: Hampa Hug <hampa@hampa.ch>
Date:   2014-02-22 12:47:36 +0100

    atari: Support ICD ACSI host adapters

commit 9bdca48580f222915540e44cabaa41f37e0a2864
Author: Hampa Hug <hampa@hampa.ch>
Date:   2014-02-22 12:47:10 +0100

    atari: Cause bus errors in the FFFAxx region

commit 0ec8d7a440304054ff31b7c6049cfbacdc13b334
Author: Hampa Hug <hampa@hampa.ch>
Date:   2014-02-16 21:44:23 +0100

    8080: Add Intel 8080 and Zilog Z80 emulation

commit b832fbcfa628ec839ac03809ca9d7056c83a57b1
Author: Hampa Hug <hampa@hampa.ch>
Date:   2014-02-16 16:39:03 +0100

    8272: Set the RQM bit even in DMA mode

commit 45a7739e23684f34185c08628ecb3346a3ff4ce1
Author: Hampa Hug <hampa@hampa.ch>
Date:   2014-02-16 16:38:37 +0100

    8086: Leave halt mode if single stepping is enabled

commit 2eb5415494ec7c6103e15c3f905d401f3c09352f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2014-02-16 16:38:12 +0100

    psi: Recognize the CP2 file format

commit b64b46a9f0884ce65026107cca05cf667a901eef
Author: Hampa Hug <hampa@hampa.ch>
Date:   2014-01-19 01:00:26 +0100

    atari: Implement a DMA address mask

commit c1886f1a5850d86db9743b277eb64019f4dfa3bc
Author: Hampa Hug <hampa@hampa.ch>
Date:   2014-01-19 01:00:04 +0100

    pri: Fix trimming of trailing newlines in PRI comments

commit bb50807d4ee1460374de163485564f7dbde63c8c
Author: Hampa Hug <hampa@hampa.ch>
Date:   2014-01-19 00:59:38 +0100

    pri: Use proper default values when decoding MFM

commit 7ccbd5d56d7b82e8bcba0e6a3e3574f1121caa6f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2014-01-19 00:59:13 +0100

    pri: Handle ID over index when decoding MFM/FM

commit 01d5e4c7c9c2a16137141a926e44a01968815893
Author: Hampa Hug <hampa@hampa.ch>
Date:   2014-01-10 12:01:14 +0100

    pri: Only decode the selected tracks to PSI

commit f6a0a143d87ed1427f5ed1ade88ab54d3659c3f0
Author: Hampa Hug <hampa@hampa.ch>
Date:   2014-01-10 12:00:50 +0100

    pri: Preserve image comments when decoding to PSI

commit 72ce8b06a062cd1695e2c8e1bfe2df30fc4f7439
Author: Hampa Hug <hampa@hampa.ch>
Date:   2014-01-10 12:00:20 +0100

    pri: Add function pri_trk_clear_slack()

commit 9b6ed56e5c45a22aed83725e750c48c444fa6488
Author: Hampa Hug <hampa@hampa.ch>
Date:   2014-01-10 11:59:45 +0100

    ega: Support access to aliased CRTC registers

commit adbd16a703b76ec2405ca281dc1a5773023dcb79
Author: Hampa Hug <hampa@hampa.ch>
Date:   2014-01-10 11:59:19 +0100

    cga: Support access to aliased CRTC registers

commit b7b92d9577a1f5c1f453e36eb09bd366367091dc
Author: Hampa Hug <hampa@hampa.ch>
Date:   2014-01-04 07:45:58 +0100

    mac: Support the Macintosh SE SCSI interrupt
    
    No known software actually uses this interrupt, so the
    implementation is completely untested.

commit 725d42ec9d9b083d9daa1b1e78981926daec8af2
Author: Hampa Hug <hampa@hampa.ch>
Date:   2014-01-03 08:48:45 +0100

    atari: Improve 16 bit accesses to video registers

commit 879254f13098cf87cae515be5779554bd1b3f095
Author: Hampa Hug <hampa@hampa.ch>
Date:   2014-01-03 08:48:18 +0100

    pri/tc: Load the image comment as two lines

commit fb5852217500982b86baaad614ec561a874b2e4e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-12-22 21:42:56 +0100

    pri: Support decoding FM tracks

commit 4d74304f57fe3427582867565c08bd38a60db14d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-12-22 21:42:26 +0100

    pri: Add the -m and -M options to merge images

commit b902d7da3895c5006e3ba9674d64cb7a6c489513
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-12-22 21:41:44 +0100

    pri: Combine all header files into main.h

commit 36fc4195516a73a0e8efb41c0307b71e27be4dbe
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-12-20 01:58:21 +0100

    pri/tc: Print an error when a TC file has a bad magic

commit 16237b08d58dcb4be0677108c9a1044bb8f8a04d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-12-20 01:57:55 +0100

    pri: Split the pri utility into multiple source files

commit 1e6d4541ec4f6e3d4f2fe1d63f5150bb33713b4c
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-12-20 01:57:00 +0100

    pri: Support a minimum sector size when decoding MFM
    
    If a decoded sector is smaller than the minimum size, its data field
    is extended to the minimum size and filled with data read past the end
    of the sector.

commit 76f94fb13547b76456daee899017d481205b9024
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-12-20 01:56:03 +0100

    Update dependencies

commit ec9c85d66deaadea24aa350e46fe9f0c9a186ab1
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-12-20 01:45:09 +0100

    pri: Save sector position when decoding to PSI

commit dbf6bdd0f57ad4b095d292aba09f2f3a2a279a8f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-11-17 22:50:30 +0100

    68901: Improve the interrupt logic
    
    There's still a lot of guessing here, but this patch seems
    to improve things somewhat.

commit 66ccfafc09fc548f623684ed78f3ae70c5ea7d6b
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-11-17 22:50:06 +0100

    68901: Fix masking of control register bits

commit 487c6f8d9b9df34001b7681bed09e5b8192efaba
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-11-17 22:49:42 +0100

    68901: Split 32 bit accesses into 16 bit accesses

commit ca80dbc76c4be41aa1f229fa7f3d638c36291afb
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-11-17 22:49:19 +0100

    6850: Reset IRQ when the data register is read or written

commit 1e7a922e4e28125a88838ea7322c6f81f7f071ec
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-11-17 22:48:52 +0100

    atari: Make the keypad behave more logically
    
    The keypad now maps to the cursor keys by default.

commit c433df179707f2c53e292c4eed428a461aac3531
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-11-17 22:48:18 +0100

    psi/stx: Adjust the sector position correctly

commit 6774616e5d55f7ac54d03dc27eec8c66b3f81405
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-11-17 01:21:01 +0100

    wd179x: Report the physical cylinder during reads

commit a9e7dfde5c415b753b55a5da0eae8e51797aa624
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-11-17 01:20:26 +0100

    wd179x: Reset DRQ when a new command is started

commit b04f1b0dd1a47b869302687d2de6a7dd665f94c5
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-11-17 01:19:57 +0100

    68901: Clear the timer reset bit when writing the control register

commit 9bb9e716d0c3d396085893d0a54d2b361382b41c
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-11-17 01:18:46 +0100

    psi: Add new option '-D' to dump extra data
    
    The extra data dumped depends on the input format. For now only the
    STX track images are supported.

commit dc97d2bf981b29b384ff952d79f8d8f657441de4
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-11-17 01:18:19 +0100

    pri: Properly skip non-existing tracks in all operations

commit afd9222631c8577413899fb00ba8a548dfc7a6dc
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-11-17 01:16:30 +0100

    8086: Set the E86_CPU_PUSH_FIRST flag for the 80286
    
    The 80286 and later CPUs push the unmodified value of SP. The ability
    to do this was already implemented, but the relevant flag was not
    set when the CPU type was set to 80286.

commit bdcfcadadc3e97ac4b3bc9feb6f8b123584062ea
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-11-13 14:49:58 +0100

    wd179x: Use more tolerant command decoding

commit 8ff5a44ee97067a588954b7e71078fcf9423f4bd
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-11-13 14:49:29 +0100

    wd179x: Fix data flushing on mark detection during read track
    
    During the 'read track' command, when a mark is detected the
    current data register is output, but only if it contains valid
    data.

commit 9576934fa470985258edde68ae082cbe56ceee86
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-11-13 14:48:45 +0100

    68000: Fix the stop instruction
    
    When waking up from the stopped state due to an interrupt, the
    CPU executes the next instruction before executing the interrupt.
    Instead the interrupt should be executed immediately.

commit c09841aa51ee70eab89845f1600a07a7ff6d599c
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-10-23 06:51:44 +0200

    atari: Improve ACSI debugging output

commit d103b473837c3e897300cb79f38704aaabc28144
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-10-23 06:44:42 +0200

    pce-img: Split pce-img.c into multiple source files

commit 883becbc7c8ac260448ddd632e9a843410197fa7
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-10-23 06:39:26 +0200

    configure: Check for the futimes() function

commit f33cd5671aa9e13fc5d7862ac637d2ccba491e5a
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-10-23 06:38:34 +0200

    atari: Add function 5 to the bios log

commit d2cafa586ce7a12504f6732166997acd25fd5ed7
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-10-23 06:38:07 +0200

    atari: Clear the ACSI buffer before starting a new command

commit b91a4d1125e8f516b96005e6b30604a9adece75f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-10-23 06:37:40 +0200

    atari: Add the ACSI "mode select" command

commit d7f7723dfb6a6859cceda3106a20e30a4277ae45
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-10-23 06:37:09 +0200

    wd179x: Terminate the read sector command when data is lost

commit 3d5eaacd817ddb7bdf87213725cf32013195e359
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-10-23 06:36:39 +0200

    atari: Implement the joystick interrogate command

commit 3cd894753ff89c9eba03435cbfde75e42bfd8458
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-10-23 06:36:14 +0200

    atari: Update the video address at the beginning of the vertical retrace

commit 7e94eab35ffb42375d69e2ae624399c2e3e1b1db
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-10-23 06:35:49 +0200

    atari: Update the video address even when the frame is skipped

commit 5850c969ff0d8c0d8e4047bed4085c3d33aa2b83
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-10-14 01:45:01 +0200

    pri: Check for an empty track before getting or setting bits

commit 1da625fb329ac39b8cc2809b14dbc9fa2d85d42d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-10-12 14:58:57 +0200

    psi: Fully support FM encodings

commit d1b62656579535915a9631fb332782b1d8e4eef7
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-10-12 02:05:24 +0200

    xt-hdc: Add a short delay to the "write buffer" command

commit 7a1c596e3bceaf312bd379fff6fa8dc3e83e0a10
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-10-12 02:04:37 +0200

    ini: Skip conditional blocks if the condition is not met
    
    Conditional blocks whose condition is not met are now completely skipped.
    This means in particular that these blocks no longer need to contain
    syntactically correct configuration information. All that is required is
    that the curly braces match.

commit 4493932ddf21e43fdbe90e4c167518b2b1200b18
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-10-12 02:04:08 +0200

    ini: Add a conditional "include?" statement
    
    The "include?" statement includes a file if it exists and
    silently skips it if it doesn't.

commit a3b876d657d15dbf9b19ffdd6d99e196b2d424b8
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-10-12 02:03:35 +0200

    psi: Support inverting the current selection
    
    This patch adds the option -x to invert the current selection.
    Individual parts of the selection can be inverted by prefixing
    them with a - sign.

commit 49715b60fff20ea8e2bf7279ac50af4671c5d047
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-09-14 01:27:36 +0200

    atari: Add command "hm" to list all available messages

commit d26d3b0b125c0d1b59499f28724b22b664a89eb2
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-09-14 01:27:08 +0200

    atari: Fix the initial MFP input values

commit 15eb9432b57e145dec78f50a177dab7361e33a8c
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-09-14 01:26:38 +0200

    atari: Add messages to change the serial and parallel drivers

commit bb0cf55c690a1395fe2e10a3e836b9470b29c7be
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-09-14 01:26:12 +0200

    atari: Add the "test unit ready" ACSI command

commit eb08acc3c5e4973e1503add140da901bc33fb2c2
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-09-14 01:25:19 +0200

    macplus: Fix the CPU hooks needed for the replacement sony driver

commit 6b5b137e97974066f9022cf41796835dc629907c
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-09-14 01:24:49 +0200

    68000: Fix the hook mechanism using the illegal instruction
    
    This fixes a regression introduced with prefetching.

commit 7a8c214bc7a7767624327f9fc99fa806682b883f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-09-14 01:24:18 +0200

    68000: Add function e68_set_pc_prefetch()

commit 05130c59e23d831f56a84952b85a56be273dfeef
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-09-14 01:23:38 +0200

    68000: Fix the bus error exception stack frame
    
    The stack frame after a bus error still contains invalid data, but at
    least it's the right size now.

commit e8459f35e7fc74ecf35a526ed222081da5a88e32
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-08-20 16:54:41 +0200

    atarist: Add an Atari ST emulator

commit 0b0e68582361bd59aa547217e6f3644055d597cb
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-08-20 16:53:22 +0200

    Add 68901 MFP support

commit ede0d843d6345d403d260d5d3839dc05eba128e8
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-08-20 16:52:40 +0200

    Add 6850 ACIA support

commit 16c6ab7ad417a7f2a03a0be0139ec1cd78f2b7ba
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-08-19 23:33:57 +0200

    pri: Make MFM encoding more flexible

commit 36ee543ce7df88a0b9729bbd07d7917c4b65ce2e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-08-19 23:33:32 +0200

    psi/stx: Convert fuzzy bits into alternate sectors

commit b50d0f34f71b892a6dc30860c2fa4b876bb407ad
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-08-19 23:32:50 +0200

    psi/stx: Improve error messages

commit 284b6a6521c0359cf1dd4ee22b023994957c421d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-08-19 23:32:25 +0200

    wd179x: Improve debug messages

commit 1290dc694e7dfe04aafa7c09ccad4f4726e07f67
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-08-06 14:19:09 +0200

    rc759: Add mouse support

commit 16acc32c5b96c3abf431f27704f05ae3287aa8ce
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-06-29 13:48:46 +0200

    pri: Fix raw MFM decoding
    
    The MFM raw decoder removes the last 8 decoded bits from a track. This
    patch fixes this.

commit e62d1e72f13ec4bc2c3dd7ab4e201f484d73c7c4
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-06-29 13:48:20 +0200

    pri: Add support for the new PRI format

commit 3277d40ee349a2e8badfd93e1370702be6f9bb14
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-06-29 13:46:47 +0200

    Rename everything pbit related to pri

commit bbe839faa85dd02257a85646275545c74f511c71
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-06-25 16:44:14 +0200

    wd179x: Support the write protect signal

commit 76223e69b92580247bfdc18c01781e32dec744e0
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-06-25 16:43:47 +0200

    wd179x: Support 177x style motor control

commit 50ea9352e541625c9bf5a91b0320879b1bbbccc2
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-06-25 16:43:25 +0200

    wd179x: Implement the read track command

commit a007ba877bcde900b0975dd258038462b7993561
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-06-25 16:43:02 +0200

    wd179x: Add function wd179x_flush() to clear the track buffer

commit 4261b7269228d57565889acf8bf7a446eaa5da85
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-06-25 16:42:33 +0200

    68000: Store more PC history
    
    Instead of just storing the last PC, the last 32 PCs are now
    stored in a circular buffer.

commit 8b0280ab7d9c94636c062b5e73f2288cee5a8796
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-06-25 16:42:05 +0200

    68000: Implement prefetching

commit 8656d69e83347bb1296b41a035970bcf565b7fd4
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-06-13 01:20:27 +0200

    68000: Fix traps while tracing is enabled

commit f5ebac47c1bc4173be9bf9d734b043d87b302981
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-06-13 01:20:03 +0200

    68000: Record better information when an exception happens

commit 5057351bf11a11d92682539e5cfca7a7859efb3f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-06-09 22:08:47 +0200

    pbit: Use the sector position when encoding MFM tracks

commit 535e40f6c2e9668f6c8597429df859732832fd75
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-06-09 19:25:23 +0200

    psi: List the sector read time attribute

commit 12f74eb4d1e43867a207c7cefad3c413da422452
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-06-09 19:24:58 +0200

    psi: Add a new sector attribute "round-time"

commit 095ecac56f76a8a5fc0c150772b9ad8cc64758c9
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-06-09 19:24:24 +0200

    psi: Add read support for STX images

commit 1a0417f4994d3618299a8d7cc08245d776bc4b00
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-06-09 19:23:42 +0200

    psi: Add functions psi_sct_set_read_time() and psi_sct_get_read_time()

commit 2261d17bf719164002ad49ec1b958ef4369fba9c
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-06-09 19:22:47 +0200

    psi: Split the psi program into multiple source files

commit 1231e7079302a11faff5a2b4f26cc080bdc21ac3
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-06-09 13:23:31 +0200

    psi: Add the new PSI sector image file format

commit ac5703d65583f36fec2b01843e827ebdd372233c
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-06-09 13:01:42 +0200

    Rename everything pfdc related to psi
    
    This is a lot of renaming, but there should be no functional
    changes except that the "pfdc" program is now called "psi".

commit de8b2c5723d7108aa1473783a929ae184c1a233f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-06-09 02:51:35 +0200

    pfdc: Support sector level bit clock adjustments

commit c968e95be328116037e32b0f86123733895bd011
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-06-09 02:51:12 +0200

    pfdc: Support saving the sector position

commit 6f40c00ceeb6f762e809d3a4091bf46fdf6ce7c8
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-06-08 21:18:40 +0200

    pbit: Don't fail if an encoded MFM track is too long, just print a warning

commit ea6b7a2a1ee0f491babbe4bad2fb71bb9ed663c1
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-06-08 21:18:16 +0200

    pbit: Add function pbit_trk_clear_16()

commit cc78649124a178817fc5badb207541705dcafd56
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-06-08 21:17:33 +0200

    pbit: Set the sector size to 0 when the DAM is missing

commit 83d762cb289a7b0e27211f22c7339974b22ad670
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-06-08 21:17:07 +0200

    WD179X: Fix the bit clock
    
    The clock input must be divided by 2 to get the bit clock.

commit 5c13af435db77794f57a190f5b3a71658f73c9b6
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-06-08 21:16:23 +0200

    WD179X: Only compare heads if side compare is enabled

commit 042e477e1a566b33f9795084ed67613634ce5099
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-06-08 21:15:57 +0200

    68000: Fix a typo in the disassembler

commit c2dd29562851739e58a5c838cfde6fd911838704
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-06-08 21:15:26 +0200

    68000: Fix the address exception when branching to an odd address
    
    This is probably not quite correct yet. The manual is vague.

commit 0fc0edcd20bedd2f6e591625fa7bb6e2807391ba
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-06-07 12:04:21 +0200

    pbit: Auto-detect pfdc file format during encode and decode

commit 16251c505d609cd49f496dbeacb142bbe01df455
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-06-07 12:03:53 +0200

    pfdc: Better probe ST raw images

commit 0987af499c531c3c4e1066438636c5d2e1685aaf
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-06-07 12:03:17 +0200

    68000: Implement the trace exception

commit ba82b923f698a5254e26094102bef7b1b0a45f1e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-06-06 09:36:45 +0200

    pfdc: Add the MSA file format

commit 88d1ab40cd18af72f9c67c68c06dbef2206916f2
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-06-06 09:35:53 +0200

    pfdc: Add the ST file format
    
    This is the same as a raw image, but image sizes are mapped to different
    geometries.

commit 578e2b5e6de00ffea5b4bf5ca89d5ac68a617c20
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-06-06 09:35:14 +0200

    179x-fdc: Support external head selection

commit 8f72369f0c71f02b3c717f7102e4a7c250c2546e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-06-06 09:34:14 +0200

    68000: Support bus errors

commit b5e8827b3686e594e96368f95eb47aa2a78261e0
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-06-06 09:33:46 +0200

    68000: Implement proper interrupt acknowledge

commit c222e58a990d94a93c8ed2580acb3616c190914d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-06-06 09:33:12 +0200

    68000: Add a noreset flag to prevent the cpu from resetting itself

commit dd962782fab03c707b9fdb115505f819bd313114
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-06-06 09:32:36 +0200

    68000: Fix a serious typo in the ROL.W instruction

commit 9e21351ef4a34afcc0a7530acc7824c9a32bbc3e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-06-01 08:58:59 +0200

    devices: Add function mem_get_ptr()

commit 872aa8bf4d3fa61d6aa76d4bfa06f49111411112
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-06-01 08:58:14 +0200

    lib: Add a missing include file

commit a3c12683801af15997abcfd522ee150b804d26f7
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-05-30 05:11:01 +0200

    monitor: Fix the help texts for the load and save commands

commit 93f3196f041a9e17dd5069eabc9c3ce3046350f2
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-05-30 05:10:32 +0200

    macplus: Add a few missing trap names

commit 8f91032ed5a269aa7d9e4ebbfd67192efa4b2b4a
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-05-30 05:09:47 +0200

    68000: Add the trapcc instructions

commit 37e6b782eeca83a16d086a78c0db3c0f877df29f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-05-08 06:21:10 +0200

    ega: Fix a missing break

commit b0858eef2e6394e2d49fe560390bf66d80e13e96
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-05-05 23:47:48 +0200

    macplus: Support CPU type 68020

commit 49a801e20a7f3f7401ee8be1b34d02a4afe504ba
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-05-05 23:47:15 +0200

    68000: Add partial 68020 support

commit 624876345209586db78e778b9189f9612da49857
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-05-05 23:45:02 +0200

    8259-pic: Set the IRQ base to 8 during reset
    
    This should not be necessary, but some clone BIOSes don't initialize
    the PIC and just assume that the IRQ base is 8.

commit c7c2738d9c9a77f2c628d2859171fb5c5d9b1970
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-04-06 04:56:59 +0200

    cga: Fix scrolling in composite mode

commit 999c2de03920f58712304cdf0c7995d0e2fc82f1
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-04-06 04:56:30 +0200

    cga: Support loading a custom 8*8 font

commit ba51ca7dde64d2b487673405ea90a716938be5c8
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-03-15 12:58:32 +0100

    Update for version 0.2.2

commit be14b57735f84291c57f55366d65cb854bc61dae
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-03-15 12:56:42 +0100

    configure: Regenerate configure with autoconf 2.69

commit cb9ef43ff7ba4448d1f92cf5c5d922960816e939
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-03-15 12:55:50 +0100

    Update autoconf helper scripts

commit 676267ca02a570b7b243710a266ac15d8d69d7ea
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-02-18 17:38:37 +0100

    hgc: Fix scrolling in HGC graphic mode

commit d0220e9c8d6feac14e482de2f035abbd6047336a
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-02-05 19:39:55 +0100

    xt-hdc: Clear the data direction bit after reading the command result

commit 404a13feec992801be8975d3b7b5ce7328dcdeeb
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-02-03 11:47:58 +0100

    ega: Fix line compare

commit abb47c0d89787096c208f72c95dcc086c2f40971
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-02-03 11:47:25 +0100

    Rename src/utils/pceimg/ to src/utils/pce-img/

commit c9a52e7db20bac2ad90e121e32687d096beb651d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-02-03 05:52:08 +0100

    qed: Report unknown features

commit 28748dd93e00724d83fa2fd1003436a9840fdf3b
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-02-03 05:51:26 +0100

    pfdc: Fix loading alternate sectors from pfdc version 4 files

commit 3a9b34117f5e0cdddac7163fd5b354486f711cec
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-01-30 22:08:41 +0100

    video: Add message "term.escape" to set the escape key at runtime

commit d4b47185ddc32351dabcc411294e0848e87eb1dd
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-01-30 22:08:09 +0100

    8272-fdc: Don't abort the read track command after a ID CRC error

commit e679ff0626f05925bf5f8d33bd8ce86739a69012
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-01-11 16:34:32 +0100

    lib: Move the 'h' command to the monitor

commit 831e622c7acc465df787183499a2cdd1d935c9e6
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-01-11 14:24:28 +0100

    monitor: Add the 'save' command instead of the 'w' command
    
    The save command saves emulated memory to ihex, srec or
    binary files.

commit ae9ca37367f88e98a1ef9d2094f446d1c37e5700
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-01-11 14:24:00 +0100

    monitor: Add the 'load' command
    
    The load command loads ihex, srec or binary files into the
    emulated memory.

commit 459dd0a1f0adeb6ab64c90a63b8d1cb7e58b6825
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-01-11 14:21:23 +0100

    simarm: Refactor include files

commit 01c6c8aa08a3974c039ea94ba6efe559dc174014
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-01-10 11:42:10 +0100

    lib: Automatically detect the file type for files loaded into memory

commit 1b0fc7a8bb23e7b1808e68011ea7ee28392c4dce
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-01-10 11:41:42 +0100

    lib: Support saving segmented IHEX files

commit 1ebaee4e9e1cff8d10076d9cd5671f341d8421d7
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-01-10 11:40:54 +0100

    lib: Fix an endless loop when saving SREC files

commit 4b81710be4d1c1752d1c3319aaabdbd6d87e4ebf
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-01-10 11:40:28 +0100

    Fix documentation for the mouse character driver

commit 9cf39d408d52e64c9acd62e096501d1cad21e2d7
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-01-06 02:46:21 +0100

    video: Fix MDA memory addressing and cursor display
    
    Although the MDA's memory is only 4096 bytes, memory accesses beyond
    that need to wrap around.
    
    This patch also fixes a long standing bug that prevented the cursor
    from being displayed correctly if the displayed part of memory wrapped
    around from 4095 to 0.

commit 939e1a0303946e35331c0d6104647967e5b1da4b
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-01-06 02:45:50 +0100

    char: Support Mouse Systems serial mice

commit f51bdd2c6a44d13be6f4ca1270dc0c41e7c8ea4f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-01-03 13:17:46 +0100

    brkpt: Unify address breakpoints

commit d70a8f765c7842cb3d02632d516d2a6df5313d15
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-01-03 13:17:13 +0100

    e8086: Disable interrupts after SS is loaded

commit bea9c8f8ac3ba2980d612319c94b78ce48b72903
Author: Hampa Hug <hampa@hampa.ch>
Date:   2013-01-03 13:16:44 +0100

    e8086: Add a prefetch delay after jump instructions

commit 2affd58b9b66708099f6ee78183efa084c6455f6
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-12-22 12:10:05 +0100

    e8259: Clear the interrupt mask register during initialization

commit 43167998ee72d7a989862c720aecdc6b157118a5
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-12-22 12:09:38 +0100

    sysdep: Trun off XON/XOFF flow control for raw streams

commit 8b19403ff7dca4901783d25828b0927b6f12b0d5
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-12-08 20:35:55 +0100

    sysdep: Don't generate signals when a file descriptor is non-interactive

commit b961fbd4e21cc47faf2eb42d557119167a743642
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-12-08 20:34:49 +0100

    pfdc: Support creating new CP/M images
    
    Creating new CP/M images is really the same as creating DOS
    images, except that the new images are initialized with E5
    instead of F6.

commit ddccbc50f18e98ee243b4d5dc6cf6f81e4762fce
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-12-08 20:34:09 +0100

    pfdc: Fix encoding of 8 inch SSSD disks

commit 963c763106096777b2c35f806c9b8fd84b13154f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-12-08 20:33:05 +0100

    pfdc: Probe raw images and use them if they match a known image size

commit 71c5ee9776bdabb17ce24e84fbc30a74ee2414bb
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-12-08 20:32:37 +0100

    pfdc: Allow round sizes when guessing the disk geometry from the disk size

commit d91084b03396d35c7ed6621a6b257ec9f847ef14
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-12-08 20:32:09 +0100

    pfdc: Add new image type pfdc-auto to force pfdc but autodetect the specific format

commit 5d88113d16b3bdf5a2efd58c1de3755bef2af2c2
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-11-27 19:33:18 +0100

    char-tcp: Control line support
    
    Based on a patch by Julien Oster

commit 73080edf056870f84350b2a15a0b6ef42968e754
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-11-27 19:32:45 +0100

    char-tcp: Telnet support
    
    Introduces support for negotiating telnet options, primarily to switch
    the telnet client into character mode.
    
    Based on a patch by Julien Oster

commit 6cc9dc1438c73890107b45e7e787058e946398eb
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-11-26 15:21:44 +0100

    pfdc: Don't abort reading CP2 images if a sector is too big

commit d370cb4229018b08531da1e346f510d317811717
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-11-25 10:32:13 +0100

    pfdc: Improve automatic geometry detection
    
    In addition to the number of cylinders, heads and sectors, the
    sector size and encoding are now also detected. This is used
    to automatically detect IBM 3740 and RC759 Piccoline disks.

commit a73a4514ea62433ea07e9ff97f88098a70dbed8f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-11-25 10:31:31 +0100

    macplus: Map the right Alt key to the Enter key on the Mac Plus keyboard

commit fc7457e57471f54df977c154822def53400f2f8d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-11-22 14:31:07 +0100

    char-pty: Don't fail if the PTY can't be set to non-blocking

commit e9c775ba65ce63bf3cdc8b41c49ef5b8dca0eb7e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-10-14 06:42:09 +0200

    macplus: Support Macintosh Classic screen brightness

commit 5188bde0187a3ad071cc1bb022d0a43a9f232594
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-10-14 06:41:33 +0200

    macplus: Make the Macintosh Classic a separate model from the Macintosh SE

commit b061bbb23fa386cc153f7b0474477a1a4198f5b6
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-10-14 06:41:00 +0200

    macplus: Work around a bug in handling of simultaneous ADB requests
    
    The current ADB emulation does not handle two ADB devices
    requesting service at the same time correctly. This patch
    doesn't actually fix the problem, but it lessens the impact
    when a key is pressed while the mouse is being moved.

commit 8f2d0a51631767c4df677ad2a6467a9c9edb7b7e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-10-14 06:40:20 +0200

    macplus: Add new message emu.iwm.status

commit 361b7ac8601f886689b08a676eb82a213790233d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-10-14 06:39:51 +0200

    macplus: Make drive numbers 1 based in messages emu.iwm.ro and emu.iwm.rw

commit 92b57a0317d73500354b19986a331fd873a04392
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-09-04 23:12:39 +0200

    macplus: Add IWM floppy disk support

commit 45f527dbf6d58099b9d0560d988a6b34b35db716
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-09-04 23:11:53 +0200

    macplus: Support more than one speed limit
    
    The emulation speed can now be limited by more than one source
    independently. The lowest speed limit set is used at all times.

commit cf5d03c351fe80df46b013169e50418375f8d7c0
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-09-04 23:11:26 +0200

    mac: Support setting a start date for the real time clock

commit b16f8d6969fa44c8b6f59679587236f6ba43c83e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-09-04 23:06:37 +0200

    lib: Rename global variables log and log_cnt to avoid name collisions

commit 8161736f5efbad626e53d9b208dd4fdd530b86c4
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-09-03 04:54:02 +0200

    rc759: Add support for the RC759 Piccoline

commit 62fa7af59e835dd1cf4eac0ad4a4c8d277200a8c
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-09-03 04:42:43 +0200

    wd179x: Add WD179X FDC emulation support

commit 5cf6e8e422b7c89f133bb7c35eb2189a3040e940
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-09-03 03:35:37 +0200

    pbit: Add the pbit command line utility

commit 9480b6c3d8f313ffb6bff0fb7361408d03496a78
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-09-03 03:34:27 +0200

    pbit: Add pbit file format support

commit 7bbfa5f57cead23cde2338ddcc2e7510008275ee
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-09-02 18:18:36 +0200

    chipset: Add support for the 80186 timer / counter

commit d7c59fd7d73856f532bdfe15ef796c46a7e6c387
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-09-02 18:17:49 +0200

    chipset: Add support for the 80186 interrupt controller

commit ab864aa34c8bce6534acf93ece907898e54183d0
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-09-02 18:17:10 +0200

    chipset: Add support for the 80186 DMA controller

commit 24755ce4fee8719ef428682c5268b756e3110032
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-08-31 02:15:01 +0200

    video/x11: Support user defined key maps

commit 8bad3e7df9d8d243908219abff408b44e661898e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-08-31 02:14:30 +0200

    video/sdl: Support user defined key maps

commit 20231526d18e4670bf3628603a4e7152d3db284f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-08-31 02:14:00 +0200

    video: Add function pce_key_get_map() to support terminal key maps

commit 3c2d8a6485f14879676e8aa20e538caa7bfe90e8
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-08-31 02:13:26 +0200

    video/x11: Ignore the PrtScn key up event

commit a9ae9fe95928ca591b9515cfc658a1460d72cbae
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-08-31 02:13:02 +0200

    video/sdl: Ignore the PrtScn key up event

commit 7c3d979d851be1062fd626a207e2994c025a97e6
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-08-31 02:12:39 +0200

    video: Add 16 extra generic key symbols

commit 986719cebbbcdbb924959eccd12411184a73feec
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-07-15 19:32:00 +0200

    e8259: Don't clear the IRQ input and IRR during initialization

commit 3dabf80c7c668198246017d21c81020cf3081a0b
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-07-15 19:31:38 +0200

    terminal: Don't recognize the Pause key together with Alt or Ctrl

commit c9f474c36a6b1fe3aa58e825724749f773ec9230
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-07-15 19:31:08 +0200

    sdl: Fix a typo

commit 58a1d92b5b907ff92cd6fca905baa346e8f1ffe1
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-06-26 21:05:29 +0200

    e8086: Remember prefixes for repeated string operations
    
    Instead of setting IP to the first prefix of a repeated
    string operation, set IP to the string operation itself
    and remember all prefixes. This way repeated string
    operations can run completele within the prefetch queue.

commit c9e104fdd61babbf478eb67106bd047bb22525f2
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-06-26 21:04:59 +0200

    term: Scale up horizontally even when exceeding the aspect ratio slightly

commit cac23a37af327ca5224dd73429f555d7dc1e141a
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-06-26 21:04:34 +0200

    video: Fix CGA vertical timing

commit 175f724978489d30839e8502e46da9d2e0eaeef9
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-06-25 19:35:39 +0200

    e8086: Execute repeated string operations as multiple operations

commit 30d8ada17d9490a7ddf68841743a63f54cd51243
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-06-25 19:35:16 +0200

    e8086: Simplify calculation of the EA delay

commit e8bb967edb4f7f54e69dff3247385480cc97b0a4
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-06-25 19:34:51 +0200

    e8259: Fix a typo that prevented the ISR from blocking interrupts

commit acf1113c46841b68cdee374b2a207073f36e3cd1
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-06-25 19:34:12 +0200

    ibmpc: Set the minimum sleep time to 25 ms for both Linux and Windows

commit 04feb055999b1cee19d5733b843262251fe69cab
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-06-24 18:02:46 +0200

    pfdc: Automatically guess the encoding for raw and xdf images

commit 70fc829aa3ab52899f1897550d4c342e81ae26a7
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-06-24 17:45:56 +0200

    block: Try to set the PIMG file size using ftruncate() before write()

commit 4dc85f311d7a7bad8a1332e1e1e0dd5e0833ae99
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-06-24 17:45:25 +0200

    ibmpc, fdc: Add a config file option to ignore the EOT value
    
    If the EOT value is ignored, floppy disks with more than
    8 or 9 sectors per track can be used, even with older
    BIOSes.

commit 7f810c5aeb76d975a8fbd51bd7090374495c9bb3
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-06-24 17:44:36 +0200

    pfdc: Add support for 1840K XDF images

commit d5203137e767d9ffc6689a6945c34adaec2a1c3f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-06-24 17:35:41 +0200

    pfdc: Recognize more raw image sizes

commit 75a77dfff428eae97f75fcd46b8800762c1ef264
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-06-24 17:35:20 +0200

    pfdc: Add function pfdc_write_ofs()

commit ba5041c5cc57df3ea1aaa3245cc3255aa42cc4ee
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-06-15 01:53:24 +0200

    memory: Support moving memory blocks to the front of the list

commit 6c526ab6fcd00440aa3ae3cd9a179e65a393b137
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-06-15 01:48:38 +0200

    ibmpc: Support reading and writing all 4 DMA page registers

commit 32ad820196183217ed6f6ab751f4eeb07f1577d4
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-06-15 01:48:13 +0200

    macplus: Report the emulated CPU status after a segmentation fault

commit f77f3da29e62afd77af2ac0b0c8f82fadd1e2429
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-06-15 01:47:46 +0200

    tun: Support opening a TAP device

commit 0c4ffbfbaeb05749ff3036d4a9e87f1aef5ae0ef
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-06-15 01:47:18 +0200

    block: Open images read-only if the image file is read-only

commit 65b395b97644e46e78c2845fcbe3b5723f7338e2
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-04-04 15:35:13 +0200

    block: Guess the disk geometry from SUN disk labels

commit 997d09bf1f67790282ae0e21d02c8a8bcc09dd45
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-04-04 15:34:47 +0200

    Use a local stdint.h if it is not provided by the system

commit 8b97af0836cf8adb89ab9e6a775b630cba359956
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-04-03 12:50:36 +0200

    terminal: Try to maintain the aspect ratio

commit 3adbb00aa8a8459ce03d9f18f4436339b7553438
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-04-03 12:49:56 +0200

    fdc: Support non-standard MFM sector size fields

commit 007efd4bb0641fcfce8db0049dd72ac80e53f3ea
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-04-03 12:49:30 +0200

    pfdc: Support non-standard MFM sector size fields

commit b775a2db051e95a3dbc1d84b13056246ace80d44
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-03-28 05:06:24 +0200

    terminal: Optimize scaling for a few common factors

commit 06984218d34ea574307c703775bd601e360d1abe
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-03-07 02:34:34 +0100

    hgc: Fix attribute to color mapping

commit 853e7f0d34095bac2cde7573c14bf408ee39dcb6
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-03-07 02:34:06 +0100

    mda: Fix attribute to color mapping

commit e3ffbb1e8a4d5714895eba30be23684a34700c8a
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-03-07 02:33:29 +0100

    ibmpc: Add monitor command 's ports'

commit f0b22ab692a105134e2b9b8afa02a85436bd432b
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-02-13 19:37:49 +0100

    pfdc: Update the man page

commit c69f8127b65a3a11f1533b836f498b8b2754a012
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-02-13 19:37:25 +0100

    pfdc: Split the help text into multiple strings

commit 3e76c1d46d5ede83be5a82b65f317273147edb24
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-02-13 19:36:58 +0100

    pfdc: Add operations "sort" and "sort-reverse"

commit 9026b84e0e084c63db22ae8963347db376c03b0b
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-02-13 19:36:34 +0100

    pfdc: Add operations "tags-load" and "tags-save"

commit 2f0c85d8e8df6e9dd1a0cf452cffdf8462973c87
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-02-13 19:36:08 +0100

    pfdc: Add sector attribute "tags"

commit ed4a84f4e617e1ac788f364cb5abc52c58755505
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-02-13 18:22:15 +0100

    pce-img: Support pfdc as an output format

commit ec85de4fdafbeb64d2d8b9e118033edf14d61d61
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-02-13 18:21:51 +0100

    block/pfdc: Support creating pfdc images

commit 62db7bbeae982f33ca3e4dff6df11ba989abd5a0
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-02-13 18:21:22 +0100

    block/pfdc: Use the generic pfdc load/save functions

commit 4b1f4507098b2d9d608df5d33c2592b593f5ef4e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-02-13 18:20:51 +0100

    pfdc/dc42: Fix loading and saving images when the sectors are not in order

commit ee87209ea461e9de1c2cae61793e84f25c8d9079
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-02-13 16:03:40 +0100

    pfdc: Move the generic load/save functions from src/utils/pfdc to src/drivers/pfdc

commit d79a25a276d7db185b44ed96b517b40708763bb5
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-02-13 16:02:48 +0100

    xt-hdc: Support Adaptec specific set mode / mode sense commands

commit c9b195ac5dd3754c9e027bc265771534eceeea56
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-02-13 16:02:20 +0100

    xt-hdc: Don't abort read and write commands on DMA terminal count

commit bfadf27ad7ef2bd63635f4e5e61f15299da1f658
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-02-13 16:01:48 +0100

    pfdc: Update the man page and help text

commit 991379c9b1591d497da3e3fd17954f53669c9b63
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-02-12 11:46:56 +0100

    xt-hdc: Make the number of sectors per track a config file option

commit 302bbf9de4d61deb103c458571e068f49337290e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-02-12 11:46:27 +0100

    xt-hdc: Don't delay after writing the last sector

commit a3ac46c681bee8e6615c5aee6dcb28fcd8cab85c
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-02-10 16:58:42 +0100

    pfdc: Add support for pfdc version 4

commit 1115fa96f1ae63b224e9a5256c5b3d624b39418d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-02-10 16:57:57 +0100

    pfdc: Fix cleaning up of comments, again

commit a3260e05e688fd8122ecc9c6449c7dc5b5e270f0
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-02-10 16:57:24 +0100

    pfdc/cp2: Don't abort on bad sector sizes

commit 39c9899ebdba9de353c1b8a9ac221e34e87c6cf1
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-02-10 16:56:54 +0100

    8259-pic: Cancel interrupt requests if the IRQ input goes low

commit 3ecbd37d0dae5e22d3a182285e2f356d893cf898
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-02-10 07:53:33 +0100

    8086: Only trigger the REP bug for repeat counts greater than 512
    
    This is a hack. The assumption is that for repeat counts smaller than
    512, the program is probably not trying to trigger the REP bug
    intentionally.

commit 6a613945dbf646146710c59f77f4991bc3f4ddd7
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-02-10 07:53:06 +0100

    xt-hdc: Force command input mode when select is written

commit b629ff9724a7b76eb805b2e4256bf7e022e6bda0
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-02-10 07:52:36 +0100

    xt-hdc: Don't delay after reading the last sector

commit e02704610b570601adb097f7daa150f5619227d4
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-02-10 07:52:01 +0100

    8272-fdc: Fix result phase of sense interrupt status command when there was no interrupt

commit d631362c7cfdd2e1f9bce76f4d5f6ffa5bc4d4f6
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-02-10 07:51:32 +0100

    8272-fdc: Fix wrong return types

commit 8655bd9b10b2fef35963e737a963209804e3772a
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-02-10 07:50:59 +0100

    8253-pic: Load the counting element even when the counter is not running

commit ec4d84678e8f19539b427227e92e7147ed3ee8ba
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-02-03 06:09:10 +0100

    pfdc: Don't artificially limit ImageDisk images to 64 sectors per track

commit 32f65c2fd46fb9bbed1c176f0d46f638fcb5ef80
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-02-03 06:08:41 +0100

    pfdc: Preserve the ImageDisk time stamp as a comment

commit 79637eb1b979b5fa31c004047f4b8eb1a5ffb72f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-02-03 06:08:15 +0100

    pfdc2: Clean up the cleaning up of image comments

commit e1c28660d4249e391d4d66aa5c13a6ffef9e8441
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-02-03 06:07:22 +0100

    pfdc: Add function pfdc_img_get_comment()

commit 90874f1f3779220f51085cda32ef9b3dd77f4512
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-02-02 03:52:18 +0100

    macplus: Remove duplicate files from 'make dist'

commit 3db8cb382e6b57e2522a65c9bf1b94576d1cca8b
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-02-02 03:51:50 +0100

    blkfdc: Save the pfdc file using the default version

commit 276bde3270082bbdf2a1129d2ccb1814e432cf22
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-02-02 03:51:16 +0100

    pfdc: Factor out pfdc version 2 support to a new source file

commit 2a1a8dc88ea6c29b4cab28357c27495fb2ee18bc
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-02-02 03:50:39 +0100

    pfdc: Factor out pfdc version 1 support to a new source file

commit 35cc06ff0cc2d2cfa8ebb4cb7fcca3bf41d4eb07
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-02-02 03:50:01 +0100

    pfdc: Factor out pfdc version 0 support to a new source file

commit a2819e6bdf22febedea9489dc0adfd22f35b27a7
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-02-02 03:49:18 +0100

    pfdc: Factor out I/O functions to a new source file

commit c75f9de251849a3382a0a9a7c9e764c6fed284aa
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-02-02 03:48:41 +0100

    pfdc: Store the GCR sector format in the sector struct

commit f195a3dc594e744ea5ab6390cbc67ca32bf0da77
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-02-02 03:47:48 +0100

    pfdc: Store the real MFM sector size in the sector struct
    
    The sector size as recorded in the FM/MFM ID can have illegal
    values. Because the sector size in a pfdc_sct_t struct is in
    bytes, the real value needs to be stored separately.

commit c84d20fa4e711353fbb9b3b107818b94c72fce55
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-02-02 03:47:16 +0100

    pfdc: Change the definition of sector encoding and data rate
    
    Instead of storing the encoding and data rate separately, the
    encoding now includes the data rate. Being able to store
    arbitrary data rates was never really useful.

commit eabcac50ac1dc4857a0e17cc950ed2d0edbde9fd
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-02-02 03:46:41 +0100

    pfdc: Add function pfdc_img_add_track()

commit 3265b17d520a6d56b8a7c28b8fad4681770a1f3c
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-01-30 22:40:27 +0100

    pce-img: Add a rudimentary man page

commit c945a7c3679659b8658719f30993ef7ba15aa7f8
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-01-30 22:18:40 +0100

    ibmpc: Add experimental support for the Olivetti M24

commit 281dc70337a3719ffe702b0622e6fb770a31559a
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-01-30 22:17:59 +0100

    video: Add experimental support for Olivetti M24 graphics

commit 646bf55863f68aac836b08387374663a2b4e4692
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-01-25 15:36:29 +0100

    pfdc: Move all pfdc code from src/drivers/block/ to src/drivers/pfdc/

commit ee320895e7c700e388f00b23ac2d7d6a8a031a51
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-01-23 17:14:39 +0100

    pfdc: Automatically interleave Disk Copy 4.2 images 2:1

commit e96dd2d404bc5e2a730d37d8aed248bb7db63452
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-01-23 17:14:13 +0100

    pfdc: Add new operation 'interleave'

commit f594e6996a0aa6b34d64c0d9a8679fa85ab69b58
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-01-23 17:13:41 +0100

    pfdc: Add function pfdc_trk_interleave()

commit 36e7c770ad0bf87184e3e940856ba449d5fe3fee
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-01-22 01:18:37 +0100

    getopt: Support forced parsing of options as arguments

commit f2845be35c44b2b2d6c5868c94553d03c1f5df3d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-01-19 16:18:22 +0100

    ibmpc: Fall back to the monitor on the first SIGINT, terminate on the second

commit 1eb50690348f4e468b4e52c09ab58593f651a39f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-01-19 16:17:53 +0100

    sdl: Ignore the first mouse click when grabbing the mouse

commit 2bfb45cfbe7737ffa729fcbd7806f4ee76d7d782
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-01-19 16:17:26 +0100

    macplus: Check if the sony driver is open before inserting a disk

commit 7df4377baee07c528067b255ef40f4276ba6a292
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-01-19 16:16:54 +0100

    macplus: Fix decoding of trap names

commit f1f6a8a938e39e5a63053efffcf8ea8e0afcf444
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-01-12 06:14:04 +0100

    fdc: Clean up the interface between the 8272 and the block device

commit 89ca22b8937590dd73ac8f51c379bcbe6135a823
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-01-12 05:52:23 +0100

    pfdc: Add experimental load support for CP2 image files

commit 6d76f9145205970bd72f1cc2f2c6001d30e48378
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-01-10 05:33:31 +0100

    8272-fdc: Fix read error reporting for missing data address marks

commit 07123d090f70dd0b9211c3a75efef5d9d8070eb9
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-01-10 05:33:00 +0100

    pfdc: Fix deleting alternate sectors

commit 34289596ef5aa75d65035fb41bbf3180a11757dc
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-01-09 04:55:58 +0100

    ibmpc: Use the new generic monitor commands

commit 37d60e4b13ee85e196f60f06d4b69f9823d4532e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-01-09 04:55:27 +0100

    macplus: Use the new generic monitor commands

commit d73b990c76c0a473ff1e31629527af1f129ed69b
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-01-09 04:54:59 +0100

    sim405: Use the new generic monitor commands

commit dc7407d7cb7b7e068a0f47a4cbe75f3e62dec17a
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-01-09 04:54:36 +0100

    sim6502: Use the new generic monitor commands

commit 3042e90490b0bdf1f2d5086ffe623ba2f871cbf6
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-01-09 04:54:08 +0100

    simarm: Use the new generic monitor commands

commit e3384e3754626dacf4a62749b91d6c6172b2a4df
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-01-09 04:53:38 +0100

    sims32: Use the new generic monitor commands

commit 68052616934fd33f48a452d16126146e48d5e0ae
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-01-09 04:53:10 +0100

    monitor: Add the generic "y" command

commit a828ee9dcb5e5eea35d3d1f307c5bd861ca291cb
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-01-09 04:52:48 +0100

    monitor: Add the generic "w" command

commit 98030d4c409a6811d07727e7b39737eb68c34be9
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-01-09 04:52:23 +0100

    monitor: Add the generic "f" command

commit a05ee5c176f4a77f3f38e543b4e0ad868f1a1b56
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-01-09 04:51:59 +0100

    monitor: Add the generic "e" command

commit b0264e93ddb4cdc5397c4eeaeb5368e8b985fb9e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-01-09 04:51:34 +0100

    monitor: Add the generic "d" command

commit 1ffa5108a165f14a9d9da39676700dcc58b2bcdf
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-01-09 04:51:05 +0100

    monitor: Support generic access to the emulated memory in the monitor
    
    This patch will allow the memory accessing monitor commands to
    be moved to the generic monitor code in lib/monitor.c.

commit 217aaa4df7ceb575f0692a6ed8742c549ffaba42
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-01-09 04:19:02 +0100

    ibmpc: Log interrupts to the console, not the log file

commit 20220c51dcb93f2d101b364aea33935ac7037146
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-01-09 04:18:34 +0100

    pfdc-tc: Only try to read FM data if there is no MFM data

commit 10f82eba55b2af999f2f7b391b23a7ef4fee268a
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-01-09 04:18:01 +0100

    8272-fdc: Use all bits of the head number when comparing sector IDs
    
    This reverts commit 7a11efd4949780383e92307737f8802c703fa228 on
    2011-09-17 19:07:40 +0200

commit e5005385b5afa25ee43feb62d04475498a5df283
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-01-09 04:17:35 +0100

    8272-fdc: Properly report missing data address marks

commit 079f5a0b002faa68e92f76a5d7ac8951256f8cba
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-01-07 15:28:08 +0100

    ibmpc: Allow disassembling of memory ranges
    
    The "u" command now has an additional optional parameter <mode>.
    If mode is 0 (the default), cnt specifies the number of instructions
    to disassemble. Otherwise cnt specifies the number of bytes to
    disassemble.

commit b0d6664a692e69ba473562c3f306f5849573fe08
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-01-07 15:27:23 +0100

    ibmpc: Fix interrupt logging
    
    The "log int" command now logs the address of the instruction that
    caused the interrupt, not of the instruction following it.
    
    The log now also includes registers DS and ES.

commit d47dd9d32192f45e956cb9efbb8ae7fa03404d71
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-01-07 15:26:40 +0100

    console: Print a newline after commands when output is redirected

commit a104dd92f5de75fbe545d1eff06198f5d1230f65
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-01-07 15:26:09 +0100

    Update copyright to 2012

commit 3fb6e553eb08c2f451042b86bf548a00adf7ae48
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-01-06 01:01:08 +0100

    8272-fdc: Ignore sectors that are smaller than requested

commit 5d1705cd2f2e05be6a20e8901cd7a03f329f1b9d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-01-06 01:00:30 +0100

    8272-fdc: Fix the starting ID for the read track command, again

commit c7048bb4598d36a5ef69856da989979546b05408
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-01-06 00:59:59 +0100

    ibmpc: Improve the "key" monitor command
    
    The key command can now simulate pressing and releasing keys
    specified by symbolic names.

commit 1d98bb3ea48e038733f9bfe56b71735b9bd68b46
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-01-06 00:58:57 +0100

    8086: Fix 8 bit register names

commit e90a0ef688eca4f0caf4aabb067cd83cf551cfde
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-01-01 22:31:03 +0100

    8086: Fix timing for IN and OUT instructions

commit 5b136429deae3aed571d53367b376e3fd8b22ec6
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-01-01 22:30:17 +0100

    8086: Add the delay for unaligned memory accesses during EA accesses

commit 38032b2e54acbd4d0cef47a12676c4c3394bbd1f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-01-01 22:19:01 +0100

    xt-hdc: Support the DTC and SMS BIOSes

commit e9ea4d0e13ba171c4c9937ae34d5976e9d58235b
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-01-01 21:52:59 +0100

    macplus: Add a message to set the video brightness

commit 0b59816fb4e02393657fbd9543e92c3aede4256e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2012-01-01 21:52:32 +0100

    macplus: Support setting of video color and brightness

commit 4f01782f8603493e1c15ac1772c97239566e9a63
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-12-29 19:46:20 +0100

    ibmpc: Turn the model ID into a bit mask

commit 1a100c1547bb3a8ddfa566cc41ad4b1b91fd8f6e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-12-29 19:45:34 +0100

    8272-fdc: Start the read track command after the index, not at the first ID

commit f5b8d8e1824a6f489d7afb1f98cda54ec73655a2
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-12-29 19:45:05 +0100

    xt-hdc: Force IRQ low if IRQs are disabled

commit 9926b01f64cefbab0b32fc13bfdd5337a3fd5b86
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-12-29 19:44:37 +0100

    8259-pic: Remember the state of the IRQ input lines

commit 5113a38ebda2f88c038d6c2dbee8d62dc9e0856d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-12-29 19:44:09 +0100

    8259-pic: Fix priority resolution

commit 13d4b5682a91b259c1c0bcbb3781fb2bab8e405d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-12-29 19:43:40 +0100

    ibmpc: Print some more PIC status

commit 55c81738687df1d89c0f98500ce91c1e73491982
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-12-29 19:42:58 +0100

    8086: Only trigger a hardware interrupt if INT is asserted during the entire instruction

commit 4a2c491b6f24021c6835e91276cbe2ab413eed70
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-12-29 19:42:23 +0100

    ibmpc: Fix a buffer overflow in the int 13 handler

commit 85dfbab8f9809bf574f32c9c6cc884746032dfd5
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-11-18 06:18:15 +0100

    pfdc-tc: Support FM transcopy images

commit 2db0c16a12a7af492f35cd4ecbda62e041f4935a
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-10-17 10:32:43 +0200

    macplus: Print more debugging information on illegal instructions

commit c5777ca1331d43eff0e06c07d0eff62f226ff2c8
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-10-17 10:32:13 +0200

    ibmpc: Remove the old serial mouse implementation

commit 5b504e044fd4f4c3c550f811db95417580bb4790
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-10-17 10:31:38 +0200

    ibmpc: Use the new serial mouse character driver

commit 4e1db1fcc045095ff5ec3ed33667777d8ce21601
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-10-17 10:31:10 +0200

    char: Add a serial mouse character driver

commit 88c3316d77a3c605c5b6c725b6ef5bc0d83f2011
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-10-17 10:30:19 +0200

    char: Add function drv_get_option_sint()

commit 066250a81c0f6c114e709a270bfb2cdba26d60a2
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-10-17 05:12:38 +0200

    sdl: Get mouse button information directly from the event record

commit 83f00f8f7a206a2383f756d601736c7a8ba2e365
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-10-17 05:12:11 +0200

    pce-img: Add image types pimg and img as synonyms for pce and raw

commit c1afdd9116cc4b011a8fb0a6b2ca698ecac016ec
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-10-17 05:11:45 +0200

    pce-img: Recognize extensions .img and .pimg when guessing image types

commit a27cbf41e24abfa4de6c2029cb854eac73a39830
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-10-13 01:09:09 +0200

    char-pty: Disable echo
    
    It seems that if data is written to the master side of a pty before
    the slave side is opened, the data will be echoed back by default.

commit 8e352d20e7989e7580f7dc6c861f39a8f79d49a0
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-10-13 01:08:05 +0200

    char-pty: Set the pty file descriptor to non-blocking instead of polling

commit 2a7742e9120bd038e9f05ae3167f2f17e79d7470
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-10-13 01:07:16 +0200

    cga: Fix the CGA cursor, again
    
    If the displayed portion of the video memory wraps around, it is
    possible that the cursor position is less than the display start
    offset while the cursor is still visible.

commit 1f786ea5976a4c46805d30ef0ae24137f3e63863
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-10-13 01:06:27 +0200

    e8259: Fix interrupt logic
    
    The 8259 PIC now changes the state of its INT output immediately
    when its IRQ inputs or the interrupt mask register change. This
    allows the hack where the 8259 needed to be clocked to be removed.

commit e541ea0d025b346d11b16b7b264a5589471bbc57
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-10-13 01:05:42 +0200

    e8259: Rename e8259_get_irq_f() to e8259_get_irq_fct()

commit bd15375b7c1895e1a5d9189cc825ed0ea6d295cc
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-10-13 01:05:09 +0200

    e8259: Clean up
    
    This is all cosmetics

commit d884b13561598a58e0acdc67a53a9a5800c79ca6
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-10-13 01:04:38 +0200

    pfdc: Flush the output after saving pfdc images

commit e2ebeab19f06ff4e1268d436c4371e8033964525
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-10-13 01:04:04 +0200

    pfdc-tc: Support reading beyond the end of a track
    
    Sectors can span the index pulse, so at the end of a track we need
    to wrap around and start at the beginning again. To avoid endless
    loops we need to keep track of the number of index pulses.

commit 6c1faaa0f3abe02a7836c8dcba6546ee136ce2e4
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-10-09 00:58:51 +0200

    xt-hdc: Fix command error reporting
    
    This patch fixes error reporting for most hdc commands. It
    in particular fixes errors after trying to access a
    non-existing drive.

commit 7b59b5b22363dd1183d155acd219e5f902b8f3d9
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-10-08 00:45:43 +0200

    ibmpc: Reset the serial ports during system reset

commit d68c6886a9c2f914711512f4ccd80f7e3f7414e7
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-10-08 00:45:15 +0200

    serport: Add a reset function

commit 45617ddfdfeecf2e3d9f926838435719304c80a3
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-10-08 00:44:43 +0200

    e8250: Add a reset function

commit 9463b64832ec9bdf98d6291b0246eea85da1f65e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-10-08 00:37:01 +0200

    e8250: Implement the modem status interrupt condition

commit a499ba5d7a0324a995fa466d872a2bb949e6ed10
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-10-08 00:25:31 +0200

    ibmpc: Add a config file option to disable the POST memory test

commit b5e4a66e043156ac2f73d6a003c56e38569074a1
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-10-08 00:23:01 +0200

    xt-hdc: Add a short delay before executing the init drive command
    
    Some programs expect that REQ goes low after the last command
    byte and before the first data byte.

commit 313c79db422d4fe64ac84ab66fbbbb16e6c6efbd
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-10-08 00:22:18 +0200

    ibmpc: Add a message to enable/disable the FDC accurate mode

commit ceb32d502aef412f38f51e5a2672b0b263be872c
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-10-08 00:21:43 +0200

    cga: Fix cursor positioning for positions > 8192

commit c39ab4a3283fad070d37118f92d4341a84a0817d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-10-08 00:20:48 +0200

    parport: Fix resetting of ACK
    
    ACK is now reset whenever STROBE is reset.

commit 36c87e7fb2c24de3c793dafada3e75f6f3da57ae
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-10-03 21:17:50 +0200

    macplus: Fix ADB bit timing
    
    This patch sets the ADB bit cell time to 100 us as specified. In
    addition it adds an additional delay of 100 us after changing
    the ADB state and before clocking in or out the first bit. It
    seems that system software before System 6 requires this.

commit b26f3d404e8b574ecafbefdc56c9ce06c01f5969
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-10-03 21:17:01 +0200

    macplus: Allow formatting to change the image size if possible
    
    The disk image size will be changed to 400K or 800K if the image
    type is pfdc, otherwise the image size will be unchanged.

commit e9cf9da776af0a7090d156d97a31ce4e73efc347
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-10-03 21:10:49 +0200

    macplus: Set the device size after formatting
    
    It seems that older system software requires the formatting
    routine to return the device size in blocks in the sony variables.

commit 2b7642da9411d4063cd4ebeb037538642c6c3fec
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-10-03 21:08:59 +0200

    pfdc: Fix setting the Disk Copy 4.2 image name
    
    Sector numbers are zero based, so the MDB is in sector 2 not 3.

commit 1ea794f17ed1cff4a29f2721c04e6c18d71b5e7b
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-09-28 01:28:47 +0200

    e8272: Don't move to the next cylinder during multi track commands

commit 1ceb78bea66ec7434f2d228f26c7a5fcf77233d8
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-09-26 23:28:40 +0200

    xt-hdc: Implement the format track command

commit 14df9041344600e6245f066c54730ae0597684d7
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-09-24 14:27:10 +0200

    block: Improve disk geometry guessing from partition table
    
    The new detection routine does not depend on partitions
    starting and ending on cylinder boundaries and will
    fail unambiguously if the geometry can't be determined
    precisely.

commit 0934452d4d26655eafda3a7ac5dce8e3d72524f7
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-09-24 14:26:25 +0200

    blkqed: Fix creation of QED images with large cluster sizes
    
    The old QED image creation code contained an integer overflow that
    would prevent images with a cluster size of 256KB or larger from
    being created.

commit e6ef94e744ff09eb3178a829e79435aecd5eca12
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-09-24 14:26:02 +0200

    pce-img: Allow overriding the disk geometry and size while converting

commit 3af71b500a387016930ad02f6be9b7ded1cbe3a9
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-09-24 14:25:33 +0200

    pfdc: Improve reading of TD0 images with bad sector IDs

commit 8586e7b405868ceab78a5f48043a9d68d7c67098
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-09-20 21:46:31 +0200

    pfdc: Fix a NULL pointer dereference in pfdc_sct_clone()

commit f8ca715d4ed703643c8db5e972097a72584be4a2
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-09-20 21:45:51 +0200

    e8272: Fix reporting of drive ready change after reset

commit 28a2a535de8f3a76f87e6d0f6827da4b68662af2
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-09-20 12:50:25 +0200

    ibmpc: Get system time directly from the host in pcetime.com

commit aa7b0ef42dd41b9d87c48574e594358cb10e515a
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-09-20 12:49:55 +0200

    e8272: Fix multi track operations

commit 8c5dce17b80f9204186104d53ecdb3494bed34ee
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-09-18 20:43:53 +0200

    pfdc: Fix loading of sectors that span the end of the track in transcopy images

commit 133633018f69a85dbbb8ace5fda9320541d76595
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-09-18 15:03:33 +0200

    pfdc: Add experimental read-only Transcopy image file support

commit 81e462e54ec6e6d8c0d1260ad5806e0b82c43fe1
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-09-18 15:02:52 +0200

    pfdc: Correctly handle deleted data address marks

commit d4c7c3d08c249b8877d0d167a2b1958f1ae834e6
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-09-18 15:02:09 +0200

    pfdc: Add new sector flag 'missing data adress mark'

commit 0cc6f3fa443d4d9b45427bd8901ec3b189348548
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-09-17 19:08:20 +0200

    e8272: Fix reporting of ID CRC errors

commit 7a11efd4949780383e92307737f8802c703fa228
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-09-17 19:07:40 +0200

    e8272: Only use the low order bit of the head number when comparing sector IDs

commit 511aaccf4ce52544aa5ef28898f42bd3386148b9
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-09-17 19:07:08 +0200

    pfdc: Allow for tracks with no sectors in imd images

commit 88084b458b6c2b28e7e8b7c5e81cf973b5c46b95
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-09-15 16:30:20 +0200

    ibmpc: Add XT hard disk support

commit e287b8bf84d06a4026908de2e228097d5b9397b3
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-09-15 16:29:10 +0200

    xt-hdc: Add support for the XT hard disk controller

commit 122a5ac3b915858992204e376b38d540b12588a8
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-09-15 16:28:17 +0200

    ibmpc: Search for the PCE BIOS extension in segments C000 and F000

commit 19d02738ee6c1cddff495efa7b0d9e03c4e8c600
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-09-15 07:48:47 +0200

    ibmpc: Remove floppy disk drive 0 during boot
    
    If drive 0 is not the boot drive remove it after int 19 is
    called and add it back after the first read access to a
    different drive. This is a BIOS independent way to prevent
    booting from drive 0.

commit 1b29996df18e8aeb6baf2da4b52cb1d53d24e398
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-09-15 07:47:49 +0200

    ibmpc: Make the number of floppy disk drives a config file option

commit cae03056516c5efbbf45bcc4434743117dce8300
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-09-15 07:47:15 +0200

    ibmpc: Change the default VGA BIOS to the IBM VGA BIOS

commit 1ee70232123a0cecc17c4e980d4cbd2b1da91279
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-09-15 07:46:46 +0200

    e8237: Fix reading the temporary register

commit a9031477c33db5821d9956d7867c0cb337b3cb67
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-09-07 00:14:07 +0200

    Updated for version 0.2.1

commit ae644676d71309ba032253ed6d814bafa1a2c1fc
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-09-07 00:13:18 +0200

    ibmpc: Update the default config file

commit 5aa3dfaae999429ddcb302aad346c0a624bc1ec7
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-09-06 22:45:47 +0200

    arm: Fix a type cast in the MMU emulation

commit 96fc9053b6f617dd9d6dd4582a935f7ef21c6a85
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-08-10 01:56:47 +0200

    macplus: Clean up the sony driver
    
    This is almost a complete rewrite of the sony driver in order to
    better separate it from the rest of the emulation. It now supports
    sector tags.

commit 8b0ab5b96fc1322ada2dac7406bbf6aea6884c79
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-08-10 01:56:14 +0200

    pfdc: Add a shortcut to create Macintosh 400K and 800K disks

commit 69ff99b885b894efd2e9794c8e9fdb33c4a7e99e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-08-10 01:55:45 +0200

    block/fdc: Add Apple Disk Copy 4.2 image file support

commit 404c3ddcca825ebc394f14ee800a3bc7f7d8fe7b
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-08-10 01:55:16 +0200

    pfdc: Add Apple Disk Copy 4.2 image file support

commit 79182866facc2051f612ba0ee2b5a788b25539a5
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-08-10 01:54:41 +0200

    block: Add Apple Disk Copy 4.2 image file support

commit c31297abee490f7db2b36bacebd7446202c91550
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-08-10 01:53:52 +0200

    block/fdc: Support reading and writing of sector tags

commit d21a8144c01aa054a663a3844f5f29f88a63873c
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-08-10 01:53:18 +0200

    pfdc: Support loading and saving of sector tags

commit 682b2d69ef6de657a5935e4b727fe15ceb4e3b6b
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-08-10 01:52:47 +0200

    pfdc: Support sector tags

commit 6fb8c3bc1da6340526f97cdb05492208f5370dcf
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-08-10 01:52:07 +0200

    macplus: Allocate the SCSI transfer buffer dynamically
    
    The SCSI transfer buffer can be potentially large, but usually
    isn't, so it is better to allocate it dynamically.

commit e54f0ad35b630552a88be6d340968c0012d3f018
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-08-10 01:51:40 +0200

    pfdc: Rename pfdc_trk_get_sector() to pfdc_trk_get_indexed_sector()

commit 703ff7282d2a06164caf9ef813ee90e6b08f8b70
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-07-11 15:57:48 +0200

    block/fdc: Add a function to set the default encoding

commit ea0015c0e109ca55bfa8aecb2c99eea3003c2185
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-07-11 15:57:15 +0200

    block/fdc: Add a function to erase the entire disk

commit 884c4736b160eb2704e4408a8799ee53bf83252d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-07-11 15:44:29 +0200

    pfdc: Add GCR encoding

commit 139df529595a439f47a632f36f0c8bc6c2869177
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-07-11 15:43:31 +0200

    block/fdc: Remove unused geometry parameters
    
    All the block/fdc sub-formats determine the disk geometry automatically,
    so there's never a need to specify the geometry explicitly.

commit 202cece7a1e11aebbb274d14c124ebaff9b29ab4
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-07-11 15:42:23 +0200

    block/fdc: Fix LBA to CHS mapping
    
    Instead of assuming a regular disk geometry, establish an ordering of
    all sectors on a disk and use that to map LBA to CHS.
    
    A side effect of this is that the total number of blocks can change,
    so we need to keep track of this as tracks get formatted.

commit 4a526764b4a98cb344928c83c68961cdcc0ea675
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-07-11 15:41:54 +0200

    pfdc: Add functions to map LBA to CHS

commit 936b766090dc07d04e48b6fe2f0c3e14f32bdf00
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-07-11 15:41:16 +0200

    pfdc: Add a function to erase an entire disk

commit a44826c625a630cf24a0b05c95afed0a3e605f03
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-07-11 11:09:53 +0200

    macplus: Support 4 floppy disk drives instead of 3

commit 7820bafc92bfa9570a5f3d89eea7f93fc6d4b252
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-07-10 07:21:46 +0200

    macplus: Add messages to enable/disable the disk read-only flag

commit b4b6bc6c91504cc7a6f8d2a2ee25230fb9366c74
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-07-10 07:21:15 +0200

    macplus: Fix mac_get_trap_name()

commit c4517c68745c3d6848a0f581dccc4b2b6eaf4f27
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-07-10 03:36:02 +0200

    video: Move video drivers from src/terminal/ to src/drivers/video/

commit d15b2bc48986e567b3baf3bf73dd26a01da2fc8f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-06-22 20:39:24 +0200

    ibmpc: Fix restoring the clock multiplier after cassette operations

commit a41b763a59a5d24a4360ec7710eca69e89fc22cb
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-06-22 20:38:25 +0200

    macplus: Fix the sony driver's format list for floppy disks

commit 2cff7f6177948bf2df445566838441f35454744c
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-06-22 20:37:57 +0200

    macplus: Check disk insertions once per second, not twice

commit 849f4f8757173fbe0e63c0ae21f23123bf9defb1
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-06-22 20:37:24 +0200

    macplus: Post disk insertion events correctly
    
    The high word of the event message of a disk insertion event must
    be zero. This fixes the problem that a disk would sometimes be
    ejected immediatly after being inserted.

commit 86f04bfec98531d8d68d43122d96c32bc261f831
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-06-14 23:45:34 +0200

    block: Remove unused geometry parameters from dsk_qed_create()

commit 034b696cb32f1c9bd3444850b50c0d7e8168b9d7
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-06-14 23:45:01 +0200

    block: Guess image size from file size for raw images
    
    The image size for raw image is now always taken from the
    file size. Automatic detection is used only to determine
    the geometry.

commit 3b4d33b169324c1ea27a3555f460eb775d02ab5d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-06-14 23:44:32 +0200

    block: Add image format probe functions

commit c102584cbc4bf658a3daed956edecf6ce0dabba2
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-06-14 23:43:52 +0200

    lib: Add missing include file to inidsk.c

commit 5fe60a930561fd520f79d23f245af204d710177d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-06-14 23:43:12 +0200

    block: Move src/devices/block/ to src/drivers/block/

commit 92721e5d23485d9346af456a5398ae360c68ceac
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-06-14 23:40:41 +0200

    Update config.guess and config.sub

commit 3a22f7fe5196305e88903242a80d7741a5cacd44
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-06-07 16:13:54 +0200

    block: Support guessing disk geometry from a DOS boot block

commit 7b1f671cc5da7d69e65589250ff07145ef7f4168
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-06-07 16:13:32 +0200

    block: Support guessing disk geometry from image size

commit 045151231d98724002259655ce0d1c240b521bb0
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-06-05 12:46:10 +0200

    pce-img: Modify progress printing

commit 52c735f498332d01161a1534072e923a11de605e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-06-05 12:45:44 +0200

    pce-img: Try to guess the image type if none is specifed

commit e9f6ccabd1d3ad6c5bec3917983483ac118e67ab
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-06-05 12:44:56 +0200

    pce-img: Allow the image size to be specified in blocks

commit 33f273bd3f13ba57e7389b203314817618ce0459
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-06-05 12:44:28 +0200

    pce-img: Use the new command line option parser

commit ee50a2d942aaccfe6241c077dca0db44aea6d8c0
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-06-05 12:37:10 +0200

    lib: Support command line option parsing restart

commit 689bc6e63aeffbc9558374e1b4f689f09c7cdda5
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-05-27 09:53:03 +0200

    macplus: Fix the opaque parameter for SCSI callback functions
    
    There is no need for the SCSI callback functions to receive the
    entire system context struct.

commit 02756e8e2ebd4f47f355e1cc2fc671226bc91708
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-05-27 09:52:32 +0200

    macplus: Add ADB callback functions shift_in() and shift_out()
    
    Communication between the ADB transceiver and the VIA are now
    handled by callback functions, better separating the ADB
    implementation from the rest of the system.

commit 0c4fa10a3344f2eb0e1e93c90b47bef667998505
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-05-27 09:51:57 +0200

    macplus: Refactor include files
    
    All source files now include the files they need directly, reducing
    unnecessary dependencies.

commit 6af1088eb39c6a046dc4c756f8e29b26dfe97abb
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-05-27 09:51:24 +0200

    simarm: Remove obsolete SLIP implementation
    
    SLIP as well as PPP are now implemented as character devices.

commit 0c7c2184dc715aac920e0750b48917be34617c7b
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-05-27 09:50:43 +0200

    simarm: Clock the timer according to real time

commit aa34285f0abf1c2c9fc4c5787a2b82ba87a5f534
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-05-27 09:50:02 +0200

    simarm: Refactor sarm_clock()

commit 488fb92819dc8ff48f04a8c90fcfd65206466978
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-05-27 09:49:36 +0200

    ata: Don't warn if a disk does not exist

commit a4bcd4c78d42fa78c86ad7e27e78c1cf1bcca470
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-05-24 10:41:48 +0200

    block: Support multiple file name entries in config file
    
    A "disk" config file entry can now have more than one "file" value.
    The files are tried in order until one can be opened.

commit 1925f07b2ad0fc0daf888c8d11f5852eea8c4f89
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-05-24 07:42:32 +0200

    block: Support multiple config file entries for the same drive
    
    If a config file entry for a drive that already exists is encountered,
    quietly ignore it. This way, in combination with "optional=1", there
    can be multiple config file entries for the same drive and the first
    one that can be opened will be used.

commit 70fcc5a7df902ea732eb60117a5398fb3db86b94
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-05-23 10:35:36 +0200

    pce-img: Add QED image file support

commit e40130238a55d1fcfd3ef04869121194aa14af58
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-05-23 10:35:02 +0200

    block: Change the default COW format to QED

commit 9c637c6d54c49933e1523a907f6d39c570569e9e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-05-23 10:34:35 +0200

    block: Support QED disk images

commit 934655e0f66d22dd869aeec7bbe9ea568f8deef0
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-05-23 10:30:50 +0200

    block: Store the image file name in the disk context

commit dfb873d305738a49b368bc4f3246dc224bcd853c
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-05-23 10:29:56 +0200

    block: Add function dsk_set_filesize()

commit b1a0bb0bb5d21c66caa29cacfe7ea7b92c036f6a
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-05-14 21:04:51 +0200

    block: Add missing little endian buffer access functions

commit ab5748e52bbef80d7aa68ccc8332713e1989df0c
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-05-14 20:52:37 +0200

    block: Allow overriding of the disk geometry in the config file

commit f38b79103a852c5087f4d885a7809159c92d74ca
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-05-14 20:52:12 +0200

    block: Support guessing disk geometry from a MBR

commit a2f2fd455800d405d514f55bb2d1920230d4b70b
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-05-14 20:51:27 +0200

    block: Improve disk geometry guessing
    
    If the disk geometry must be guessed from the disk size, assume
    16 heads and 63 sectors per track.

commit 2a97ef2cf85718a21b59a571784469cbeae90ae4
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-05-14 20:50:57 +0200

    ibmpc: Read and write multiple blocks at a time in int 13h emulation

commit 3f9361e1187666fd3c658d7207bf1cb3e30f29d7
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-05-02 02:53:43 +0200

    8272: Fix compiler warnings about unused variables

commit b19e9b7c757d58432c649c4c306fc7188f91a21b
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-05-02 02:53:15 +0200

    macplus: Set CTS to 1 instead of 0

commit d3be681f750450eb3237077388703bf24e0e9f87
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-05-02 02:50:47 +0200

    vga: Support the IBM VGA BIOS

commit 0b7ecd1f045def55af4eba419fdcb5f7e0a8cbcb
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-05-02 02:50:15 +0200

    6502: Rename op_* functions to hook_*

commit 4b66aec116b9ae68e382ae3fbe790e48f9520a54
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-04-07 21:09:09 +0200

    macplus: Support the Macintosh Classic

commit 36a4d6ba8194b68a6649f8ab306f655a1c085a3b
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-04-06 23:38:20 +0200

    libini: Fix string comparisons
    
    If two strings are compared the resulting type needs to be changed
    to integer.

commit 2ebe46c5532a14ec93dc6ece87fb9befb441ee97
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-04-06 22:42:53 +0200

    Update NEWS

commit 859f214c5ed656ce78709727e612c93399ca6f24
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-04-06 22:41:31 +0200

    macplus: Add emulation of the Macintosh SE

commit 9adcf5e1d450c49c22973efd7cfc2c7b835cd6b7
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-04-06 22:40:42 +0200

    macplus: Add support for an ADB keyboard

commit 71dce87447f88a4334245f5857f1e832a1e0d916
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-04-06 22:40:00 +0200

    macplus: Add support for an ADB mouse

commit 2ccfbd8eea6ee15742c9122a2918c971625c3a9e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-04-06 22:39:09 +0200

    macplus: Add ADB support

commit d3d64881fde21942b9ca74c0945bcb2c9ac8b3fe
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-04-06 22:38:20 +0200

    6522: Support shifting with external clock
    
    Shifting in and out with an external clock is now supported.

commit 9e9c6ff60c508692fa1720b4d229da41df04a50b
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-04-05 06:31:56 +0200

    Remove lots of unused variables

commit fde2f213a8a327c1c036f09a2b512393b69103ad
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-04-05 06:31:18 +0200

    sdl: Fix a typo
    
    This patch fixes a typo that lead to the horizontal border width being
    used for both the horizontal and the vertical border.

commit b6d41ac8b69e0f40b1a4e58b35bdd1bdabf128df
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-02-18 02:36:33 +0100

    memory: Remember the last block separately for read and write accesses

commit 9582c076389f3285ec60d53a8f6b8830bea4ea54
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-02-18 02:35:22 +0100

    fdc: Fix the read track debug message

commit ca447828fd6b8ffc8d2a16b592193256bfa71e96
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-02-11 06:45:36 +0100

    sound: Move filter functions to a new source file

commit 8fca292d40925f39c542e6978b2694199aca49f7
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-02-11 06:35:43 +0100

    6502: Implement the 6510 I/O port

commit 96a31874be2cebc189290770ecf0d4789e7e5ecb
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-02-11 06:35:07 +0100

    ibmpc: Add new monitor command "log int"

commit d4eaa5e9d25a93abd46bdc5dbc61854641dfb062
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-02-11 06:34:25 +0100

    configure: Regenerate with autoconf 2.68

commit 55f69152afedbb34447b370a7e1f96c9b33f8611
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-02-11 06:33:56 +0100

    configure: Add "-mod" to the version string if the source tree was modified

commit 704cf8fa80f22bec39202c62921f8189e88c951c
Author: Hampa Hug <hampa@hampa.ch>
Date:   2011-01-11 21:21:30 +0100

    ibmpc: Add missing include files

commit d6a8dbc935abdacad1c18f9f58bf39c7eb00fe7b
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-12-11 03:00:01 +0100

    sdl: Grab the mouse after the button is released
    
    If the mouse is grabbed before the mouse button is released, the
    window manager never receives the button release event.

commit 66c134fde051f8ac628cb5410ec1cabc5156c233
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-11-18 03:39:43 +0100

    macplus: Move hotkey handling to a new source file

commit 010c7bde7919ba8338977a5015ede9f42882622d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-11-18 03:38:20 +0100

    macplus: Dynamically allocate the keyboard context

commit 9fa2a5cb3956781072ead040d3a71139e7f1cdcd
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-11-16 01:50:27 +0100

    8086: Fix the divide error exception
    
    The return address of int 0 should point to the instruction following
    the DIV or IDIV.

commit 212dd2af95e90f83b55e21eefc954bc6944f8faa
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-11-16 01:50:01 +0100

    8086: Fix IDIV overflow detection and remainder sign

commit 22264cf2402bd5b7b63321477a69c9811f402ae1
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-11-16 01:49:31 +0100

    8086: Fix IMUL flags

commit 15aa3a7125eea050b47fcdf07653ea2835add268
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-11-16 01:48:55 +0100

    8086: Simplify setting of shift instuction flags

commit c87ecd5699c9380bb583a930e87b34250a95a381
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-11-16 01:48:17 +0100

    8086: Fix a typo in the AAS instruction

commit b6eb54b0ab452230bd059e50041b9126985b49e4
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-11-15 23:59:24 +0100

    vga: Latch the start address at the end of the vertical retrace

commit eb2d6b52aa042080583f299c4b35df3010a84e94
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-11-15 23:58:55 +0100

    ega: Latch the start address at the end of the vertical retrace

commit a79b5b1ce02199cbfe25abd987169b19d3430384
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-11-15 23:58:23 +0100

    hgc: Map the second page even when it is not active

commit 7ec3e24a40923c7c69e30841124718b932add5ca
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-11-07 16:25:46 +0100

    macplus: Don't save the current time in the pram file

commit 45fdf54837c77e0c9e47c63d0852fbefbd656374
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-11-07 16:25:10 +0100

    macplus: Clean up disabling of the startup memory test

commit 8ea5dac45c086494f3dbe64afd4ad5471edc63b4
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-11-07 16:24:23 +0100

    6522 VIA: Make the functions to set the port and data direction registers public

commit 251ae50a4bf0329d55de41e22f208dc97856aaec
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-11-05 19:16:17 +0100

    terminal: Add some missing keys
    
    This patch adds PCE key definitions for left meta, right meta and
    mode switch.

commit a5ce53a6de18cdba7cdef6fbd4b837d4a48bf840
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-11-05 19:14:10 +0100

    macplus: Support reading SCSI data in pseudo-DMA mode

commit c6c97126084e2393d146facf765bbe9239a267e8
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-11-05 19:12:55 +0100

    macplus: Implement the start/stop unit SCSI command
    
    The start/stop unit command has no effect, but it doesn't fail
    anymore.

commit 753b50ee2feb1f189cd25e8e4f03b653a9df3a58
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-11-05 19:12:26 +0100

    macplus: Fix SCSI address decoding
    
    The SCSI registers are repeated from 0x580000 to 0x600000.

commit 08db84d2ea725bbff76dbe27de834b4b0f0d8a84
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-11-05 19:11:29 +0100

    6522 VIA: Fix reading port A without handshake

commit f3eebfa95049f45aa24794d65ebeed4db7c24479
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-11-02 14:29:13 +0100

    ibmpc: Remove obsolete file util.c

commit dd3beb139b49832efe62a62f3c93fcddb99b5fff
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-11-02 14:07:14 +0100

    ibmpc: Clean up dependencies

commit 5efaae16cfc81751e2f94931af361e97be2824e5
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-11-02 13:53:19 +0100

    libini: Support presetting config file options
    
    Config file entries can now be predefined before the config file
    is loaded.

commit af82eae33c2fefa2f6c479c7410203ead9d9888c
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-11-02 13:52:17 +0100

    libini: Support conditional assignments
    
    The new assignment operator "?=" assigns an expression to a value
    if it was not already defined.

commit 7320802576ec8a73c1e3814de9692c60172bf6e4
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-11-02 13:51:52 +0100

    ibmpc: Don't load a default config file

commit 8b5d36908b425bf6780ea53538e18ad8a8545e1e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-11-02 13:46:23 +0100

    ibmpc: Move printing the startup banner to a separate function

commit 0f8ccf48f093a3899422da84961353fa0609f1c2
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-11-02 13:45:49 +0100

    macplus: Move printing the startup banner to a separate function

commit 34b6665464a23e57ce9475fb2481c0efda5f50af
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-11-01 21:56:27 +0100

    ibmpc: Clear the first 32K of memory after POST
    
    Before running int 0x19, clear the memory from 0000:0500 to
    0000:8000 and set SS:SP to 0030:0100. There are programs that
    depend on this. Really.

commit 0f770259c9a3329a65b74bc19829407d864d8fce
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-11-01 21:55:23 +0100

    ibmpc: Don't patch int 19 more than once

commit d38cc5f24099f3746359dd6c4b94300ce5148050
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-11-01 21:54:45 +0100

    cga: Support start offset in graphic modes

commit d0fb3b6bdc01b8bd7fea93da8e5e6e533da2cb15
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-11-01 21:54:05 +0100

    6522: Fix clearing bits in the interrupt enable register

commit 916994519fdf33bd587289392f2b77e02344a6db
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-09-27 00:40:41 +0200

    ibmpc: Move monitor commands to a new source file

commit 36bf765de03e7da29e3ea522b1166e80f71f11b6
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-09-20 17:02:47 +0200

    Fix syntax errors in the default config files

commit 6e2280ccfd64b23d741d6b7b6ae4293b90b28c66
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-09-20 16:17:23 +0200

    Add the new doc files to the distribution

commit fd07bb0b5887e6a72ab4205e72f545f34c42e609
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-09-19 08:30:56 +0200

    pfdc: Don't check the target file size when saving
    
    The file size is used to determine if an image file might be
    in raw format. When saving, that image file is about to be
    overwritten, so its size is irrelevant.

commit da8219a16b339dfbe540c150d8224496dc3fd08d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-09-16 05:05:20 +0200

    blkfdc: Also set the visible c/h/s when guessing the disk geometry

commit c00d8aea9dcd4ebdf842ade5a2e9245c681cd6a1
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-09-15 16:50:25 +0200

    ibmpc: Add FDC emulation

commit 5523dd2816e3c3519f140468d6863ff2138ebe2b
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-09-15 16:48:55 +0200

    fdc: Add an FDC device

commit c7f8c3afcfe2b2161b881cfb111e5b2dea74f24d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-09-15 16:48:06 +0200

    8272: Add 8272 FDC emulation

commit f0a82946b5e037154cf8cf14da4bb84beec22ce6
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-09-15 12:36:42 +0200

    pfdc: Add a program to manipulate PFDC image files

commit 0f47f9f98d93f45271b568e8a07e4bd2a9e4c19e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-09-15 12:35:03 +0200

    pce-img: Add the new FDC image type

commit 8c651a7d5c21181327dbd4b811e9ba71a4162dc6
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-09-15 12:34:26 +0200

    block: Add a new FDC image file format
    
    The FDC image type handles various floppy disk image file formats.
    The images are loaded on open, modified in RAM and written back
    on close. Supported formats are PFDC (.pfdc), ImageDisk (.imd)
    AnaDisk (.ana), Teledisk (.td0) and raw (.raw).

commit 76c91d057f9f753d3433c28991dd16d61f0c595e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-09-15 12:33:10 +0200

    block: Add a disk type field to the disk context

commit d11d4fbfd9953a7a72a5a2ad8b2dde36249b8fd5
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-09-15 06:27:10 +0200

    macplus: Update the default config file

commit 041d981a0161dbd73b74ae6bb22708bf25602b1b
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-09-15 06:26:45 +0200

    ibmpc: Update the default config file

commit 1420ef6a8c3e96ac5fe25f567a34c71a1cb2a9e3
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-09-15 06:25:42 +0200

    libini: Allow undefined variables in expressions
    
    Allow undefined variables in expressions as long as they are not
    referenced. This makes possible expressions such as
    if defined(undef_var) { .. }

commit 8fe463ece8942e67e32bc996c2fd5b524cfb2629
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-09-15 04:14:40 +0200

    Rename all default config files

commit f3785ae16ae96384eadd930773fe1dd9b1b5cab2
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-09-15 03:02:01 +0200

    macplus: Use the new command line option parser

commit 4976935f543d725059e67c7534f3c9ec896f204c
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-09-15 03:01:31 +0200

    ibmpc: Use the new command line option parser

commit cfe574d2ba9a532989457c80e20ad3aa3bd49421
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-09-15 03:00:51 +0200

    Add a new command line option parser

commit 367f198754cc16bc474ed7e30a4ebbdf3a282510
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-09-15 02:43:48 +0200

    macplus: Don't use global variables for command line configuration overrides
    
    If a command line option overrides a configuration file option, don't
    store it in a global variable. Modify the ini tree directly.

commit 52d6dd0b8edd59da40d5d2cd20e4697061f100e9
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-09-15 02:39:21 +0200

    ibmpc: Don't use global variables for command line configuration overrides
    
    If a command line option overrides a configuration file option, don't
    store it in a global variable. Modify the ini tree directly.

commit f380982bdad8eefd4ddb15f980599a83c2720eca
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-09-15 02:38:33 +0200

    libini: A complete rewrite
    
    This is an almost complete rewrite of the config file parser.
    
    Improvements include:
        - Include files
        - C style block comments
        - C style expression evaluation
        - Conditional sections

commit 4f2017538c5391b903752d3fdc6f94a71ac53b4a
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-09-14 02:54:49 +0200

    ibmpc: Add config file options to patch the BIOS
    
    Two new config options "system.patch_bios_init" and "system.patch_bios_int19"
    determine whether and how the BIOS is patched. The old command line option -P
    is removed.

commit fc8729c3f9226d9b27d493e2f03cf2b5d4364759
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-09-14 02:29:02 +0200

    ibmpc: Add PC/XT 5160 support
    
    For the PC/XT the configuration switches read out of PPI port C have
    a different format and the cassette port is disabled.

commit 31242f431f15d502808a6940ed5728cea978358e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-09-14 02:28:31 +0200

    ibmpc: Factor out initializing of the configuration switches

commit 2ed6b36379a01373f2b3ad0fb67defeb5fd347b6
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-09-14 02:27:54 +0200

    ibmpc: Add a new config option "system.model" to select a specific model

commit bb7abdd8e77e01a47f25d46c67b60d8ce091463f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-09-14 02:27:18 +0200

    ibmpc: Move miscellaneous config options into new section "system"

commit ee715c801f06d0d984dd34501ffd7e895d9f59bc
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-09-14 01:17:41 +0200

    ibmpc: Initialize the 8255 PPI correctly on a 5160

commit 1f055b4a469d49490520148e6b219a3aa2ce5270
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-09-14 01:16:26 +0200

    ibmpc: Don't connect timer1 out directly to the DMA controller
    
    Timer 1 OUT can't be connected directly to DREQ0 because it needs
    to be inverted and held until a DACK0 is received. In real hardware
    a flip-flop takes care of this. This patch implements the same
    logic.

commit b50339ba1a8ded7be9c13d088d81c93b1c36d640
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-09-14 01:16:02 +0200

    Add missing include files

commit 5f6bad520ff42e369153ed46892e559550e34f14
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-09-12 01:05:05 +0200

    ibmpc: Make enabling the EGA/VGA vertical retrace interrupt a runtime option

commit d86fcffb666a23e23be2e58cc0c5a127fb69ef64
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-09-12 00:17:58 +0200

    hgc: Support unmapping page 1
    
    The second page at B800:0000 should be unmapped when it is disabled.
    
    This patch also removes support for specifying the HGC video RAM
    size. This was never a useful option.

commit a40aef3c774ba272193151c78c4cadc188599cdd
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-09-11 02:46:08 +0200

    8237: Add functions to set the DACK and TC callback functions

commit e5503aff58477c43c8c04641feb11bfbca193be0
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-09-11 02:45:31 +0200

    8237: The pending DMA request status bit should not be persistent
    
    Unlike the TC status bit, the pending DMA request status bit should
    not be reset when the status register is read, but rather when the
    condition changes.

commit 6dd99ecb17b5bb4ac98f2606980cfa558a68f3ea
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-09-11 02:45:03 +0200

    8237: Implement verify DMA transfers

commit 1e61d1da506c401943bbb430d3a545798181cb44
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-09-11 02:44:35 +0200

    8237: Do proper DMA clocking

commit f8fe8cc7be82104e45f94237659b2ea423ef4394
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-08-26 14:02:02 +0200

    ibmpc: Allow a speed factor of 0 in the config file

commit 8311f4311a5b1da5c4aa071ec2e878fa9a4c8903
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-08-26 13:37:01 +0200

    macplus: Implement dynamic CPU speed

commit a68022b5826e71fea42529a9a9f43ac19a1ee45c
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-08-26 13:36:35 +0200

    ibmpc: Implement dynamic CPU speed

commit ada13520d9cf8f5e3b5d6c23a461ebfb0d1443f7
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-08-26 13:36:03 +0200

    sound: Don't block on buffer overrun

commit 905b47167f8be3d05c7b7e57b06b12cbea7e0bd4
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-08-26 09:43:37 +0200

    e8250: Use a separate character clock for sending and receiving

commit 20c5573cad3afb008b48db33d09230f76b6241e0
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-08-26 09:43:04 +0200

    e8250: New interrupt condition logic
    
    Interrupt conditions are now derived from the UART state rather than
    stored explicitly.

commit ab82f82bec939cee1e785fcb76a93c385c010abf
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-08-26 07:30:09 +0200

    macplus: Add sound support

commit 7f56b343a38af0c4fc86c3dfd98bd686005c032b
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-08-26 07:29:04 +0200

    ibmpc: Emulate the PC speaker

commit 3712686dddd631f57723db24bbf810dd6080de0b
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-08-26 07:27:00 +0200

    sound: Add an SDL sound driver

commit a68bd299955d96e1d34fc264de8014de00f2c84f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-08-26 07:25:28 +0200

    sound: Add an OSS sound driver

commit 4bed876dd2a256867ae3afa1a976ae08ecf764ce
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-08-26 07:23:41 +0200

    sound: Add a sound driver framework

commit 01fccae9b23f41797037e21f8d26e3681101f79c
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-08-26 07:13:27 +0200

    macplus: Clean up clocking
    
    In the macplus emulator, emulated time is synced with real time twice,
    once in the main clock loop and once in the video clock function.
    
    This patch removes all real time syncing in the video emulation
    and cleans up the main clock loop.

commit 4f72831d2e313d8b238691a14bce70d7b9232009
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-08-25 17:13:16 +0200

    macplus: pcex cosmetics

commit df83561dbcae39b66733485fb5b6ac07508e0d02
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-08-25 06:49:10 +0200

    char: Silence some compiler warnings

commit 5b3d4c923db836156be88aad4afd58f1d8d82026
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-08-24 14:55:48 +0200

    ibmpc: Sync with real time less frequently

commit 42ba7fc5b2249bfdff5819b55123eeeb2716319c
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-08-24 14:55:21 +0200

    ibmpc: Print a warning if the host system is too slow

commit 030eec61dd8c48f1118345f6dca1d291fdcfbf4c
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-08-24 14:54:49 +0200

    sysdep: Make pce_usleep() work if sleep() is not available
    
    pce_usleep() really doesn't need sleep(), so we shouldn't use it.

commit 39f3bb1c9d3cc5f21e03a8fe99aeb89e5491b78d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-08-20 06:57:46 +0200

    vga: Implement the vertical retrace interrupt

commit 281bb7d701b35be614668f5a5930740ecea9d76d
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-08-20 06:57:12 +0200

    ega: Implement the vertical retrace interrupt

commit d9ee3d02892765b30081262d66ca8b162df731c4
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-08-20 00:18:47 +0200

    e8086: Clean up selection of the CPU model

commit fba77b4c57ab0d3755a76b0d5e2252eecb18161f
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-08-20 00:18:01 +0200

    e8086: Add extra clock cycles for 16 bit memory accesses
    
    Unaligned 16 bit memory accesses on a 8086 and all 16 bit accesses on
    a 8088 take an extra 4 clock cycles.

commit da5dd865a09bf52b6ed187e41852fa9ae46588d0
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-08-20 00:17:33 +0200

    e8086: Add extra clock cycles for external interrupts

commit 4505bfd872be684f6e961924179fa9197e2593b8
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-08-19 02:12:34 +0200

    ibmpc: Reset the interrupt controller during system reset

commit 2b6921a5545a6665b52ce72eb73ada4cd34bdbbb
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-08-19 02:12:05 +0200

    ibmpc: Reset the interval timer during system reset

commit 348ca1228ecf532f57e75130bec048f7148c5f50
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-08-19 02:11:38 +0200

    ibmpc: Reset the DMA controller during system reset

commit 69e043adaae516ef143886aef38781f9edee11a9
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-08-17 22:09:43 +0200

    block: Autodetect 400K images as 40/2/10 instead of 80/1/10

commit 1860805bafb52557372513fbd324f3a40f5d1512
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-08-15 20:12:22 +0200

    ibmpc: Fix XMS UMB joining
    
    The old code would join only two blocks, even if more consecutive
    blocks were unallocated.

commit 41e31464d94f77069ebf75b08d497455f3995bd7
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-08-15 20:11:51 +0200

    ibmpc: Fix XMS UMB resetting
    
    During reset, don't just remove all UMBs. Instead create one large
    unallocated UMB.

commit dcfc591482e3e56335ccc405386d22e18d7ac65e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-08-13 18:43:54 +0200

    sdl: Handle SDL initialization in the main() function

commit 946d304c5734aa7e155b57d408ac41189f181e07
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-08-12 17:09:58 +0200

    8086: Fix leaving the halt state
    
    In halt mode we need to keep checking for interrupts. When an interrupt
    arrives, it must be serviced immediatly, before executing the next
    instruction.

commit 38f2920d13333ae199708bcbec1cc6f63730db5e
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-08-12 14:05:26 +0200

    block: Add a new function dsk_set_pos() to seek in the image file

commit b47bd6c7a7cbf2923f1863ff755bad56c7c061a1
Author: Hampa Hug <hampa@hampa.ch>
Date:   2010-08-12 14:04:55 +0200

    block: Allow the disk geometry to be changed after disk initialization

commit 29babaaf33af21a16d2a780f9b8d7a0dcde02691
Author: Hampa Hug <hampa@hampa.ch>
